note

	description:

		"XPLain parser%
		%%
		%Parser derived from Xplain 5.8 manual%
		%(not yet complete, but we're getting there)%
		%%
		%Standard Xplain deviations:%
		%1. Supports additional representations for memo fields, %
		%   picture fields, .... %
		%2. Date field includes time.%
		%3. Supports renaming columns by using the `as' keyword."

	known_bugs:
	"3. Error reporting can be improved.%
	%4. No cascade support.%
	%5. Certain types of expressions are not always allowed, this is %
	%   not checked (use of values or constants for example).%
	%   A constant expression also accepts values if previously defined. %
	%   Should only accept constants.%
	%7. check constraint is not supported.%
	%9. purging inits is not yet supported.%
	%10. input is not supported.%
	%11. case keyword in inheritance not supported.%
	%12. It seems we're more strict in ordering of types than Xplain.%
	%    Generally, a type should exist, before you can use it as an %
	%    attribute.%
	%13. 'its' list parsing not strict enough. My accept an %
	%    attribute that is not correct. Probably dumps core later...%
	%15. names are case-sensitive, but should not be.%
	%16. No newline keyword support (parse as string??).%
	%17. Extend with explicitly given domain not supported.%
	%18. Doesn't check if a column used as boolean is really a boolean.%
	%    So 'get person where name' is ok.%
	%19. When there is an init for an attribute, no value is allowed %
	%    in insert. This is not checked although the input is overwritten.%
	%21. Don't put comments between a type and an init (default), else%
	%    the init (defaults) are silently ignored (2005-12-01: works slightly better now).%
	%23. update allows update a * its attr = 1, shouldn't allow *."

	author:     "Berend de Boer <berend@pobox.com>"


class

	XPLAIN_PARSER


inherit

	YY_PARSER_SKELETON
		rename
			make as make_parser_skeleton
		undefine
			report_error
		end

	XPLAIN_SCANNER
		rename
			make_with_file as make_scanner_with_file,
			make_with_stdin as make_scanner_with_stdin
		redefine
			write_pending_statement
		end

	XPLAIN_UNIVERSE_ACCESSOR
		export
			{NONE} all
		end


create

	make_with_file,
	make_with_stdin



feature {NONE} -- Implementation

	yy_build_parser_tables
			-- Build parser tables.
		do
			yytranslate := yytranslate_template
			yyr1 := yyr1_template
			yytypes1 := yytypes1_template
			yytypes2 := yytypes2_template
			yydefact := yydefact_template
			yydefgoto := yydefgoto_template
			yypact := yypact_template
			yypgoto := yypgoto_template
			yytable := yytable_template
			yycheck := yycheck_template
		end

	yy_create_value_stacks
			-- Create value stacks.
		do
			create yyspecial_routines1
			yyvsc1 := yyInitial_yyvs_size
			yyvs1 := yyspecial_routines1.make (yyvsc1)
			create yyspecial_routines2
			yyvsc2 := yyInitial_yyvs_size
			yyvs2 := yyspecial_routines2.make (yyvsc2)
			create yyspecial_routines3
			yyvsc3 := yyInitial_yyvs_size
			yyvs3 := yyspecial_routines3.make (yyvsc3)
			create yyspecial_routines4
			yyvsc4 := yyInitial_yyvs_size
			yyvs4 := yyspecial_routines4.make (yyvsc4)
			create yyspecial_routines5
			yyvsc5 := yyInitial_yyvs_size
			yyvs5 := yyspecial_routines5.make (yyvsc5)
			create yyspecial_routines6
			yyvsc6 := yyInitial_yyvs_size
			yyvs6 := yyspecial_routines6.make (yyvsc6)
			create yyspecial_routines7
			yyvsc7 := yyInitial_yyvs_size
			yyvs7 := yyspecial_routines7.make (yyvsc7)
			create yyspecial_routines8
			yyvsc8 := yyInitial_yyvs_size
			yyvs8 := yyspecial_routines8.make (yyvsc8)
			create yyspecial_routines9
			yyvsc9 := yyInitial_yyvs_size
			yyvs9 := yyspecial_routines9.make (yyvsc9)
			create yyspecial_routines10
			yyvsc10 := yyInitial_yyvs_size
			yyvs10 := yyspecial_routines10.make (yyvsc10)
			create yyspecial_routines11
			yyvsc11 := yyInitial_yyvs_size
			yyvs11 := yyspecial_routines11.make (yyvsc11)
			create yyspecial_routines12
			yyvsc12 := yyInitial_yyvs_size
			yyvs12 := yyspecial_routines12.make (yyvsc12)
			create yyspecial_routines13
			yyvsc13 := yyInitial_yyvs_size
			yyvs13 := yyspecial_routines13.make (yyvsc13)
			create yyspecial_routines14
			yyvsc14 := yyInitial_yyvs_size
			yyvs14 := yyspecial_routines14.make (yyvsc14)
			create yyspecial_routines15
			yyvsc15 := yyInitial_yyvs_size
			yyvs15 := yyspecial_routines15.make (yyvsc15)
			create yyspecial_routines16
			yyvsc16 := yyInitial_yyvs_size
			yyvs16 := yyspecial_routines16.make (yyvsc16)
			create yyspecial_routines17
			yyvsc17 := yyInitial_yyvs_size
			yyvs17 := yyspecial_routines17.make (yyvsc17)
			create yyspecial_routines18
			yyvsc18 := yyInitial_yyvs_size
			yyvs18 := yyspecial_routines18.make (yyvsc18)
			create yyspecial_routines19
			yyvsc19 := yyInitial_yyvs_size
			yyvs19 := yyspecial_routines19.make (yyvsc19)
			create yyspecial_routines20
			yyvsc20 := yyInitial_yyvs_size
			yyvs20 := yyspecial_routines20.make (yyvsc20)
			create yyspecial_routines21
			yyvsc21 := yyInitial_yyvs_size
			yyvs21 := yyspecial_routines21.make (yyvsc21)
			create yyspecial_routines22
			yyvsc22 := yyInitial_yyvs_size
			yyvs22 := yyspecial_routines22.make (yyvsc22)
			create yyspecial_routines23
			yyvsc23 := yyInitial_yyvs_size
			yyvs23 := yyspecial_routines23.make (yyvsc23)
			create yyspecial_routines24
			yyvsc24 := yyInitial_yyvs_size
			yyvs24 := yyspecial_routines24.make (yyvsc24)
			create yyspecial_routines25
			yyvsc25 := yyInitial_yyvs_size
			yyvs25 := yyspecial_routines25.make (yyvsc25)
			create yyspecial_routines26
			yyvsc26 := yyInitial_yyvs_size
			yyvs26 := yyspecial_routines26.make (yyvsc26)
			create yyspecial_routines27
			yyvsc27 := yyInitial_yyvs_size
			yyvs27 := yyspecial_routines27.make (yyvsc27)
			create yyspecial_routines28
			yyvsc28 := yyInitial_yyvs_size
			yyvs28 := yyspecial_routines28.make (yyvsc28)
			create yyspecial_routines29
			yyvsc29 := yyInitial_yyvs_size
			yyvs29 := yyspecial_routines29.make (yyvsc29)
			create yyspecial_routines30
			yyvsc30 := yyInitial_yyvs_size
			yyvs30 := yyspecial_routines30.make (yyvsc30)
			create yyspecial_routines31
			yyvsc31 := yyInitial_yyvs_size
			yyvs31 := yyspecial_routines31.make (yyvsc31)
			create yyspecial_routines32
			yyvsc32 := yyInitial_yyvs_size
			yyvs32 := yyspecial_routines32.make (yyvsc32)
			create yyspecial_routines33
			yyvsc33 := yyInitial_yyvs_size
			yyvs33 := yyspecial_routines33.make (yyvsc33)
			create yyspecial_routines34
			yyvsc34 := yyInitial_yyvs_size
			yyvs34 := yyspecial_routines34.make (yyvsc34)
			create yyspecial_routines35
			yyvsc35 := yyInitial_yyvs_size
			yyvs35 := yyspecial_routines35.make (yyvsc35)
			create yyspecial_routines36
			yyvsc36 := yyInitial_yyvs_size
			yyvs36 := yyspecial_routines36.make (yyvsc36)
			create yyspecial_routines37
			yyvsc37 := yyInitial_yyvs_size
			yyvs37 := yyspecial_routines37.make (yyvsc37)
			create yyspecial_routines38
			yyvsc38 := yyInitial_yyvs_size
			yyvs38 := yyspecial_routines38.make (yyvsc38)
			create yyspecial_routines39
			yyvsc39 := yyInitial_yyvs_size
			yyvs39 := yyspecial_routines39.make (yyvsc39)
			create yyspecial_routines40
			yyvsc40 := yyInitial_yyvs_size
			yyvs40 := yyspecial_routines40.make (yyvsc40)
			create yyspecial_routines41
			yyvsc41 := yyInitial_yyvs_size
			yyvs41 := yyspecial_routines41.make (yyvsc41)
			create yyspecial_routines42
			yyvsc42 := yyInitial_yyvs_size
			yyvs42 := yyspecial_routines42.make (yyvsc42)
			create yyspecial_routines43
			yyvsc43 := yyInitial_yyvs_size
			yyvs43 := yyspecial_routines43.make (yyvsc43)
			create yyspecial_routines44
			yyvsc44 := yyInitial_yyvs_size
			yyvs44 := yyspecial_routines44.make (yyvsc44)
			create yyspecial_routines45
			yyvsc45 := yyInitial_yyvs_size
			yyvs45 := yyspecial_routines45.make (yyvsc45)
			create yyspecial_routines46
			yyvsc46 := yyInitial_yyvs_size
			yyvs46 := yyspecial_routines46.make (yyvsc46)
			create yyspecial_routines47
			yyvsc47 := yyInitial_yyvs_size
			yyvs47 := yyspecial_routines47.make (yyvsc47)
			create yyspecial_routines48
			yyvsc48 := yyInitial_yyvs_size
			yyvs48 := yyspecial_routines48.make (yyvsc48)
			create yyspecial_routines49
			yyvsc49 := yyInitial_yyvs_size
			yyvs49 := yyspecial_routines49.make (yyvsc49)
			create yyspecial_routines50
			yyvsc50 := yyInitial_yyvs_size
			yyvs50 := yyspecial_routines50.make (yyvsc50)
			create yyspecial_routines51
			yyvsc51 := yyInitial_yyvs_size
			yyvs51 := yyspecial_routines51.make (yyvsc51)
			create yyspecial_routines52
			yyvsc52 := yyInitial_yyvs_size
			yyvs52 := yyspecial_routines52.make (yyvsc52)
			create yyspecial_routines53
			yyvsc53 := yyInitial_yyvs_size
			yyvs53 := yyspecial_routines53.make (yyvsc53)
			create yyspecial_routines54
			yyvsc54 := yyInitial_yyvs_size
			yyvs54 := yyspecial_routines54.make (yyvsc54)
		end

	yy_init_value_stacks
			-- Initialize value stacks.
		do
			yyvsp1 := -1
			yyvsp2 := -1
			yyvsp3 := -1
			yyvsp4 := -1
			yyvsp5 := -1
			yyvsp6 := -1
			yyvsp7 := -1
			yyvsp8 := -1
			yyvsp9 := -1
			yyvsp10 := -1
			yyvsp11 := -1
			yyvsp12 := -1
			yyvsp13 := -1
			yyvsp14 := -1
			yyvsp15 := -1
			yyvsp16 := -1
			yyvsp17 := -1
			yyvsp18 := -1
			yyvsp19 := -1
			yyvsp20 := -1
			yyvsp21 := -1
			yyvsp22 := -1
			yyvsp23 := -1
			yyvsp24 := -1
			yyvsp25 := -1
			yyvsp26 := -1
			yyvsp27 := -1
			yyvsp28 := -1
			yyvsp29 := -1
			yyvsp30 := -1
			yyvsp31 := -1
			yyvsp32 := -1
			yyvsp33 := -1
			yyvsp34 := -1
			yyvsp35 := -1
			yyvsp36 := -1
			yyvsp37 := -1
			yyvsp38 := -1
			yyvsp39 := -1
			yyvsp40 := -1
			yyvsp41 := -1
			yyvsp42 := -1
			yyvsp43 := -1
			yyvsp44 := -1
			yyvsp45 := -1
			yyvsp46 := -1
			yyvsp47 := -1
			yyvsp48 := -1
			yyvsp49 := -1
			yyvsp50 := -1
			yyvsp51 := -1
			yyvsp52 := -1
			yyvsp53 := -1
			yyvsp54 := -1
		end

	yy_clear_value_stacks
			-- Clear objects in semantic value stacks so that
			-- they can be collected by the garbage collector.
		do
			yyvs1.keep_head (0)
			yyvs2.keep_head (0)
			yyvs3.keep_head (0)
			yyvs4.keep_head (0)
			yyvs5.keep_head (0)
			yyvs6.keep_head (0)
			yyvs7.keep_head (0)
			yyvs8.keep_head (0)
			yyvs9.keep_head (0)
			yyvs10.keep_head (0)
			yyvs11.keep_head (0)
			yyvs12.keep_head (0)
			yyvs13.keep_head (0)
			yyvs14.keep_head (0)
			yyvs15.keep_head (0)
			yyvs16.keep_head (0)
			yyvs17.keep_head (0)
			yyvs18.keep_head (0)
			yyvs19.keep_head (0)
			yyvs20.keep_head (0)
			yyvs21.keep_head (0)
			yyvs22.keep_head (0)
			yyvs23.keep_head (0)
			yyvs24.keep_head (0)
			yyvs25.keep_head (0)
			yyvs26.keep_head (0)
			yyvs27.keep_head (0)
			yyvs28.keep_head (0)
			yyvs29.keep_head (0)
			yyvs30.keep_head (0)
			yyvs31.keep_head (0)
			yyvs32.keep_head (0)
			yyvs33.keep_head (0)
			yyvs34.keep_head (0)
			yyvs35.keep_head (0)
			yyvs36.keep_head (0)
			yyvs37.keep_head (0)
			yyvs38.keep_head (0)
			yyvs39.keep_head (0)
			yyvs40.keep_head (0)
			yyvs41.keep_head (0)
			yyvs42.keep_head (0)
			yyvs43.keep_head (0)
			yyvs44.keep_head (0)
			yyvs45.keep_head (0)
			yyvs46.keep_head (0)
			yyvs47.keep_head (0)
			yyvs48.keep_head (0)
			yyvs49.keep_head (0)
			yyvs50.keep_head (0)
			yyvs51.keep_head (0)
			yyvs52.keep_head (0)
			yyvs53.keep_head (0)
			yyvs54.keep_head (0)
		end

	yy_push_last_value (yychar1: INTEGER)
			-- Push semantic value associated with token `last_token'
			-- (with internal id `yychar1') on top of corresponding
			-- value stack.
		do
			inspect yytypes2.item (yychar1)
			when 1 then
				yyvsp1 := yyvsp1 + 1
				if yyvsp1 >= yyvsc1 then
					debug ("GEYACC")
						std.error.put_line ("Resize yyvs1")
					end
					yyvsc1 := yyvsc1 + yyInitial_yyvs_size
					yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
				end
				yyspecial_routines1.force (yyvs1, last_detachable_any_value, yyvsp1)
			when 2 then
				yyvsp2 := yyvsp2 + 1
				if yyvsp2 >= yyvsc2 then
					debug ("GEYACC")
						std.error.put_line ("Resize yyvs2")
					end
					yyvsc2 := yyvsc2 + yyInitial_yyvs_size
					yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
				end
				yyspecial_routines2.force (yyvs2, last_string_value, yyvsp2)
			when 3 then
				yyvsp3 := yyvsp3 + 1
				if yyvsp3 >= yyvsc3 then
					debug ("GEYACC")
						std.error.put_line ("Resize yyvs3")
					end
					yyvsc3 := yyvsc3 + yyInitial_yyvs_size
					yyvs3 := yyspecial_routines3.aliased_resized_area (yyvs3, yyvsc3)
				end
				yyspecial_routines3.force (yyvs3, last_integer_value, yyvsp3)
			else
				debug ("GEYACC")
					std.error.put_string ("Error in parser: not a token type: ")
					std.error.put_integer (yytypes2.item (yychar1))
					std.error.put_new_line
				end
				abort
			end
		end

	yy_push_error_value
			-- Push semantic value associated with token 'error'
			-- on top of corresponding value stack.
		local
			yyval1: detachable ANY
		do
			yyvsp1 := yyvsp1 + 1
			if yyvsp1 >= yyvsc1 then
				debug ("GEYACC")
					std.error.put_line ("Resize yyvs1")
				end
				yyvsc1 := yyvsc1 + yyInitial_yyvs_size
				yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
			end
			yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
		end

	yy_pop_last_value (yystate: INTEGER)
			-- Pop semantic value from stack when in state `yystate'.
		local
			yy_type_id: INTEGER
		do
			yy_type_id := yytypes1.item (yystate)
			inspect yy_type_id
			when 1 then
				yyvsp1 := yyvsp1 - 1
			when 2 then
				yyvsp2 := yyvsp2 - 1
			when 3 then
				yyvsp3 := yyvsp3 - 1
			when 4 then
				yyvsp4 := yyvsp4 - 1
			when 5 then
				yyvsp5 := yyvsp5 - 1
			when 6 then
				yyvsp6 := yyvsp6 - 1
			when 7 then
				yyvsp7 := yyvsp7 - 1
			when 8 then
				yyvsp8 := yyvsp8 - 1
			when 9 then
				yyvsp9 := yyvsp9 - 1
			when 10 then
				yyvsp10 := yyvsp10 - 1
			when 11 then
				yyvsp11 := yyvsp11 - 1
			when 12 then
				yyvsp12 := yyvsp12 - 1
			when 13 then
				yyvsp13 := yyvsp13 - 1
			when 14 then
				yyvsp14 := yyvsp14 - 1
			when 15 then
				yyvsp15 := yyvsp15 - 1
			when 16 then
				yyvsp16 := yyvsp16 - 1
			when 17 then
				yyvsp17 := yyvsp17 - 1
			when 18 then
				yyvsp18 := yyvsp18 - 1
			when 19 then
				yyvsp19 := yyvsp19 - 1
			when 20 then
				yyvsp20 := yyvsp20 - 1
			when 21 then
				yyvsp21 := yyvsp21 - 1
			when 22 then
				yyvsp22 := yyvsp22 - 1
			when 23 then
				yyvsp23 := yyvsp23 - 1
			when 24 then
				yyvsp24 := yyvsp24 - 1
			when 25 then
				yyvsp25 := yyvsp25 - 1
			when 26 then
				yyvsp26 := yyvsp26 - 1
			when 27 then
				yyvsp27 := yyvsp27 - 1
			when 28 then
				yyvsp28 := yyvsp28 - 1
			when 29 then
				yyvsp29 := yyvsp29 - 1
			when 30 then
				yyvsp30 := yyvsp30 - 1
			when 31 then
				yyvsp31 := yyvsp31 - 1
			when 32 then
				yyvsp32 := yyvsp32 - 1
			when 33 then
				yyvsp33 := yyvsp33 - 1
			when 34 then
				yyvsp34 := yyvsp34 - 1
			when 35 then
				yyvsp35 := yyvsp35 - 1
			when 36 then
				yyvsp36 := yyvsp36 - 1
			when 37 then
				yyvsp37 := yyvsp37 - 1
			when 38 then
				yyvsp38 := yyvsp38 - 1
			when 39 then
				yyvsp39 := yyvsp39 - 1
			when 40 then
				yyvsp40 := yyvsp40 - 1
			when 41 then
				yyvsp41 := yyvsp41 - 1
			when 42 then
				yyvsp42 := yyvsp42 - 1
			when 43 then
				yyvsp43 := yyvsp43 - 1
			when 44 then
				yyvsp44 := yyvsp44 - 1
			when 45 then
				yyvsp45 := yyvsp45 - 1
			when 46 then
				yyvsp46 := yyvsp46 - 1
			when 47 then
				yyvsp47 := yyvsp47 - 1
			when 48 then
				yyvsp48 := yyvsp48 - 1
			when 49 then
				yyvsp49 := yyvsp49 - 1
			when 50 then
				yyvsp50 := yyvsp50 - 1
			when 51 then
				yyvsp51 := yyvsp51 - 1
			when 52 then
				yyvsp52 := yyvsp52 - 1
			when 53 then
				yyvsp53 := yyvsp53 - 1
			when 54 then
				yyvsp54 := yyvsp54 - 1
			else
				debug ("GEYACC")
					std.error.put_string ("Error in parser: unknown type id: ")
					std.error.put_integer (yy_type_id)
					std.error.put_new_line
				end
				abort
			end
		end

	yy_run_geyacc
			-- You must run geyacc to regenerate this class.
		do
		end

feature {NONE} -- Semantic actions

	yy_do_action (yy_act: INTEGER)
			-- Execute semantic action.
		local
			yyval1: detachable ANY
			yyval2: STRING
			yyval41: detachable XPLAIN_STATEMENT
			yyval44: detachable XPLAIN_CONSTANT_ASSIGNMENT_STATEMENT
			yyval4: detachable XPLAIN_BASE
			yyval15: detachable XPLAIN_TYPE
			yyval43: detachable XPLAIN_CONSTANT_STATEMENT
			yyval6: XPLAIN_DOMAIN_RESTRICTION
			yyval7: XPLAIN_A_NODE
			yyval8: XPLAIN_I_NODE
			yyval9: XPLAIN_LOGICAL_EXPRESSION
			yyval10: XPLAIN_EXPRESSION
			yyval11: XPLAIN_LOGICAL_VALUE_EXPRESSION
			yyval12: XPLAIN_SYSTEM_EXPRESSION
			yyval13: XPLAIN_ATTRIBUTE_NAME_NODE
			yyval14: XPLAIN_ATTRIBUTE_NAME
			yyval16: detachable XPLAIN_EXPRESSION
			yyval17: XPLAIN_REPRESENTATION
			yyval18: XPLAIN_PK_REPRESENTATION
			yyval19: detachable XPLAIN_ATTRIBUTE_NODE
			yyval20: XPLAIN_ATTRIBUTE
			yyval3: INTEGER
			yyval5: detachable XPLAIN_DOMAIN_RESTRICTION
			yyval21: detachable XPLAIN_ASSERTION
			yyval22: detachable XPLAIN_ATTRIBUTE_NAME_NODE
			yyval23: detachable XPLAIN_ASSIGNMENT_NODE
			yyval24: XPLAIN_ASSIGNMENT
			yyval45: detachable XPLAIN_CASCADE_STATEMENT
			yyval46: detachable XPLAIN_CASCADE_FUNCTION_EXPRESSION
			yyval47: detachable XPLAIN_DELETE_STATEMENT
			yyval25: detachable XPLAIN_SUBJECT
			yyval52: detachable XPLAIN_UPDATE_STATEMENT
			yyval53: XPLAIN_VALUE_STATEMENT
			yyval54: detachable XPLAIN_VALUE_SELECTION_STATEMENT
			yyval26: detachable XPLAIN_NON_ATTRIBUTE_EXPRESSION
			yyval27: detachable XPLAIN_SELECTION_FUNCTION
			yyval49: detachable XPLAIN_GET_STATEMENT
			yyval48: detachable XPLAIN_EXTEND_STATEMENT
			yyval28: detachable XPLAIN_EXTENSION
			yyval29: XPLAIN_EXTEND_ATTRIBUTE
			yyval30: detachable XPLAIN_EXTENSION_EXPRESSION
			yyval31: detachable XPLAIN_SELECTION
			yyval32: detachable XPLAIN_SELECTION_LIST
			yyval33: detachable XPLAIN_SORT_NODE
			yyval34: XPLAIN_FUNCTION
			yyval35: detachable XPLAIN_EXPRESSION_NODE
			yyval36: detachable STRING
			yyval50: detachable XPLAIN_PROCEDURE_STATEMENT
			yyval37: detachable XPLAIN_PARAMETER_NODE
			yyval38: XPLAIN_PARAMETER_NODE
			yyval39: XPLAIN_PARAMETER
			yyval51: XPLAIN_SQL_STATEMENT
			yyval40: detachable XPLAIN_STATEMENT_NODE
			yyval42: detachable XPLAIN_IF_STATEMENT
		do
				inspect yy_act
when 1 then
--|#line 289 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 289")
end

			write_pending_statement
			sqlgenerator.write_end (yyvs2.item (yyvsp2))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -2
	yyvsp2 := yyvsp2 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 2 then
--|#line 294 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 294")
end

			report_error ("Additional end detected after parsing the end belonging to the database command.")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 6
	yyvsp1 := yyvsp1 -4
	yyvsp2 := yyvsp2 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 3 then
--|#line 299 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 299")
end

			report_error ("Additional input after end of database.: " + text)
			abort
			
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 4 then
--|#line 304 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 304")
end

			report_error ("Script should start with the 'database' command instead of: " + text)
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 5 then
--|#line 312 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 312")
end

			sqlgenerator.write_use_database (yyvs2.item (yyvsp2))
			yyval2 := yyvs2.item (yyvsp2)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 6 then
--|#line 320 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 320")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 7 then
--|#line 325 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 325")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 8 then
--|#line 326 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 326")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 9 then
--|#line 330 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 330")
end

			if not use_mode then
				if attached yyvs41.item (yyvsp41) as s then -- because statement support is partial at the moment
					statements.add (s)
				end
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp41 := yyvsp41 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 10 then
--|#line 338 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 338")
end

statements.add (yyvs51.item (yyvsp51)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp1 := yyvsp1 + 1
	yyvsp51 := yyvsp51 -1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 11 then
--|#line 340 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 340")
end

statements.add (yyvs51.item (yyvsp51)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp51 := yyvsp51 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 12 then
--|#line 342 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 342")
end

			if not use_mode then
				if attached yyvs41.item (yyvsp41) as s then -- because statement support is partial at the moment
					statements.add (s)
				end
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -1
	yyvsp41 := yyvsp41 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 13 then
--|#line 350 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 350")
end

			if equal (text, "end") then
				report_error ("Unexpected 'end'. '.' missing?")
				abort
			elseif equal (text, "") then
				report_error ("Unexpected end of input. 'end.' missing?")
				abort
			else
				report_error ("Unknown or unexpected command: " + text)
				abort
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 14 then
--|#line 366 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 366")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 15 then
--|#line 368 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 368")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 16 then
--|#line 370 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 370")
end

yyval41 := yyvs50.item (yyvsp50) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp50 := yyvsp50 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 17 then
--|#line 380 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 380")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 18 then
--|#line 382 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 382")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 19 then
--|#line 384 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 384")
end

yyval41 := yyvs44.item (yyvsp44) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp44 := yyvsp44 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 20 then
--|#line 389 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 389")
end

			if attached yyvs15.item (yyvsp15) as t then
				create {XPLAIN_TYPE_STATEMENT} yyval41.make (t)
				universe.add (t, Current)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp15 := yyvsp15 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 21 then
--|#line 396 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 396")
end

			if attached yyvs4.item (yyvsp4) as b then
			  create {XPLAIN_BASE_STATEMENT} yyval41.make (b)
			  if not use_mode then
				  sqlgenerator.write_base(b)
			  end
			  universe.add(b, Current)
		  end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp4 := yyvsp4 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 22 then
--|#line 406 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 406")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 23 then
--|#line 407 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 407")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 24 then
--|#line 408 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 408")
end

yyval41 := yyvs43.item (yyvsp43) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp43 := yyvsp43 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 25 then
--|#line 411 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 411")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp21 := yyvsp21 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 26 then
--|#line 412 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 412")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 27 then
--|#line 414 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 414")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 28 then
--|#line 418 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 418")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 29 then
--|#line 420 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 420")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 30 then
--|#line 425 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 425")
end

			write_pending_statement
			if attached universe.find_variable(yyvs2.item (yyvsp2)) as variable then
				if not variable.has_value then
					if not use_mode then
						sqlgenerator.write_constant_assignment (variable, yyvs10.item (yyvsp10))
					end
					variable.set_value (yyvs10.item (yyvsp10))
					create yyval44.make (variable, yyvs10.item (yyvsp10))
				else
					report_error ("Constant `" + yyvs2.item (yyvsp2) + "' has already been assigned a value.")
					abort
				end
			else
				report_error ("Not a valid constant: " + yyvs2.item (yyvsp2))
				abort
			end
			constant_mode := False
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 6
	yyvsp2 := yyvsp2 -1
	yyvsp1 := yyvsp1 -3
	yyvsp10 := yyvsp10 -1
	yyspecial_routines44.force (yyvs44, yyval44, yyvsp44)
end
when 31 then
--|#line 425 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 425")
end

constant_mode := True 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp44 := yyvsp44 + 1
	if yyvsp44 >= yyvsc44 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs44")
		end
		yyvsc44 := yyvsc44 + yyInitial_yyvs_size
		yyvs44 := yyspecial_routines44.aliased_resized_area (yyvs44, yyvsc44)
	end
	yyspecial_routines44.force (yyvs44, yyval44, yyvsp44)
end
when 32 then
--|#line 445 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 445")
end

			constant_mode := False
			report_error ("A constant assignment expression should be surrounded by parentheses")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp44 := yyvsp44 + 1
	yyvsp2 := yyvsp2 -1
	yyvsp1 := yyvsp1 -2
	if yyvsp44 >= yyvsc44 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs44")
		end
		yyvsc44 := yyvsc44 + yyInitial_yyvs_size
		yyvs44 := yyspecial_routines44.aliased_resized_area (yyvs44, yyvsc44)
	end
	yyspecial_routines44.force (yyvs44, yyval44, yyvsp44)
end
when 33 then
--|#line 456 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 456")
end

		write_pending_statement
		yyval4 := new_base (yyvs2.item (yyvsp2), yyvs17.item (yyvsp17), False)
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp4 := yyvsp4 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	yyvsp17 := yyvsp17 -1
	if yyvsp4 >= yyvsc4 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs4")
		end
		yyvsc4 := yyvsc4 + yyInitial_yyvs_size
		yyvs4 := yyspecial_routines4.aliased_resized_area (yyvs4, yyvsc4)
	end
	yyspecial_routines4.force (yyvs4, yyval4, yyvsp4)
end
when 34 then
--|#line 461 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 461")
end

		write_pending_statement
		yyval4 := new_base (yyvs2.item (yyvsp2), yyvs17.item (yyvsp17), True)
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp4 := yyvsp4 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp2 := yyvsp2 -1
	yyvsp17 := yyvsp17 -1
	if yyvsp4 >= yyvsc4 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs4")
		end
		yyvsc4 := yyvsc4 + yyInitial_yyvs_size
		yyvs4 := yyspecial_routines4.aliased_resized_area (yyvs4, yyvsc4)
	end
	yyspecial_routines4.force (yyvs4, yyval4, yyvsp4)
end
when 35 then
--|#line 466 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 466")
end

		write_pending_statement
		yyvs17.item (yyvsp17).set_domain_restriction (sqlgenerator, yyvs6.item (yyvsp6))
		yyval4 := new_base (yyvs2.item (yyvsp2), yyvs17.item (yyvsp17), False)
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	yyvsp17 := yyvsp17 -1
	yyvsp6 := yyvsp6 -1
	yyspecial_routines4.force (yyvs4, yyval4, yyvsp4)
end
when 36 then
--|#line 466 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 466")
end

last_representation := yyvs17.item (yyvsp17); 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp4 := yyvsp4 + 1
	if yyvsp4 >= yyvsc4 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs4")
		end
		yyvsc4 := yyvsc4 + yyInitial_yyvs_size
		yyvs4 := yyspecial_routines4.aliased_resized_area (yyvs4, yyvsc4)
	end
	yyspecial_routines4.force (yyvs4, yyval4, yyvsp4)
end
when 37 then
--|#line 475 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 475")
end

			write_pending_statement
			if attached yyvs19.item (yyvsp19) as al then
				create yyval15.make (yyvs2.item (yyvsp2), yyvs18.item (yyvsp18), al)
				pending_type := yyval15
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp15 := yyvsp15 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp2 := yyvsp2 -1
	yyvsp18 := yyvsp18 -1
	yyvsp19 := yyvsp19 -1
	if yyvsp15 >= yyvsc15 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs15")
		end
		yyvsc15 := yyvsc15 + yyInitial_yyvs_size
		yyvs15 := yyspecial_routines15.aliased_resized_area (yyvs15, yyvsc15)
	end
	yyspecial_routines15.force (yyvs15, yyval15, yyvsp15)
end
when 38 then
--|#line 486 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 486")
end

			if pending_init /= yyvs15.item (yyvsp15) then
				write_pending_init
			end
			if attached yyvs15.item (yyvsp15) then
				pending_init := yyvs15.item (yyvsp15)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -1
	yyvsp15 := yyvsp15 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 39 then
--|#line 486 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 486")
end

is_init_default := False 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 40 then
--|#line 500 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 500")
end

			if pending_init /= yyvs15.item (yyvsp15) then
				write_pending_init
			end
			if attached yyvs15.item (yyvsp15) then
				pending_init := yyvs15.item (yyvsp15)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -2
	yyvsp15 := yyvsp15 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 41 then
--|#line 500 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 500")
end

is_init_default := True 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 42 then
--|#line 514 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 514")
end

			write_pending_statement
			create {XPLAIN_REQUIRED} dummyrestriction.make (False)
			yyvs17.item (yyvsp17).set_domain_restriction (sqlgenerator, dummyrestriction)
			create myvariable.make (yyvs2.item (yyvsp2), yyvs17.item (yyvsp17))
			if attached myvariable as v then
				if not use_mode then
					sqlgenerator.write_constant (v)
				end
				universe.add(v, Current)
				create yyval43.make (v)
			end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp43 := yyvsp43 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	yyvsp17 := yyvsp17 -1
	if yyvsp43 >= yyvsc43 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs43")
		end
		yyvsc43 := yyvsc43 + yyInitial_yyvs_size
		yyvs43 := yyspecial_routines43.aliased_resized_area (yyvs43, yyvsc43)
	end
	yyspecial_routines43.force (yyvs43, yyval43, yyvsp43)
end
when 43 then
--|#line 530 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 530")
end

write_pending_statement
		if attached get_known_object (yyvs2.item (yyvsp2)) as myobject then
			if immediate_output_mode then
				sqlgenerator.write_drop (myobject)
			end
			universe.delete (myobject)
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 44 then
--|#line 542 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 542")
end

			write_pending_statement
			if attached subject_type as t and then attached t.find_attribute (yyvs14.item (yyvsp14)) as myattribute then
				if immediate_output_mode then
					t.write_drop_attribute	(sqlgenerator, myattribute)
				end
			else
				error_unknown_attribute (yyvs2.item (yyvsp2), yyvs14.item (yyvsp14))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp1 := yyvsp1 -2
	yyvsp2 := yyvsp2 -1
	yyvsp14 := yyvsp14 -1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 45 then
--|#line 542 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 542")
end

subject_type := get_known_type (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp41 := yyvsp41 + 1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 46 then
--|#line 554 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 554")
end

report_warning ("Purging of inits is not yet supported.") 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 6
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	yyvsp14 := yyvsp14 -1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 47 then
--|#line 554 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 554")
end

subject_type := get_known_type (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp41 := yyvsp41 + 1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 48 then
--|#line 561 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 561")
end

yyval6 := yyvs6.item (yyvsp6) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines6.force (yyvs6, yyval6, yyvsp6)
end
when 49 then
--|#line 563 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 563")
end

create {XPLAIN_A_PATTERN} yyval6.make (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp6 := yyvsp6 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp6 >= yyvsc6 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs6")
		end
		yyvsc6 := yyvsc6 + yyInitial_yyvs_size
		yyvs6 := yyspecial_routines6.aliased_resized_area (yyvs6, yyvsc6)
	end
	yyspecial_routines6.force (yyvs6, yyval6, yyvsp6)
end
when 50 then
--|#line 565 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 565")
end

yyval6 := yyvs6.item (yyvsp6) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines6.force (yyvs6, yyval6, yyvsp6)
end
when 51 then
--|#line 567 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 567")
end

			report_error ("Domain restriction not supported for this data type or error in domain restriction definition.")
			abort
			-- silence compiler:
			create {XPLAIN_A_PATTERN} yyval6.make ("")
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp6 := yyvsp6 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp6 >= yyvsc6 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs6")
		end
		yyvsc6 := yyvsc6 + yyInitial_yyvs_size
		yyvs6 := yyspecial_routines6.aliased_resized_area (yyvs6, yyvsc6)
	end
	yyspecial_routines6.force (yyvs6, yyval6, yyvsp6)
end
when 52 then
--|#line 577 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 577")
end

create {XPLAIN_A_ENUMERATION} yyval6.make (yyvs7.item (yyvsp7)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp6 := yyvsp6 + 1
	yyvsp7 := yyvsp7 -1
	if yyvsp6 >= yyvsc6 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs6")
		end
		yyvsc6 := yyvsc6 + yyInitial_yyvs_size
		yyvs6 := yyspecial_routines6.aliased_resized_area (yyvs6, yyvsc6)
	end
	yyspecial_routines6.force (yyvs6, yyval6, yyvsp6)
end
when 53 then
--|#line 579 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 579")
end

create {XPLAIN_I_ENUMERATION} yyval6.make (yyvs8.item (yyvsp8)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp6 := yyvsp6 + 1
	yyvsp8 := yyvsp8 -1
	if yyvsp6 >= yyvsc6 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs6")
		end
		yyvsc6 := yyvsc6 + yyInitial_yyvs_size
		yyvs6 := yyspecial_routines6.aliased_resized_area (yyvs6, yyvsc6)
	end
	yyspecial_routines6.force (yyvs6, yyval6, yyvsp6)
end
when 54 then
--|#line 584 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 584")
end

create {XPLAIN_A_NODE} yyval7.make (yyvs2.item (yyvsp2), void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp7 := yyvsp7 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp7 >= yyvsc7 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs7")
		end
		yyvsc7 := yyvsc7 + yyInitial_yyvs_size
		yyvs7 := yyspecial_routines7.aliased_resized_area (yyvs7, yyvsc7)
	end
	yyspecial_routines7.force (yyvs7, yyval7, yyvsp7)
end
when 55 then
--|#line 586 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 586")
end

create {XPLAIN_A_NODE} yyval7.make (yyvs2.item (yyvsp2), yyvs7.item (yyvsp7)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines7.force (yyvs7, yyval7, yyvsp7)
end
when 56 then
--|#line 591 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 591")
end

			if attached {XPLAIN_A_REPRESENTATION} last_representation as a_representation then
				if yyvs2.item (yyvsp2).count <= a_representation.length then
					yyval2 := yyvs2.item (yyvsp2)
				else
					report_error("Maximum string length of enumeration is " + a_representation.length.out + ", but enumeration has a string of " + yyvs2.item (yyvsp2).count.out + " characters.%N")
					abort
					-- silence compiler:
					yyval2 := ""
				end
			else
				yyval2 := yyvs2.item (yyvsp2)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 57 then
--|#line 609 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 609")
end

create {XPLAIN_I_NODE} yyval8.make (yyvs3.item (yyvsp3), Void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp8 := yyvsp8 + 1
	yyvsp3 := yyvsp3 -1
	if yyvsp8 >= yyvsc8 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs8")
		end
		yyvsc8 := yyvsc8 + yyInitial_yyvs_size
		yyvs8 := yyspecial_routines8.aliased_resized_area (yyvs8, yyvsc8)
	end
	yyspecial_routines8.force (yyvs8, yyval8, yyvsp8)
end
when 58 then
--|#line 611 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 611")
end

create {XPLAIN_I_NODE} yyval8.make (yyvs3.item (yyvsp3), yyvs8.item (yyvsp8)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp3 := yyvsp3 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines8.force (yyvs8, yyval8, yyvsp8)
end
when 59 then
--|#line 613 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 613")
end

			report_error ("An integer enumeration cannot contain a %"..%". If you want to specify a trajectory, the format should be (I2) (1..*) for example.")
			abort
			-- silence compiler:
			create {XPLAIN_I_NODE} yyval8.make (0, Void)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp8 := yyvsp8 + 1
	yyvsp3 := yyvsp3 -1
	yyvsp1 := yyvsp1 -2
	if yyvsp8 >= yyvsc8 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs8")
		end
		yyvsc8 := yyvsc8 + yyInitial_yyvs_size
		yyvs8 := yyspecial_routines8.aliased_resized_area (yyvs8, yyvsc8)
	end
	yyspecial_routines8.force (yyvs8, yyval8, yyvsp8)
end
when 60 then
--|#line 623 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 623")
end

			if yyvs2.item (yyvsp2 - 1).is_integer and then yyvs2.item (yyvsp2).is_integer then
				if yyvs2.item (yyvsp2 - 1).to_integer > yyvs2.item (yyvsp2).to_integer then
					report_error ("Trajectory's lower value " + yyvs2.item (yyvsp2 - 1) + " is more than the upper value " + yyvs2.item (yyvsp2) + ".")
					abort
				end
			end
			create {XPLAIN_TRAJECTORY} yyval6.make (yyvs2.item (yyvsp2 - 1), yyvs2.item (yyvsp2))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp6 := yyvsp6 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -2
	if yyvsp6 >= yyvsc6 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs6")
		end
		yyvsc6 := yyvsc6 + yyInitial_yyvs_size
		yyvs6 := yyspecial_routines6.aliased_resized_area (yyvs6, yyvsc6)
	end
	yyspecial_routines6.force (yyvs6, yyval6, yyvsp6)
end
when 61 then
--|#line 636 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 636")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 62 then
--|#line 638 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 638")
end

			create yyval2.make_filled ('9', last_width)
			yyval2.insert_character ('-', 1)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 63 then
--|#line 646 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 646")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 64 then
--|#line 648 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 648")
end

create yyval2.make_filled ('9', last_width) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 65 then
--|#line 653 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 653")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 66 then
--|#line 657 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 657")
end

yyval2 := "+" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 67 then
--|#line 659 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 659")
end

yyval2 := "-" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 68 then
--|#line 663 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 663")
end

yyval2 := "*" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 69 then
--|#line 665 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 665")
end

yyval2 := "/" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 70 then
--|#line 667 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 667")
end

yyval2 := "%%" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 71 then
--|#line 672 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 672")
end

			yyval9 := new_logical_expression (yyvs10.item (yyvsp10), once "or", yyvs9.item (yyvsp9))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines9.force (yyvs9, yyval9, yyvsp9)
end
when 72 then
--|#line 676 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 676")
end

			create yyval9.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp9 := yyvsp9 + 1
	yyvsp10 := yyvsp10 -1
	if yyvsp9 >= yyvsc9 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs9")
		end
		yyvsc9 := yyvsc9 + yyInitial_yyvs_size
		yyvs9 := yyspecial_routines9.aliased_resized_area (yyvs9, yyvsc9)
	end
	yyspecial_routines9.force (yyvs9, yyval9, yyvsp9)
end
when 73 then
--|#line 683 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 683")
end

create {XPLAIN_LOGICAL_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), once "and", yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 74 then
--|#line 685 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 685")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 75 then
--|#line 695 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 695")
end

			-- silence compiler, we either return something valid or abort:
			create {XPLAIN_LOGICAL_VALUE_EXPRESSION} yyval10.make (False)
			if attached subject_type then
				if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) and then attached last_object_in_tree as o then
					-- the last object in the tree knows what expression to build here
					if attached o.create_expression (yyvs13.item (yyvsp13)) as e then
						if e.is_logical_expression then
							create {XPLAIN_NOTNOT_EXPRESSION} yyval10.make (e)
						else
							yyval10 := e
						end
					end
				end
			else
				report_error ("type or attribute name not valid here.")
				abort
			end
			
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp13 := yyvsp13 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 76 then
--|#line 715 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 715")
end

			if attached subject_type then
				if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) and then attached last_object_in_tree as o and then attached o.create_expression (yyvs13.item (yyvsp13)) as e then
					-- the last object in the tree knows what expression to build here
					create {XPLAIN_NOT_EXPRESSION} yyval10.make (e)
				else
					-- silence compiler, we either return something valid or abort:
					create {XPLAIN_LOGICAL_VALUE_EXPRESSION} yyval10.make (False)
				end
			else
				report_error ("type or attribute name not valid here.")
				abort
				-- silence compiler, we either return something valid or abort:
				create {XPLAIN_LOGICAL_VALUE_EXPRESSION} yyval10.make (False)
			end

		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp13 := yyvsp13 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 77 then
--|#line 733 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 733")
end

			if is_parameter_declared (yyvs14.item (yyvsp14)) then
				create {XPLAIN_PARAMETER_EXPRESSION} yyval10.make (yyvs14.item (yyvsp14))
			else
				-- silence compiler, we either return something valid or abort:
				create {XPLAIN_LOGICAL_VALUE_EXPRESSION} yyval10.make (False)
			end
			
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 78 then
--|#line 742 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 742")
end

			if is_parameter_declared (yyvs14.item (yyvsp14)) then
				create {XPLAIN_PARAMETER_EXPRESSION} yyval10.make (yyvs14.item (yyvsp14))
				create {XPLAIN_NOT_EXPRESSION} yyval10.make (yyval10)
			else
				-- silence compiler, we either return something valid or abort:
				create {XPLAIN_LOGICAL_VALUE_EXPRESSION} yyval10.make (False)
			end
			
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp14 := yyvsp14 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 79 then
--|#line 752 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 752")
end

create {XPLAIN_EQ_NULL_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 80 then
--|#line 754 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 754")
end

create {XPLAIN_NE_NULL_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 81 then
--|#line 756 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 756")
end

			yyval10 := new_logical_infix_expression (yyvs10.item (yyvsp10 - 1), yyvs2.item (yyvsp2), yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp2 := yyvsp2 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 82 then
--|#line 760 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 760")
end

			report_error ("Did you mean to quote a string here? Xplain strings use a double quote: " + text)
			abort;
			-- silence compiler, we either return something valid or abort:
			yyval10 := yyvs10.item (yyvsp10)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp2 := yyvsp2 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 83 then
--|#line 767 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 767")
end

		report_error ("Xplain strings use double quotes. So write %"%" instead of ''.")
			abort;
			-- silence compiler, we either return something valid or abort:
			yyval10 := yyvs10.item (yyvsp10)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp2 := yyvsp2 -1
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 84 then
--|#line 774 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 774")
end

			create {XPLAIN_NOT_EXPRESSION} yyval10.make (new_logical_infix_expression (yyvs10.item (yyvsp10 - 1), yyvs2.item (yyvsp2), yyvs10.item (yyvsp10)))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 85 then
--|#line 778 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 778")
end

create {XPLAIN_PARENTHESIS_EXPRESSION} yyval10.make (yyvs9.item (yyvsp9)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp9 := yyvsp9 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 86 then
--|#line 780 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 780")
end

create {XPLAIN_PARENTHESIS_EXPRESSION} yyval10.make (yyvs9.item (yyvsp9))
		  create {XPLAIN_NOT_EXPRESSION} yyval10.make (yyval10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp9 := yyvsp9 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 87 then
--|#line 783 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 783")
end

yyval10 := yyvs11.item (yyvsp11) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp11 := yyvsp11 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 88 then
--|#line 785 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 785")
end

create {XPLAIN_NOT_EXPRESSION} yyval10.make (yyvs11.item (yyvsp11)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp11 := yyvsp11 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 89 then
--|#line 789 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 789")
end

yyval2 := "<" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 90 then
--|#line 791 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 791")
end

yyval2 := "<=" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 91 then
--|#line 793 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 793")
end

yyval2 := ">" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 92 then
--|#line 795 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 795")
end

yyval2 := ">=" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 93 then
--|#line 797 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 797")
end

yyval2 := "=" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 94 then
--|#line 799 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 799")
end

yyval2 := "<>" 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 95 then
--|#line 804 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 804")
end

create {XPLAIN_LOGICAL_VALUE_EXPRESSION} yyval11.make (True) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp11 := yyvsp11 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp11 >= yyvsc11 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs11")
		end
		yyvsc11 := yyvsc11 + yyInitial_yyvs_size
		yyvs11 := yyspecial_routines11.aliased_resized_area (yyvs11, yyvsc11)
	end
	yyspecial_routines11.force (yyvs11, yyval11, yyvsp11)
end
when 96 then
--|#line 806 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 806")
end

create {XPLAIN_LOGICAL_VALUE_EXPRESSION} yyval11.make (False) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp11 := yyvsp11 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp11 >= yyvsc11 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs11")
		end
		yyvsc11 := yyvsc11 + yyInitial_yyvs_size
		yyvs11 := yyspecial_routines11.aliased_resized_area (yyvs11, yyvsc11)
	end
	yyspecial_routines11.force (yyvs11, yyval11, yyvsp11)
end
when 97 then
--|#line 811 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 811")
end

create {XPLAIN_SYSTEMDATE_EXPRESSION} yyval12 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp12 := yyvsp12 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp12 >= yyvsc12 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs12")
		end
		yyvsc12 := yyvsc12 + yyInitial_yyvs_size
		yyvs12 := yyspecial_routines12.aliased_resized_area (yyvs12, yyvsc12)
	end
	yyspecial_routines12.force (yyvs12, yyval12, yyvsp12)
end
when 98 then
--|#line 813 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 813")
end

create {XPLAIN_LOGINNAME_EXPRESSION} yyval12 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp12 := yyvsp12 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp12 >= yyvsc12 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs12")
		end
		yyvsc12 := yyvsc12 + yyInitial_yyvs_size
		yyvs12 := yyspecial_routines12.aliased_resized_area (yyvs12, yyvsc12)
	end
	yyspecial_routines12.force (yyvs12, yyval12, yyvsp12)
end
when 99 then
--|#line 818 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 818")
end

create {XPLAIN_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), yyvs2.item (yyvsp2), yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp2 := yyvsp2 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 100 then
--|#line 820 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 820")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 101 then
--|#line 822 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 822")
end

create {XPLAIN_IF_EXPRESSION} yyval10.make (yyvs9.item (yyvsp9), yyvs10.item (yyvsp10 - 1), yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 6
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -3
	yyvsp9 := yyvsp9 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 102 then
--|#line 827 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 827")
end

create {XPLAIN_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), yyvs2.item (yyvsp2), yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp2 := yyvsp2 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 103 then
--|#line 829 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 829")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 104 then
--|#line 834 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 834")
end

			-- we have something here that can be an
			-- attribute/extension/value/variable.
			-- let's get the correct object associated with this tree
			if attached subject_type as s then
				if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) and then attached last_object_in_tree as last_object then
					-- the last object in the tree knows what expression to build here
					yyval10 := last_object.create_expression (yyvs13.item (yyvsp13))
				else
					abort
					-- silence compiler, we either return something valid or abort:
					create {XPLAIN_LOGINNAME_EXPRESSION} yyval10
				end
			else
				report_error ("type or attribute name not valid here.")
				abort
				-- silence compiler, we either return something valid or abort:
				create {XPLAIN_LOGINNAME_EXPRESSION} yyval10
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp13 := yyvsp13 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 105 then
--|#line 855 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 855")
end

			if attached subject_type then
				if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) and then attached last_object_in_tree as last_object then
					-- the last object in the tree knows what expression to build here
					create {XPLAIN_PREFIX_EXPRESSION} yyval10.make ("-", last_object.create_expression (yyvs13.item (yyvsp13)))
				else
					-- silence compiler, we either return something valid or abort:
					create {XPLAIN_LOGINNAME_EXPRESSION} yyval10
				end
			else
				report_error ("type or attribute name not valid here.")
				abort
				yyval10 := silence_compiler_expression
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp13 := yyvsp13 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 106 then
--|#line 871 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 871")
end

yyval10 := yyvs12.item (yyvsp12) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp12 := yyvsp12 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 107 then
--|#line 875 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 875")
end

			if attached yyvs35.item (yyvsp35) as pl then
				create {XPLAIN_COMBINE_FUNCTION} yyval10.make (pl)
			else
				yyval10 := silence_compiler_expression
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp35 := yyvsp35 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 108 then
--|#line 887 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 887")
end

			create {XPLAIN_DATEF_FUNCTION} yyval10.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 109 then
--|#line 891 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 891")
end

			create {XPLAIN_INTEGER_FUNCTION} yyval10.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 110 then
--|#line 895 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 895")
end

			create {XPLAIN_REAL_FUNCTION} yyval10.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 111 then
--|#line 899 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 899")
end

			create {XPLAIN_STRING_FUNCTION} yyval10.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 112 then
--|#line 905 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 905")
end

			create {XPLAIN_NEWDATE_FUNCTION} yyval10.make (yyvs10.item (yyvsp10 - 1), yyvs10.item (yyvsp10), newdate_default_days)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -3
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 113 then
--|#line 909 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 909")
end

			create {XPLAIN_NEWDATE_FUNCTION} yyval10.make (yyvs10.item (yyvsp10 - 2), yyvs10.item (yyvsp10 - 1), yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 7
	yyvsp10 := yyvsp10 -2
	yyvsp1 := yyvsp1 -4
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 114 then
--|#line 918 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 918")
end

			if attached subject_type as t then
				create {XPLAIN_ID_FUNCTION} yyval10.make (t)
			else
				-- silence compiler, we either return something valid or abort:
				create {XPLAIN_LOGINNAME_EXPRESSION} yyval10
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 115 then
--|#line 928 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 928")
end

create {XPLAIN_PARENTHESIS_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 116 then
--|#line 930 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 930")
end

create {XPLAIN_PARENTHESIS_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10))
		  create {XPLAIN_PREFIX_EXPRESSION} yyval10.make ("-", yyval10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -3
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 117 then
--|#line 933 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 933")
end

create {XPLAIN_STRING_EXPRESSION} yyval10.make (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 118 then
--|#line 935 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 935")
end

create {XPLAIN_NUMBER_EXPRESSION} yyval10.make (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 119 then
--|#line 937 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 937")
end

yyval10 := yyvs11.item (yyvsp11) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp11 := yyvsp11 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 120 then
--|#line 939 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 939")
end

create {XPLAIN_UNMANAGED_PARAMETER_EXPRESSION} yyval10.make (yyvs14.item (yyvsp14).full_name) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 121 then
--|#line 941 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 941")
end

			if is_parameter_declared (yyvs14.item (yyvsp14)) then
				create {XPLAIN_PARAMETER_EXPRESSION} yyval10.make (yyvs14.item (yyvsp14))
			else
				-- silence compiler, we either return something valid or abort:
				create {XPLAIN_LOGINNAME_EXPRESSION} yyval10
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 122 then
--|#line 952 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 952")
end

			create {XPLAIN_USER_FUNCTION} yyval10.make (yyvs2.item (yyvsp2), Void)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 123 then
--|#line 956 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 956")
end

			create {XPLAIN_USER_FUNCTION} yyval10.make (yyvs2.item (yyvsp2), yyvs35.item (yyvsp35))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	yyvsp35 := yyvsp35 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 124 then
--|#line 962 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 962")
end

create {XPLAIN_SQL_EXPRESSION} yyval10.make (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 125 then
--|#line 966 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 966")
end

yyval2 := yyvs3.item (yyvsp3).out 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp2 := yyvsp2 + 1
	yyvsp3 := yyvsp3 -1
	if yyvsp2 >= yyvsc2 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs2")
		end
		yyvsc2 := yyvsc2 + yyInitial_yyvs_size
		yyvs2 := yyspecial_routines2.aliased_resized_area (yyvs2, yyvsc2)
	end
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 126 then
--|#line 968 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 968")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 127 then
--|#line 973 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 973")
end

create yyval13.make (yyvs14.item (yyvsp14), Void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp13 := yyvsp13 + 1
	yyvsp14 := yyvsp14 -1
	if yyvsp13 >= yyvsc13 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs13")
		end
		yyvsc13 := yyvsc13 + yyInitial_yyvs_size
		yyvs13 := yyspecial_routines13.aliased_resized_area (yyvs13, yyvsc13)
	end
	yyspecial_routines13.force (yyvs13, yyval13, yyvsp13)
end
when 128 then
--|#line 975 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 975")
end

create yyval13.make (yyvs14.item (yyvsp14), yyvs13.item (yyvsp13)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp14 := yyvsp14 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines13.force (yyvs13, yyval13, yyvsp13)
end
when 129 then
--|#line 981 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 981")
end

create yyval14.make (Void, yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp14 := yyvsp14 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp14 >= yyvsc14 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs14")
		end
		yyvsc14 := yyvsc14 + yyInitial_yyvs_size
		yyvs14 := yyspecial_routines14.aliased_resized_area (yyvs14, yyvsc14)
	end
	yyspecial_routines14.force (yyvs14, yyval14, yyvsp14)
end
when 130 then
--|#line 983 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 983")
end

create yyval14.make (yyvs2.item (yyvsp2 - 1), yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp14 := yyvsp14 + 1
	yyvsp2 := yyvsp2 -2
	yyvsp1 := yyvsp1 -1
	if yyvsp14 >= yyvsc14 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs14")
		end
		yyvsc14 := yyvsc14 + yyInitial_yyvs_size
		yyvs14 := yyspecial_routines14.aliased_resized_area (yyvs14, yyvsc14)
	end
	yyspecial_routines14.force (yyvs14, yyval14, yyvsp14)
end
when 131 then
--|#line 988 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 988")
end

yyval14 := yyvs14.item (yyvsp14) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines14.force (yyvs14, yyval14, yyvsp14)
end
when 132 then
--|#line 992 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 992")
end

			if attached subject_type as t and then attached t.find_attribute (yyvs14.item (yyvsp14)) as myattribute then
				if attached myattribute.init then
					report_warning (format ("Attribute `$s' already has an initialization expression.", <<myattribute.full_name>>))
				end
				if attached yyvs16.item (yyvsp16) as s then
					if is_init_default then
						myattribute.set_init_default (s)
					else
						myattribute.set_init (s)
					end
				end
				yyval15 := t
			else
				error_unknown_attribute (yyvs2.item (yyvsp2), yyvs14.item (yyvsp14))
			end
			subject_type := Void
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 6
	yyvsp2 := yyvsp2 -1
	yyvsp1 := yyvsp1 -2
	yyvsp14 := yyvsp14 -1
	yyvsp16 := yyvsp16 -1
	yyspecial_routines15.force (yyvs15, yyval15, yyvsp15)
end
when 133 then
--|#line 992 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 992")
end

subject_type := get_known_type (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp15 := yyvsp15 + 1
	if yyvsp15 >= yyvsc15 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs15")
		end
		yyvsc15 := yyvsc15 + yyInitial_yyvs_size
		yyvs15 := yyspecial_routines15.aliased_resized_area (yyvs15, yyvsc15)
	end
	yyspecial_routines15.force (yyvs15, yyval15, yyvsp15)
end
when 134 then
--|#line 1016 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1016")
end

yyval16 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp16 := yyvsp16 + 1
	yyvsp10 := yyvsp10 -1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 135 then
--|#line 1018 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1018")
end

yyval16 := yyvs9.item (yyvsp9) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp16 := yyvsp16 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp9 := yyvsp9 -1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 136 then
--|#line 1020 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1020")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp16 := yyvsp16 + 1
	yyvsp1 := yyvsp1 -4
	yyvsp10 := yyvsp10 -1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 137 then
--|#line 1024 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1024")
end

yyval9 := yyvs9.item (yyvsp9) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines9.force (yyvs9, yyval9, yyvsp9)
end
when 138 then
--|#line 1029 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1029")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 139 then
--|#line 1034 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1034")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 140 then
--|#line 1037 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1037")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 141 then
--|#line 1038 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1038")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 142 then
--|#line 1041 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1041")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -1
	yyvsp16 := yyvsp16 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 143 then
--|#line 1044 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1044")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp1 := yyvsp1 + 1
	yyvsp3 := yyvsp3 -1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 144 then
--|#line 1045 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1045")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp1 := yyvsp1 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 145 then
--|#line 1048 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1048")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -1
	yyvsp16 := yyvsp16 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 146 then
--|#line 1052 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1052")
end

			last_width := yyvs3.item (yyvsp3)
			create {XPLAIN_A_REPRESENTATION} yyval17.make (last_width)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp3 := yyvsp3 -1
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 147 then
--|#line 1057 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1057")
end

create {XPLAIN_B_REPRESENTATION} yyval17 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 148 then
--|#line 1059 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1059")
end

			last_width := yyvs3.item (yyvsp3)
			create {XPLAIN_C_REPRESENTATION} yyval17.make (last_width)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp3 := yyvsp3 -1
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 149 then
--|#line 1064 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1064")
end

create {XPLAIN_D_REPRESENTATION} yyval17 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 150 then
--|#line 1066 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1066")
end

			last_width := yyvs3.item (yyvsp3)
			create {XPLAIN_I_REPRESENTATION} yyval17.make (yyvs3.item (yyvsp3))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp3 := yyvsp3 -1
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 151 then
--|#line 1071 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1071")
end

create {XPLAIN_M_REPRESENTATION} yyval17 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 152 then
--|#line 1073 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1073")
end

create {XPLAIN_P_REPRESENTATION} yyval17 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 153 then
--|#line 1075 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1075")
end

			last_width := yyvs3.item (yyvsp3 - 1)
			create {XPLAIN_R_REPRESENTATION} yyval17.make (yyvs3.item (yyvsp3 - 1), yyvs3.item (yyvsp3))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp3 := yyvsp3 -2
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 154 then
--|#line 1080 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1080")
end

create {XPLAIN_T_REPRESENTATION} yyval17 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 155 then
--|#line 1082 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1082")
end

			report_error ("Comma expected in R representation instead of: " + text)
			abort
			-- silence compiler:
			create {XPLAIN_B_REPRESENTATION} yyval17
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp3 := yyvsp3 -1
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 156 then
--|#line 1089 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1089")
end

			report_error ("Representation expected instead of: " + text)
			abort
			-- silence compiler:
			create {XPLAIN_B_REPRESENTATION} yyval17
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp17 := yyvsp17 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp17 >= yyvsc17 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs17")
		end
		yyvsc17 := yyvsc17 + yyInitial_yyvs_size
		yyvs17 := yyspecial_routines17.aliased_resized_area (yyvs17, yyvsc17)
	end
	yyspecial_routines17.force (yyvs17, yyval17, yyvsp17)
end
when 157 then
--|#line 1099 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1099")
end

			create {XPLAIN_PK_A_REPRESENTATION} yyval18.make (yyvs3.item (yyvsp3))
			create {XPLAIN_A_REFERENCES} dummya.make
			if attached dummya as r then
				yyval18.set_domain_restriction(sqlgenerator, r)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp18 := yyvsp18 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp3 := yyvsp3 -1
	if yyvsp18 >= yyvsc18 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs18")
		end
		yyvsc18 := yyvsc18 + yyInitial_yyvs_size
		yyvs18 := yyspecial_routines18.aliased_resized_area (yyvs18, yyvsc18)
	end
	yyspecial_routines18.force (yyvs18, yyval18, yyvsp18)
end
when 158 then
--|#line 1107 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1107")
end

			create {XPLAIN_PK_I_REPRESENTATION} yyval18.make (yyvs3.item (yyvsp3))
			create {XPLAIN_I_REFERENCES} dummyi.make
			if attached dummyi as r then
				yyval18.set_domain_restriction(sqlgenerator, r)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp18 := yyvsp18 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp3 := yyvsp3 -1
	if yyvsp18 >= yyvsc18 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs18")
		end
		yyvsc18 := yyvsc18 + yyInitial_yyvs_size
		yyvs18 := yyspecial_routines18.aliased_resized_area (yyvs18, yyvsc18)
	end
	yyspecial_routines18.force (yyvs18, yyval18, yyvsp18)
end
when 159 then
--|#line 1115 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1115")
end

			report_error ("type identification expected instead of: " + text)
			abort
			-- silence compiler:
			create {XPLAIN_PK_I_REPRESENTATION}yyval18.make (1)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp18 := yyvsp18 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp18 >= yyvsc18 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs18")
		end
		yyvsc18 := yyvsc18 + yyInitial_yyvs_size
		yyvs18 := yyspecial_routines18.aliased_resized_area (yyvs18, yyvsc18)
	end
	yyspecial_routines18.force (yyvs18, yyval18, yyvsp18)
end
when 160 then
--|#line 1125 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1125")
end

yyval2 := yyvs2.item (yyvsp2); current_type_name := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 161 then
--|#line 1129 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1129")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 162 then
--|#line 1133 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1133")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 163 then
--|#line 1137 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1137")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 164 then
--|#line 1141 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1141")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 165 then
--|#line 1146 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1146")
end

create {XPLAIN_ATTRIBUTE_NODE} yyval19.make (yyvs20.item (yyvsp20), Void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp19 := yyvsp19 + 1
	yyvsp20 := yyvsp20 -1
	if yyvsp19 >= yyvsc19 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs19")
		end
		yyvsc19 := yyvsc19 + yyInitial_yyvs_size
		yyvs19 := yyspecial_routines19.aliased_resized_area (yyvs19, yyvsc19)
	end
	yyspecial_routines19.force (yyvs19, yyval19, yyvsp19)
end
when 166 then
--|#line 1148 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1148")
end

create {XPLAIN_ATTRIBUTE_NODE} yyval19.make (yyvs20.item (yyvsp20), yyvs19.item (yyvsp19)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp20 := yyvsp20 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines19.force (yyvs19, yyval19, yyvsp19)
end
when 167 then
--|#line 1150 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1150")
end

			report_error ("comma or dot expected instead of: " + text)
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp19 := yyvsp19 + 1
	yyvsp20 := yyvsp20 -1
	yyvsp1 := yyvsp1 -1
	if yyvsp19 >= yyvsc19 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs19")
		end
		yyvsc19 := yyvsc19 + yyInitial_yyvs_size
		yyvs19 := yyspecial_routines19.aliased_resized_area (yyvs19, yyvsc19)
	end
	yyspecial_routines19.force (yyvs19, yyval19, yyvsp19)
end
when 168 then
--|#line 1157 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1157")
end

create {XPLAIN_ATTRIBUTE} yyval20.make (
			yyvs14.item (yyvsp14).role, yyvs14.item (yyvsp14).abstracttype_if_known,
			True, sqlgenerator.check_if_required (yyvs14.item (yyvsp14).abstracttype_if_known),
			True, False) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp20 := yyvsp20 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp14 := yyvsp14 -1
	if yyvsp20 >= yyvsc20 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs20")
		end
		yyvsc20 := yyvsc20 + yyInitial_yyvs_size
		yyvs20 := yyspecial_routines20.aliased_resized_area (yyvs20, yyvsc20)
	end
	yyspecial_routines20.force (yyvs20, yyval20, yyvsp20)
end
when 169 then
--|#line 1162 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1162")
end

create {XPLAIN_ATTRIBUTE} yyval20.make (
			yyvs14.item (yyvsp14).role, yyvs14.item (yyvsp14).abstracttype_if_known,
			True, sqlgenerator.check_if_required (yyvs14.item (yyvsp14).abstracttype_if_known),
			False, False) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp20 := yyvsp20 + 1
	yyvsp14 := yyvsp14 -1
	if yyvsp20 >= yyvsc20 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs20")
		end
		yyvsc20 := yyvsc20 + yyInitial_yyvs_size
		yyvs20 := yyspecial_routines20.aliased_resized_area (yyvs20, yyvsc20)
	end
	yyspecial_routines20.force (yyvs20, yyval20, yyvsp20)
end
when 170 then
--|#line 1167 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1167")
end

create {XPLAIN_ATTRIBUTE} yyval20.make (
			yyvs14.item (yyvsp14).role, yyvs14.item (yyvsp14).abstracttype_if_known,
		True, False, False, False) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp20 := yyvsp20 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp20 >= yyvsc20 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs20")
		end
		yyvsc20 := yyvsc20 + yyInitial_yyvs_size
		yyvs20 := yyspecial_routines20.aliased_resized_area (yyvs20, yyvsc20)
	end
	yyspecial_routines20.force (yyvs20, yyval20, yyvsp20)
end
when 171 then
--|#line 1171 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1171")
end

create {XPLAIN_ATTRIBUTE} yyval20.make (
			yyvs14.item (yyvsp14).role, yyvs14.item (yyvsp14).abstracttype_if_known,
			True, True, False, False) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp20 := yyvsp20 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp20 >= yyvsc20 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs20")
		end
		yyvsc20 := yyvsc20 + yyInitial_yyvs_size
		yyvs20 := yyspecial_routines20.aliased_resized_area (yyvs20, yyvsc20)
	end
	yyspecial_routines20.force (yyvs20, yyval20, yyvsp20)
end
when 172 then
--|#line 1175 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1175")
end

create {XPLAIN_ATTRIBUTE} yyval20.make (
		yyvs14.item (yyvsp14).role, yyvs14.item (yyvsp14).abstracttype_if_known,
		True, True, False, True) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp20 := yyvsp20 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp20 >= yyvsc20 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs20")
		end
		yyvsc20 := yyvsc20 + yyInitial_yyvs_size
		yyvs20 := yyspecial_routines20.aliased_resized_area (yyvs20, yyvsc20)
	end
	yyspecial_routines20.force (yyvs20, yyval20, yyvsp20)
end
when 173 then
--|#line 1183 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1183")
end

		create yyval14.make (Void, yyvs2.item (yyvsp2))
		if attached get_known_base_or_type (yyvs2.item (yyvsp2)) as t then
			-- when self reference, it is valid to be Void
			yyval14.set_object (t)
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp14 := yyvsp14 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp14 >= yyvsc14 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs14")
		end
		yyvsc14 := yyvsc14 + yyInitial_yyvs_size
		yyvs14 := yyspecial_routines14.aliased_resized_area (yyvs14, yyvsc14)
	end
	yyspecial_routines14.force (yyvs14, yyval14, yyvsp14)
end
when 174 then
--|#line 1191 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1191")
end

		create yyval14.make (yyvs2.item (yyvsp2 - 1), yyvs2.item (yyvsp2))
		if attached get_known_base_or_type (yyvs2.item (yyvsp2)) as t then
			-- when self reference, it is valid to be Void
			yyval14.set_object (t)
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp14 := yyvsp14 + 1
	yyvsp2 := yyvsp2 -2
	yyvsp1 := yyvsp1 -1
	if yyvsp14 >= yyvsc14 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs14")
		end
		yyvsc14 := yyvsc14 + yyInitial_yyvs_size
		yyvs14 := yyspecial_routines14.aliased_resized_area (yyvs14, yyvsc14)
	end
	yyspecial_routines14.force (yyvs14, yyval14, yyvsp14)
end
when 175 then
--|#line 1202 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1202")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 176 then
--|#line 1204 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1204")
end

yyval2  := yyvs2.item (yyvsp2 - 1) + " " + yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 -1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 177 then
--|#line 1208 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1208")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 178 then
--|#line 1212 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1212")
end

yyval3 := yyvs3.item (yyvsp3) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines3.force (yyvs3, yyval3, yyvsp3)
end
when 179 then
--|#line 1219 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1219")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 180 then
--|#line 1229 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1229")
end

yyval10 := yyvs9.item (yyvsp9) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp9 := yyvsp9 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 181 then
--|#line 1234 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1234")
end

			if attached {XPLAIN_LOGICAL_EXPRESSION} yyvs10.item (yyvsp10) as dummyl then
				yyval9 := dummyl
			else
				create yyval9.make (yyvs10.item (yyvsp10))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp9 := yyvsp9 + 1
	yyvsp10 := yyvsp10 -1
	if yyvsp9 >= yyvsc9 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs9")
		end
		yyvsc9 := yyvsc9 + yyInitial_yyvs_size
		yyvs9 := yyspecial_routines9.aliased_resized_area (yyvs9, yyvsc9)
	end
	yyspecial_routines9.force (yyvs9, yyval9, yyvsp9)
end
when 182 then
--|#line 1242 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1242")
end

			yyval9 := new_logical_expression (yyvs10.item (yyvsp10), once "or", yyvs9.item (yyvsp9))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines9.force (yyvs9, yyval9, yyvsp9)
end
when 183 then
--|#line 1249 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1249")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 184 then
--|#line 1251 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1251")
end

create {XPLAIN_LOGICAL_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), "and", yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 185 then
--|#line 1256 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1256")
end

create {XPLAIN_PARENTHESIS_EXPRESSION} yyval10.make (yyvs9.item (yyvsp9)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp9 := yyvsp9 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 186 then
--|#line 1258 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1258")
end

create {XPLAIN_PARENTHESIS_EXPRESSION} yyval10.make (yyvs9.item (yyvsp9))
		  create {XPLAIN_NOT_EXPRESSION} yyval10.make (yyval10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp9 := yyvsp9 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 187 then
--|#line 1261 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1261")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 188 then
--|#line 1263 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1263")
end

		yyval10 := silence_compiler_logical_expression
		-- @@BdB: This seems tricky: I shouldn't be able to assign a
		-- variable to a constant. And it looks like that isn't
		-- forbidden in the following code:
		if attached universe.find_variable (yyvs2.item (yyvsp2)) as variable then
			create {XPLAIN_VARIABLE_EXPRESSION} dummye.make (variable)
			if attached dummye as e then
				create {XPLAIN_NOT_EXPRESSION} yyval10.make (e)
			end
		elseif attached universe.find_value (yyvs2.item (yyvsp2)) as value then
			-- not a variable, maybe a value?
			-- depends on context, not checked now
			create {XPLAIN_VALUE_EXPRESSION} dummye.make (value)
			if attached dummye as e then
				create {XPLAIN_NOT_EXPRESSION} yyval10.make (e)
			end
		else
			report_error ("Not a known variable: " + yyvs2.item (yyvsp2))
			abort
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 189 then
--|#line 1286 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1286")
end

create {XPLAIN_STRING_EXPRESSION} yyval10.make (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 190 then
--|#line 1288 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1288")
end

yyval10 := yyvs11.item (yyvsp11) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp11 := yyvsp11 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 191 then
--|#line 1290 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1290")
end

create {XPLAIN_NOT_EXPRESSION} yyval10.make (yyvs11.item (yyvsp11)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp11 := yyvsp11 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 192 then
--|#line 1292 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1292")
end

			create {XPLAIN_LOGICAL_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), yyvs2.item (yyvsp2), yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp2 := yyvsp2 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 193 then
--|#line 1301 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1301")
end

create {XPLAIN_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), "+", yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 194 then
--|#line 1303 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1303")
end

create {XPLAIN_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), "-", yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 195 then
--|#line 1305 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1305")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 196 then
--|#line 1310 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1310")
end

create {XPLAIN_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), "*", yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 197 then
--|#line 1312 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1312")
end

create {XPLAIN_INFIX_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10 - 1), "/", yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 198 then
--|#line 1314 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1314")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 199 then
--|#line 1319 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1319")
end

create {XPLAIN_PARENTHESIS_EXPRESSION} yyval10.make (yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 200 then
--|#line 1321 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1321")
end

create {XPLAIN_NUMBER_EXPRESSION} yyval10.make (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 201 then
--|#line 1323 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1323")
end

create {XPLAIN_PREFIX_EXPRESSION} yyval10.make ("-", yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 202 then
--|#line 1325 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1325")
end

			if attached universe.find_variable (yyvs2.item (yyvsp2)) as variable then
				create {XPLAIN_VARIABLE_EXPRESSION} yyval10.make (variable)
			elseif attached universe.find_value (yyvs2.item (yyvsp2)) as value then
				if not constant_mode then
					-- not a variable, maybe a value?
					-- depends on context, not checked now
					create {XPLAIN_VALUE_EXPRESSION} yyval10.make (value)
				else
					report_error ("A constant expression can only use constant, not a variable: " + yyvs2.item (yyvsp2))
					abort
					yyval10 := silence_compiler_expression
				end
			else
				report_error ("Not a known constant or variable: " + yyvs2.item (yyvsp2))
				abort
				yyval10 := silence_compiler_expression
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 203 then
--|#line 1345 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1345")
end

			if is_parameter_declared (yyvs14.item (yyvsp14)) then
				create {XPLAIN_PARAMETER_EXPRESSION} yyval10.make (yyvs14.item (yyvsp14))
			else
				yyval10 := silence_compiler_expression
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 204 then
--|#line 1354 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1354")
end

			create {XPLAIN_NEWDATE_FUNCTION} yyval10.make (yyvs10.item (yyvsp10 - 1), yyvs10.item (yyvsp10), newdate_default_days)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp10 := yyvsp10 -1
	yyvsp1 := yyvsp1 -3
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 205 then
--|#line 1358 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1358")
end

			create {XPLAIN_NEWDATE_FUNCTION} yyval10.make (yyvs10.item (yyvsp10 - 2), yyvs10.item (yyvsp10 - 1), yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 7
	yyvsp10 := yyvsp10 -2
	yyvsp1 := yyvsp1 -4
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 206 then
--|#line 1372 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1372")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp5 := yyvsp5 + 1
	if yyvsp5 >= yyvsc5 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs5")
		end
		yyvsc5 := yyvsc5 + yyInitial_yyvs_size
		yyvs5 := yyspecial_routines5.aliased_resized_area (yyvs5, yyvsc5)
	end
	yyspecial_routines5.force (yyvs5, yyval5, yyvsp5)
end
when 207 then
--|#line 1373 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1373")
end

yyval5 := yyvs6.item (yyvsp6) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp5 := yyvsp5 + 1
	yyvsp6 := yyvsp6 -1
	if yyvsp5 >= yyvsc5 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs5")
		end
		yyvsc5 := yyvsc5 + yyInitial_yyvs_size
		yyvs5 := yyspecial_routines5.aliased_resized_area (yyvs5, yyvsc5)
	end
	yyspecial_routines5.force (yyvs5, yyval5, yyvsp5)
end
when 208 then
--|#line 1376 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1376")
end

			if attached extend_type as et and attached yyvs30.item (yyvsp30) as ed then
				create {XPLAIN_ASSERTION} yyval21.make (sqlgenerator, et, yyvs2.item (yyvsp2), yyvs5.item (yyvsp5), ed)
				if immediate_output_mode and then
					(yyval21.is_function or else yyval21.is_complex or else not sqlgenerator.CalculatedColumnsSupported) then
					write_pending_statement
					sqlgenerator.write_assertion (yyval21)
				end
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 8
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -2
	yyvsp5 := yyvsp5 -1
	yyvsp30 := yyvsp30 -1
	yyspecial_routines21.force (yyvs21, yyval21, yyvsp21)
end
when 209 then
--|#line 1376 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1376")
end

			extend_type := get_known_type (yyvs2.item (yyvsp2))
			subject_type := extend_type            -- in case of expression extension
			last_width := 1 -- hack, incorrect restriction for assert, must base * on max width of expression
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp21 := yyvsp21 + 1
	if yyvsp21 >= yyvsc21 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs21")
		end
		yyvsc21 := yyvsc21 + yyInitial_yyvs_size
		yyvs21 := yyspecial_routines21.aliased_resized_area (yyvs21, yyvsc21)
	end
	yyspecial_routines21.force (yyvs21, yyval21, yyvsp21)
end
when 210 then
--|#line 1393 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1393")
end

			report_error ("Please use its instead of with.")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp21 := yyvsp21 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	if yyvsp21 >= yyvsc21 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs21")
		end
		yyvsc21 := yyvsc21 + yyInitial_yyvs_size
		yyvs21 := yyspecial_routines21.aliased_resized_area (yyvs21, yyvsc21)
	end
	yyspecial_routines21.force (yyvs21, yyval21, yyvsp21)
end
when 211 then
--|#line 1398 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1398")
end

			report_warning ("Virtual value assertion not yet supported. No code will be generated.")
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp21 := yyvsp21 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp6 := yyvsp6 -1
	yyvsp10 := yyvsp10 -1
	if yyvsp21 >= yyvsc21 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs21")
		end
		yyvsc21 := yyvsc21 + yyInitial_yyvs_size
		yyvs21 := yyspecial_routines21.aliased_resized_area (yyvs21, yyvsc21)
	end
	yyspecial_routines21.force (yyvs21, yyval21, yyvsp21)
end
when 212 then
--|#line 1404 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1404")
end

yyval2 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines2.force (yyvs2, yyval2, yyvsp2)
end
when 213 then
--|#line 1408 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1408")
end

yyval1 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp1 := yyvsp1 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 214 then
--|#line 1412 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1412")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 215 then
--|#line 1416 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1416")
end

		if attached subject_type as st and attached yyvs22.item (yyvsp22) as al then
			create myindex.make (st, yyvs2.item (yyvsp2), False, False, al)
			if not use_mode and then attached myindex as index then
				sqlgenerator.write_index (index)
			end
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 7
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -2
	yyvsp22 := yyvsp22 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 216 then
--|#line 1416 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1416")
end

write_pending_statement
		subject_type := get_known_type (yyvs2.item (yyvsp2))
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 217 then
--|#line 1430 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1430")
end

		if attached subject_type as st and attached yyvs22.item (yyvsp22) as al then
			create myindex.make (st, yyvs2.item (yyvsp2), True, False, al)
			if not use_mode and then attached myindex as index then
				sqlgenerator.write_index (index)
			end
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 8
	yyvsp1 := yyvsp1 -4
	yyvsp2 := yyvsp2 -2
	yyvsp22 := yyvsp22 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 218 then
--|#line 1430 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1430")
end

write_pending_statement
		subject_type := get_known_type (yyvs2.item (yyvsp2))
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 219 then
--|#line 1443 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1443")
end

		if attached subject_type as st and attached yyvs22.item (yyvsp22) as al then
			create myindex.make (st, yyvs2.item (yyvsp2), False, True, al)
			if not use_mode and then attached myindex as index then
				sqlgenerator.write_index (index)
			end
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 8
	yyvsp1 := yyvsp1 -4
	yyvsp2 := yyvsp2 -2
	yyvsp22 := yyvsp22 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 220 then
--|#line 1443 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1443")
end

write_pending_statement
		subject_type := get_known_type (yyvs2.item (yyvsp2))
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 221 then
--|#line 1456 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1456")
end

		if attached subject_type as st and attached yyvs22.item (yyvsp22) as al then
			create myindex.make (st, yyvs2.item (yyvsp2), True, True, al)
			if not use_mode and then attached myindex as index then
				sqlgenerator.write_index (index)
			end
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 9
	yyvsp1 := yyvsp1 -5
	yyvsp2 := yyvsp2 -2
	yyvsp22 := yyvsp22 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 222 then
--|#line 1456 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1456")
end

write_pending_statement
		subject_type := get_known_type (yyvs2.item (yyvsp2))
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp1 := yyvsp1 + 1
	if yyvsp1 >= yyvsc1 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs1")
		end
		yyvsc1 := yyvsc1 + yyInitial_yyvs_size
		yyvs1 := yyspecial_routines1.aliased_resized_area (yyvs1, yyvsc1)
	end
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 223 then
--|#line 1472 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1472")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp22 := yyvsp22 + 1
	if yyvsp22 >= yyvsc22 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs22")
		end
		yyvsc22 := yyvsc22 + yyInitial_yyvs_size
		yyvs22 := yyspecial_routines22.aliased_resized_area (yyvs22, yyvsc22)
	end
	yyspecial_routines22.force (yyvs22, yyval22, yyvsp22)
end
when 224 then
--|#line 1473 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1473")
end

yyval22 := yyvs22.item (yyvsp22) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines22.force (yyvs22, yyval22, yyvsp22)
end
when 225 then
--|#line 1477 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1477")
end

			check attached subject_type as t then
				if attached t.find_attribute (yyvs14.item (yyvsp14)) then
					create yyval22.make (yyvs14.item (yyvsp14), Void)
				else
					error_unknown_attribute (t.name, yyvs14.item (yyvsp14))
				end
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp22 := yyvsp22 + 1
	yyvsp14 := yyvsp14 -1
	if yyvsp22 >= yyvsc22 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs22")
		end
		yyvsc22 := yyvsc22 + yyInitial_yyvs_size
		yyvs22 := yyspecial_routines22.aliased_resized_area (yyvs22, yyvsc22)
	end
	yyspecial_routines22.force (yyvs22, yyval22, yyvsp22)
end
when 226 then
--|#line 1487 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1487")
end

			check attached subject_type as t then
				if attached t.find_attribute (yyvs14.item (yyvsp14)) then
					create yyval22.make (yyvs14.item (yyvsp14), yyvs22.item (yyvsp22))
				else
					error_unknown_attribute (t.name, yyvs14.item (yyvsp14))
				end
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp14 := yyvsp14 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines22.force (yyvs22, yyval22, yyvsp22)
end
when 227 then
--|#line 1497 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1497")
end

			report_error ("comma or dot expected instead of: " + text)
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp22 := yyvsp22 + 1
	yyvsp14 := yyvsp14 -1
	yyvsp1 := yyvsp1 -1
	if yyvsp22 >= yyvsc22 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs22")
		end
		yyvsc22 := yyvsc22 + yyInitial_yyvs_size
		yyvs22 := yyspecial_routines22.aliased_resized_area (yyvs22, yyvsc22)
	end
	yyspecial_routines22.force (yyvs22, yyval22, yyvsp22)
end
when 228 then
--|#line 1512 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1512")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 229 then
--|#line 1514 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1514")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 230 then
--|#line 1519 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1519")
end

yyval41 := yyvs52.item (yyvsp52) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp52 := yyvsp52 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 231 then
--|#line 1521 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1521")
end

yyval41 := yyvs47.item (yyvsp47) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp47 := yyvsp47 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 232 then
--|#line 1523 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1523")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 233 then
--|#line 1525 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1525")
end

yyval41 := yyvs45.item (yyvsp45) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp45 := yyvsp45 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 234 then
--|#line 1530 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1530")
end

			write_pending_statement
			if attached yyvs25.item (yyvsp25) as subject and then attached yyvs23.item (yyvsp23) as al then
				warn_attributes_with_inits (al)
				if not attached subject.identification as identification then
					report_error ("Identification expected after a type name.")
					std.error.put_line ("%NAn identification is the primary key, usually a '*' meaning generate a unique key,")
					std.error.put_line ("but can be a string like %"1%".%N")
					std.error.put_line ("Examples:")
					std.error.put_line ("    insert " + subject.type.name + " * its ...")
					std.error.put_line ("    insert " + subject.type.name + " %"1%" its ...")
					abort
				elseif
					subject.type.representation.is_integer and then
					identification.is_constant and then
					not identification.sqlvalue (sqlgenerator).is_integer then
					report_error (format ("Primary key %"$s%" is not an integer.", <<identification.sqlvalue (sqlgenerator)>>))
					abort
				else
					create {XPLAIN_INSERT_STATEMENT} yyval41.make (subject.type, identification, al)
					if immediate_output_mode then
						sqlgenerator.write_insert (subject.type, identification, al)
					end
				end
			end
			subject_type := Void
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp25 := yyvsp25 -1
	yyvsp23 := yyvsp23 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 235 then
--|#line 1558 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1558")
end

			write_pending_statement
			if attached yyvs25.item (yyvsp25) as subject and then attached subject.type as mytype then
				if not sqlgenerator.CreateAutoPrimaryKey
				then
					-- Can't abort as it might be output for a dialect that
					-- doesn't support auto primary keys.
					report_warning ("auto primary key support disabled, but insert with '*' as primary key specified.")
				elseif
					not mytype.representation.is_integer
				then
					report_error ("Auto-primary keys on character instance identification not supported.")
					abort
				end
				if attached mytype as t and attached yyvs23.item (yyvsp23) as al then
					create {XPLAIN_INSERT_STATEMENT} yyval41.make (t, Void, al)
					if immediate_output_mode then
						sqlgenerator.write_insert (t, Void, al)
					end
				end
			end
			subject_type := Void
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp25 := yyvsp25 -1
	yyvsp23 := yyvsp23 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 236 then
--|#line 1582 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1582")
end

			report_error ("its expected instead of: '" + text + "'")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp25 := yyvsp25 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 237 then
--|#line 1587 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1587")
end

			write_pending_statement
			if attached yyvs32.item (yyvsp32) as swsf and attached yyvs25.item (yyvsp25) as subject then
				create {XPLAIN_GET_INSERT_STATEMENT} yyval41.make (swsf, subject.type, False, yyvs22.item (yyvsp22))
				if immediate_output_mode then
					yyval41.write (sqlgenerator)
				end
			end
			subject_type := Void
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp32 := yyvsp32 -1
	yyvsp25 := yyvsp25 -1
	yyvsp22 := yyvsp22 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 238 then
--|#line 1598 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1598")
end

			write_pending_statement
			if attached yyvs32.item (yyvsp32) as swsf and attached yyvs25.item (yyvsp25) as subject then
				if not sqlgenerator.CreateAutoPrimaryKey then
					-- Can't abort as it might be output for a dialect that
					-- doesn't support auto primary keys.
					report_warning ("auto primary key support disabled, but insert with '*' as primary key specified.")
				elseif not subject.type.representation.is_integer
				then
					report_error ("Auto-primary keys on character instance identification not supported.")
					abort
				end
				create {XPLAIN_GET_INSERT_STATEMENT} yyval41.make (swsf, subject.type, True, yyvs22.item (yyvsp22))
				if immediate_output_mode then
					yyval41.write (sqlgenerator)
				end
			end
			subject_type := Void
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 6
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp32 := yyvsp32 -1
	yyvsp25 := yyvsp25 -1
	yyvsp22 := yyvsp22 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 239 then
--|#line 1621 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1621")
end

create {XPLAIN_ASSIGNMENT_NODE} yyval23.make (yyvs24.item (yyvsp24), Void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp23 := yyvsp23 + 1
	yyvsp24 := yyvsp24 -1
	if yyvsp23 >= yyvsc23 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs23")
		end
		yyvsc23 := yyvsc23 + yyInitial_yyvs_size
		yyvs23 := yyspecial_routines23.aliased_resized_area (yyvs23, yyvsc23)
	end
	yyspecial_routines23.force (yyvs23, yyval23, yyvsp23)
end
when 240 then
--|#line 1623 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1623")
end

create {XPLAIN_ASSIGNMENT_NODE} yyval23.make (yyvs24.item (yyvsp24), yyvs23.item (yyvsp23)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp24 := yyvsp24 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines23.force (yyvs23, yyval23, yyvsp23)
end
when 241 then
--|#line 1625 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1625")
end

			report_error ("comma or dot expected instead of: " + text)
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp23 := yyvsp23 + 1
	yyvsp24 := yyvsp24 -1
	yyvsp1 := yyvsp1 -1
	if yyvsp23 >= yyvsc23 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs23")
		end
		yyvsc23 := yyvsc23 + yyInitial_yyvs_size
		yyvs23 := yyspecial_routines23.aliased_resized_area (yyvs23, yyvsc23)
	end
	yyspecial_routines23.force (yyvs23, yyval23, yyvsp23)
end
when 242 then
--|#line 1633 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1633")
end

create {XPLAIN_ASSIGNMENT} yyval24.make (yyvs14.item (yyvsp14), yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp24 := yyvsp24 + 1
	yyvsp14 := yyvsp14 -1
	yyvsp1 := yyvsp1 -1
	yyvsp10 := yyvsp10 -1
	if yyvsp24 >= yyvsc24 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs24")
		end
		yyvsc24 := yyvsc24 + yyInitial_yyvs_size
		yyvs24 := yyspecial_routines24.aliased_resized_area (yyvs24, yyvsc24)
	end
	yyspecial_routines24.force (yyvs24, yyval24, yyvsp24)
end
when 243 then
--|#line 1638 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1638")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 244 then
--|#line 1640 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1640")
end

yyval10 := yyvs9.item (yyvsp9) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp9 := yyvsp9 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 245 then
--|#line 1645 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1645")
end

			if yyvs46.item (yyvsp46) /= Void then
				if attached get_known_type (yyvs2.item (yyvsp2)) as st and then attached yyvs46.item (yyvsp46) as cd then -- subject_type changed by cascade_definition I think
					create yyval45.make (sqlgenerator, st, yyvs14.item (yyvsp14), cd)
					if immediate_output_mode then
						yyval45.write (sqlgenerator)
					end
				end
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 7
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	yyvsp14 := yyvsp14 -1
	yyvsp46 := yyvsp46 -1
	yyspecial_routines45.force (yyvs45, yyval45, yyvsp45)
end
when 246 then
--|#line 1645 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1645")
end

			subject_type := get_known_type (yyvs2.item (yyvsp2))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp45 := yyvsp45 + 1
	if yyvsp45 >= yyvsc45 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs45")
		end
		yyvsc45 := yyvsc45 + yyInitial_yyvs_size
		yyvs45 := yyspecial_routines45.aliased_resized_area (yyvs45, yyvsc45)
	end
	yyspecial_routines45.force (yyvs45, yyval45, yyvsp45)
end
when 247 then
--|#line 1668 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1668")
end

			if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) and attached yyvs27.item (yyvsp27) as sf then
				create {XPLAIN_CASCADE_FUNCTION_EXPRESSION} yyval46.make (sf, yyvs13.item (yyvsp13))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp46 := yyvsp46 + 1
	yyvsp27 := yyvsp27 -1
	yyvsp1 := yyvsp1 -1
	yyvsp13 := yyvsp13 -1
	if yyvsp46 >= yyvsc46 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs46")
		end
		yyvsc46 := yyvsc46 + yyInitial_yyvs_size
		yyvs46 := yyspecial_routines46.aliased_resized_area (yyvs46, yyvsc46)
	end
	yyspecial_routines46.force (yyvs46, yyval46, yyvsp46)
end
when 248 then
--|#line 1674 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1674")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp46 := yyvsp46 + 1
	yyvsp10 := yyvsp10 -1
	if yyvsp46 >= yyvsc46 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs46")
		end
		yyvsc46 := yyvsc46 + yyInitial_yyvs_size
		yyvs46 := yyspecial_routines46.aliased_resized_area (yyvs46, yyvsc46)
	end
	yyspecial_routines46.force (yyvs46, yyval46, yyvsp46)
end
when 249 then
--|#line 1675 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1675")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp46 := yyvsp46 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp9 := yyvsp9 -1
	if yyvsp46 >= yyvsc46 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs46")
		end
		yyvsc46 := yyvsc46 + yyInitial_yyvs_size
		yyvs46 := yyspecial_routines46.aliased_resized_area (yyvs46, yyvsc46)
	end
	yyspecial_routines46.force (yyvs46, yyval46, yyvsp46)
end
when 250 then
--|#line 1681 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1681")
end

yyval13 := yyvs13.item (yyvsp13) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines13.force (yyvs13, yyval13, yyvsp13)
end
when 251 then
--|#line 1685 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1685")
end

			write_pending_statement
			if attached yyvs25.item (yyvsp25) as s then
				if immediate_output_mode then
					sqlgenerator.write_delete (s, yyvs16.item (yyvsp16))
				end
				create yyval47.make (s, yyvs16.item (yyvsp16))
			end
			subject_type := Void
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp47 := yyvsp47 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp25 := yyvsp25 -1
	yyvsp16 := yyvsp16 -1
	if yyvsp47 >= yyvsc47 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs47")
		end
		yyvsc47 := yyvsc47 + yyInitial_yyvs_size
		yyvs47 := yyspecial_routines47.aliased_resized_area (yyvs47, yyvsc47)
	end
	yyspecial_routines47.force (yyvs47, yyval47, yyvsp47)
end
when 252 then
--|#line 1699 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1699")
end

			if attached get_known_type (yyvs2.item (yyvsp2)) as t then
				subject_type := t
				if attached {XPLAIN_STRING_EXPRESSION} yyvs16.item (yyvsp16) as my_str and then t.representation.length < my_str.value.count then
					report_error ("Instance identification %"" + my_str.value + "%" does not fit in domain " + t.representation.domain + " of type " + t.name + ".")
					abort
				else
					create {XPLAIN_SUBJECT} yyval25.make (t, yyvs16.item (yyvsp16))
				end
			else
				report_error ("Type `" + yyvs2.item (yyvsp2) + "' not known.")
				abort
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp25 := yyvsp25 + 1
	yyvsp2 := yyvsp2 -1
	yyvsp16 := yyvsp16 -1
	if yyvsp25 >= yyvsc25 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs25")
		end
		yyvsc25 := yyvsc25 + yyInitial_yyvs_size
		yyvs25 := yyspecial_routines25.aliased_resized_area (yyvs25, yyvsc25)
	end
	yyspecial_routines25.force (yyvs25, yyval25, yyvsp25)
end
when 253 then
--|#line 1717 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1717")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp16 := yyvsp16 + 1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 254 then
--|#line 1718 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1718")
end

			-- number or string
			if yyvs2.item (yyvsp2).is_integer then
				create {XPLAIN_NUMBER_EXPRESSION} yyval16.make (yyvs2.item (yyvsp2))
			else
				create {XPLAIN_STRING_EXPRESSION} yyval16.make (yyvs2.item (yyvsp2))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp16 := yyvsp16 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 255 then
--|#line 1727 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1727")
end

			if is_parameter_declared (yyvs14.item (yyvsp14)) then
				create {XPLAIN_PARAMETER_EXPRESSION} yyval16.make (yyvs14.item (yyvsp14))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp16 := yyvsp16 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 256 then
--|#line 1733 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1733")
end

			if attached get_known_value (yyvs2.item (yyvsp2)) as value then
				create {XPLAIN_VALUE_EXPRESSION} yyval16.make (value)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp16 := yyvsp16 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp2 := yyvsp2 -1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 257 then
--|#line 1739 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1739")
end

			report_error ("name of a value expected instead of: " + text)
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp16 := yyvsp16 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 258 then
--|#line 1747 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1747")
end

		write_pending_statement
		if attached yyvs23.item (yyvsp23) as al and attached yyvs25.item (yyvsp25) as s then
			if immediate_output_mode then
				sqlgenerator.write_update (s, al, yyvs16.item (yyvsp16))
			end
			subject_type := Void
			create yyval52.make (s, al, yyvs16.item (yyvsp16))
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp52 := yyvsp52 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp25 := yyvsp25 -1
	yyvsp23 := yyvsp23 -1
	yyvsp16 := yyvsp16 -1
	if yyvsp52 >= yyvsc52 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs52")
		end
		yyvsc52 := yyvsc52 + yyInitial_yyvs_size
		yyvs52 := yyspecial_routines52.aliased_resized_area (yyvs52, yyvsc52)
	end
	yyspecial_routines52.force (yyvs52, yyval52, yyvsp52)
end
when 259 then
--|#line 1758 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1758")
end

report_error ("its expected instead of: '" + text + "'")
		  abort 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp52 := yyvsp52 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp25 := yyvsp25 -1
	if yyvsp52 >= yyvsc52 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs52")
		end
		yyvsc52 := yyvsc52 + yyInitial_yyvs_size
		yyvs52 := yyspecial_routines52.aliased_resized_area (yyvs52, yyvsc52)
	end
	yyspecial_routines52.force (yyvs52, yyval52, yyvsp52)
end
when 260 then
--|#line 1763 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1763")
end

		create {XPLAIN_ATTRIBUTE_NAME} yyval14.make (Void, yyvs2.item (yyvsp2))
		if attached subject_type as t then
			if attached t.find_attribute (yyval14) as myattribute then
				yyval14.set_attribute (myattribute)
			else
				error_unknown_attribute (t.name, yyval14)
			end
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp14 := yyvsp14 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp14 >= yyvsc14 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs14")
		end
		yyvsc14 := yyvsc14 + yyInitial_yyvs_size
		yyvs14 := yyspecial_routines14.aliased_resized_area (yyvs14, yyvsc14)
	end
	yyspecial_routines14.force (yyvs14, yyval14, yyvsp14)
end
when 261 then
--|#line 1774 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1774")
end

		create {XPLAIN_ATTRIBUTE_NAME} yyval14.make (yyvs2.item (yyvsp2 - 1), yyvs2.item (yyvsp2))
		if attached subject_type as t then
			if attached t.find_attribute (yyval14) as myattribute then
				yyval14.set_attribute (myattribute)
			else
				error_unknown_attribute (t.name, yyval14)
			end
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp14 := yyvsp14 + 1
	yyvsp2 := yyvsp2 -2
	yyvsp1 := yyvsp1 -1
	if yyvsp14 >= yyvsc14 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs14")
		end
		yyvsc14 := yyvsc14 + yyInitial_yyvs_size
		yyvs14 := yyspecial_routines14.aliased_resized_area (yyvs14, yyvsc14)
	end
	yyspecial_routines14.force (yyvs14, yyval14, yyvsp14)
end
when 262 then
--|#line 1787 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1787")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp49 := yyvsp49 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 263 then
--|#line 1788 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1788")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp48 := yyvsp48 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 264 then
--|#line 1789 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1789")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp53 := yyvsp53 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 265 then
--|#line 1790 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1790")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 266 then
--|#line 1792 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1792")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp54 := yyvsp54 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 267 then
--|#line 1796 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1796")
end

			write_pending_statement
			yyval53 := new_value_statement (sqlgenerator, yyvs2.item (yyvsp2), yyvs10.item (yyvsp10))
			if immediate_output_mode then
				sqlgenerator.write_value (yyval53.value)
			end
			universe.add (yyval53.value, Current)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp53 := yyvsp53 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp2 := yyvsp2 -1
	yyvsp10 := yyvsp10 -1
	if yyvsp53 >= yyvsc53 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs53")
		end
		yyvsc53 := yyvsc53 + yyInitial_yyvs_size
		yyvs53 := yyspecial_routines53.aliased_resized_area (yyvs53, yyvsc53)
	end
	yyspecial_routines53.force (yyvs53, yyval53, yyvsp53)
end
when 268 then
--|#line 1808 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1808")
end

yyval10 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 269 then
--|#line 1810 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1810")
end

			if attached yyvs27.item (yyvsp27) as e then
				create {XPLAIN_SELECTION_EXPRESSION} yyval10.make (e)
			else
				yyval10 := silence_compiler_expression
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp27 := yyvsp27 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 270 then
--|#line 1818 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1818")
end

			if not sqlgenerator.CreateAutoPrimaryKey then
				report_error ("Auto primary key support disabled or not supported. Cannot retrieve auto-generated primary key.")
			end
			if attached get_known_type (yyvs2.item (yyvsp2)) as mytype then
				create {XPLAIN_LAST_AUTO_PK_EXPRESSION} yyval10.make (mytype)
			else
				yyval10 := silence_compiler_expression
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 271 then
--|#line 1829 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1829")
end

yyval10 := silence_compiler_expression 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp26 := yyvsp26 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 272 then
--|#line 1831 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1831")
end

create {XPLAIN_UNMANAGED_PARAMETER_EXPRESSION} yyval10.make (yyvs14.item (yyvsp14).full_name) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 273 then
--|#line 1833 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1833")
end

yyval10 := yyvs12.item (yyvsp12) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp12 := yyvsp12 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 274 then
--|#line 1837 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1837")
end

			create {XPLAIN_DATEF_FUNCTION} yyval10.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 275 then
--|#line 1841 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1841")
end

			create {XPLAIN_INTEGER_FUNCTION} yyval10.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 276 then
--|#line 1845 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1845")
end

			create {XPLAIN_REAL_FUNCTION} yyval10.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 277 then
--|#line 1849 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1849")
end

			create {XPLAIN_STRING_FUNCTION} yyval10.make (yyvs10.item (yyvsp10))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp1 := yyvsp1 -2
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 278 then
--|#line 1855 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1855")
end

			create {XPLAIN_USER_FUNCTION} yyval10.make (yyvs2.item (yyvsp2), Void)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 279 then
--|#line 1859 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1859")
end

			create {XPLAIN_USER_FUNCTION} yyval10.make (yyvs2.item (yyvsp2), yyvs35.item (yyvsp35))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp10 := yyvsp10 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp2 := yyvsp2 -1
	yyvsp35 := yyvsp35 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 280 then
--|#line 1864 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1864")
end

create {XPLAIN_SQL_EXPRESSION} yyval10.make (yyvs2.item (yyvsp2)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp10 := yyvsp10 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp10 >= yyvsc10 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs10")
		end
		yyvsc10 := yyvsc10 + yyInitial_yyvs_size
		yyvs10 := yyspecial_routines10.aliased_resized_area (yyvs10, yyvsc10)
	end
	yyspecial_routines10.force (yyvs10, yyval10, yyvsp10)
end
when 281 then
--|#line 1869 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1869")
end

			write_pending_statement
			if attached get_known_value (yyvs2.item (yyvsp2)) as value then
				if immediate_output_mode then
					sqlgenerator.write_select_value (value)
				end
				create yyval54.make (value)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp54 := yyvsp54 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	if yyvsp54 >= yyvsc54 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs54")
		end
		yyvsc54 := yyvsc54 + yyInitial_yyvs_size
		yyvs54 := yyspecial_routines54.aliased_resized_area (yyvs54, yyvsc54)
	end
	yyspecial_routines54.force (yyvs54, yyval54, yyvsp54)
end
when 282 then
--|#line 1882 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1882")
end

			report_error ("Input not yet supported.")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp26 := yyvsp26 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp17 := yyvsp17 -1
	if yyvsp26 >= yyvsc26 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs26")
		end
		yyvsc26 := yyvsc26 + yyInitial_yyvs_size
		yyvs26 := yyspecial_routines26.aliased_resized_area (yyvs26, yyvsc26)
	end
	yyspecial_routines26.force (yyvs26, yyval26, yyvsp26)
end
when 283 then
--|#line 1887 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1887")
end

			report_error ("Input not yet supported.")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp17 := yyvsp17 -1
	yyvsp2 := yyvsp2 -1
	yyspecial_routines26.force (yyvs26, yyval26, yyvsp26)
end
when 284 then
--|#line 1895 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1895")
end

			if yyvs34.item (yyvsp34).property_required = 0 and attached yyvs16.item (yyvsp16 - 1) then
				report_error ("Function " + yyvs34.item (yyvsp34).name + " does not allow a property to be present.")
				abort
			elseif yyvs34.item (yyvsp34).property_required = 1 and not attached yyvs16.item (yyvsp16 - 1) then
				report_error ("Function " + yyvs34.item (yyvsp34).name + " requires the presence of a property.")
				abort
			elseif attached yyvs25.item (yyvsp25) as s then
				create yyval27.make (yyvs34.item (yyvsp34), s, yyvs16.item (yyvsp16 - 1), yyvs16.item (yyvsp16))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp27 := yyvsp27 + 1
	yyvsp34 := yyvsp34 -1
	yyvsp25 := yyvsp25 -1
	yyvsp16 := yyvsp16 -2
	if yyvsp27 >= yyvsc27 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs27")
		end
		yyvsc27 := yyvsc27 + yyInitial_yyvs_size
		yyvs27 := yyspecial_routines27.aliased_resized_area (yyvs27, yyvsc27)
	end
	yyspecial_routines27.force (yyvs27, yyval27, yyvsp27)
end
when 285 then
--|#line 1911 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1911")
end

		if attached yyvs31.item (yyvsp31) as se then
			create {XPLAIN_GET_STATEMENT} yyval49.make (se)
			write_pending_statement
			if immediate_output_mode then
				sqlgenerator.write_select (se)
			end
		end
		subject_type := Void
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp49 := yyvsp49 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp31 := yyvsp31 -1
	if yyvsp49 >= yyvsc49 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs49")
		end
		yyvsc49 := yyvsc49 + yyInitial_yyvs_size
		yyvs49 := yyspecial_routines49.aliased_resized_area (yyvs49, yyvsc49)
	end
	yyspecial_routines49.force (yyvs49, yyval49, yyvsp49)
end
when 286 then
--|#line 1925 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1925")
end

			if attached yyvs28.item (yyvsp28) as ee then
				if immediate_output_mode then
					sqlgenerator.write_extend (ee)
				end
				create yyval48.make (ee)
			end
			subject_type := Void
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp48 := yyvsp48 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp28 := yyvsp28 -1
	if yyvsp48 >= yyvsc48 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs48")
		end
		yyvsc48 := yyvsc48 + yyInitial_yyvs_size
		yyvs48 := yyspecial_routines48.aliased_resized_area (yyvs48, yyvsc48)
	end
	yyspecial_routines48.force (yyvs48, yyval48, yyvsp48)
end
when 287 then
--|#line 1938 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1938")
end

			if attached extend_type as et and attached yyvs30.item (yyvsp30) as ed then
				if et.has_attribute (Void, yyvs29.item (yyvsp29).name) then
					report_error (format ("Cannot extend type `$s' with attribute `$s', because it already has an attribute with that name.", <<yyvs2.item (yyvsp2), yyvs29.item (yyvsp29).name>>))
					abort
				elseif universe.has (yyvs29.item (yyvsp29).name) then
					report_error (format ("There is already an object (constant, value, base, type or procedure) with name `$s'. The name of an extend must be unique to avoid ambiguous expressions.", <<yyvs29.item (yyvsp29).name>>))
					abort
				else
					create yyval28.make (sqlgenerator, et, yyvs29.item (yyvsp29), ed)
					--extend_type.add_extension ($$)
				end
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 6
	yyvsp2 := yyvsp2 -1
	yyvsp1 := yyvsp1 -2
	yyvsp29 := yyvsp29 -1
	yyvsp30 := yyvsp30 -1
	yyspecial_routines28.force (yyvs28, yyval28, yyvsp28)
end
when 288 then
--|#line 1938 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1938")
end

			write_pending_statement
			extend_type := get_known_type (yyvs2.item (yyvsp2))
			subject_type := extend_type -- in case of expression extension
			
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp28 := yyvsp28 + 1
	if yyvsp28 >= yyvsc28 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs28")
		end
		yyvsc28 := yyvsc28 + yyInitial_yyvs_size
		yyvs28 := yyspecial_routines28.aliased_resized_area (yyvs28, yyvsc28)
	end
	yyspecial_routines28.force (yyvs28, yyval28, yyvsp28)
end
when 289 then
--|#line 1959 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1959")
end

			report_error ("Use with instead of its in the extend expression.")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp28 := yyvsp28 + 1
	yyvsp2 := yyvsp2 -1
	yyvsp1 := yyvsp1 -1
	if yyvsp28 >= yyvsc28 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs28")
		end
		yyvsc28 := yyvsc28 + yyInitial_yyvs_size
		yyvs28 := yyspecial_routines28.aliased_resized_area (yyvs28, yyvsc28)
	end
	yyspecial_routines28.force (yyvs28, yyval28, yyvsp28)
end
when 290 then
--|#line 1967 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1967")
end

create yyval29.make (yyvs2.item (yyvsp2), Void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp29 := yyvsp29 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp29 >= yyvsc29 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs29")
		end
		yyvsc29 := yyvsc29 + yyInitial_yyvs_size
		yyvs29 := yyspecial_routines29.aliased_resized_area (yyvs29, yyvsc29)
	end
	yyspecial_routines29.force (yyvs29, yyval29, yyvsp29)
end
when 291 then
--|#line 1969 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1969")
end

create yyval29.make (yyvs2.item (yyvsp2), yyvs17.item (yyvsp17)); yyvs17.item (yyvsp17).set_domain_restriction (sqlgenerator, dummyrestriction) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp29 := yyvsp29 + 1
	yyvsp2 := yyvsp2 -1
	yyvsp17 := yyvsp17 -1
	if yyvsp29 >= yyvsc29 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs29")
		end
		yyvsc29 := yyvsc29 + yyInitial_yyvs_size
		yyvs29 := yyspecial_routines29.aliased_resized_area (yyvs29, yyvsc29)
	end
	yyspecial_routines29.force (yyvs29, yyval29, yyvsp29)
end
when 292 then
--|#line 1974 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1974")
end

create {XPLAIN_EXTENSION_EXPRESSION_EXPRESSION} yyval30.make (yyvs10.item (yyvsp10)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp30 := yyvsp30 + 1
	yyvsp10 := yyvsp10 -1
	if yyvsp30 >= yyvsc30 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs30")
		end
		yyvsc30 := yyvsc30 + yyInitial_yyvs_size
		yyvs30 := yyspecial_routines30.aliased_resized_area (yyvs30, yyvsc30)
	end
	yyspecial_routines30.force (yyvs30, yyval30, yyvsp30)
end
when 293 then
--|#line 1976 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1976")
end

create {XPLAIN_EXTENSION_EXPRESSION_EXPRESSION} yyval30.make (yyvs9.item (yyvsp9)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp30 := yyvsp30 + 1
	yyvsp1 := yyvsp1 -2
	yyvsp9 := yyvsp9 -1
	if yyvsp30 >= yyvsc30 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs30")
		end
		yyvsc30 := yyvsc30 + yyInitial_yyvs_size
		yyvs30 := yyspecial_routines30.aliased_resized_area (yyvs30, yyvsc30)
	end
	yyspecial_routines30.force (yyvs30, yyval30, yyvsp30)
end
when 294 then
--|#line 1978 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1978")
end

-- check per attribute tree for validness
		if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) and attached yyvs27.item (yyvsp27) as sf and then attached yyvs13.item (yyvsp13).last as last then
			if last.item.object = extend_type then
				create {XPLAIN_EXTENSION_FUNCTION_EXPRESSION} yyval30.make (sf, yyvs13.item (yyvsp13))
			else
				check attached last.item.object as object and attached extend_type as et then
					report_error ("Error in per clause. The given type is `" + object.name + "', while the expected type is `" + et.name + "'. Make sure the per property ends in the same type that is being extended.")
				end
				abort
			end

-- 			mytype ?= $3.last.item.object
-- 			if mytype /= Void then
-- 				create {XPLAIN_EXTENSION_FUNCTION_EXPRESSION} $$.make ($1, $3)
-- 			else
-- 				report_error ("Per property must be a type, cannot be a base.")
-- 				abort
-- 			end
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp30 := yyvsp30 + 1
	yyvsp27 := yyvsp27 -1
	yyvsp1 := yyvsp1 -1
	yyvsp13 := yyvsp13 -1
	if yyvsp30 >= yyvsc30 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs30")
		end
		yyvsc30 := yyvsc30 + yyInitial_yyvs_size
		yyvs30 := yyspecial_routines30.aliased_resized_area (yyvs30, yyvsc30)
	end
	yyspecial_routines30.force (yyvs30, yyval30, yyvsp30)
end
when 295 then
--|#line 1999 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 1999")
end

			report_error("per keyword expected instead of: " + text)
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp30 := yyvsp30 + 1
	yyvsp27 := yyvsp27 -1
	yyvsp1 := yyvsp1 -1
	if yyvsp30 >= yyvsc30 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs30")
		end
		yyvsc30 := yyvsc30 + yyInitial_yyvs_size
		yyvs30 := yyspecial_routines30.aliased_resized_area (yyvs30, yyvsc30)
	end
	yyspecial_routines30.force (yyvs30, yyval30, yyvsp30)
end
when 296 then
--|#line 2007 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2007")
end

yyval31 := yyvs32.item (yyvsp32) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp31 := yyvsp31 + 1
	yyvsp32 := yyvsp32 -1
	if yyvsp31 >= yyvsc31 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs31")
		end
		yyvsc31 := yyvsc31 + yyInitial_yyvs_size
		yyvs31 := yyspecial_routines31.aliased_resized_area (yyvs31, yyvsc31)
	end
	yyspecial_routines31.force (yyvs31, yyval31, yyvsp31)
end
when 297 then
--|#line 2009 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2009")
end

yyval31 := yyvs27.item (yyvsp27) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp31 := yyvsp31 + 1
	yyvsp27 := yyvsp27 -1
	if yyvsp31 >= yyvsc31 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs31")
		end
		yyvsc31 := yyvsc31 + yyInitial_yyvs_size
		yyvs31 := yyspecial_routines31.aliased_resized_area (yyvs31, yyvsc31)
	end
	yyspecial_routines31.force (yyvs31, yyval31, yyvsp31)
end
when 298 then
--|#line 2014 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2014")
end

			if attached yyvs25.item (yyvsp25) as s then
				create {XPLAIN_SELECTION_LIST} yyval32.make (s, yyvs35.item (yyvsp35), yyvs16.item (yyvsp16), yyvs33.item (yyvsp33))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp32 := yyvsp32 + 1
	yyvsp25 := yyvsp25 -1
	yyvsp35 := yyvsp35 -1
	yyvsp16 := yyvsp16 -1
	yyvsp33 := yyvsp33 -1
	if yyvsp32 >= yyvsc32 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs32")
		end
		yyvsc32 := yyvsc32 + yyInitial_yyvs_size
		yyvs32 := yyspecial_routines32.aliased_resized_area (yyvs32, yyvsc32)
	end
	yyspecial_routines32.force (yyvs32, yyval32, yyvsp32)
end
when 299 then
--|#line 2020 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2020")
end

			if attached yyvs25.item (yyvsp25) as s then
				create {XPLAIN_SELECTION_LIST} yyval32.make (s, yyvs35.item (yyvsp35), yyvs16.item (yyvsp16), yyvs33.item (yyvsp33))
				yyval32.set_identification_text (yyvs2.item (yyvsp2))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp32 := yyvsp32 + 1
	yyvsp2 := yyvsp2 -1
	yyvsp25 := yyvsp25 -1
	yyvsp35 := yyvsp35 -1
	yyvsp16 := yyvsp16 -1
	yyvsp33 := yyvsp33 -1
	if yyvsp32 >= yyvsc32 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs32")
		end
		yyvsc32 := yyvsc32 + yyInitial_yyvs_size
		yyvs32 := yyspecial_routines32.aliased_resized_area (yyvs32, yyvsc32)
	end
	yyspecial_routines32.force (yyvs32, yyval32, yyvsp32)
end
when 300 then
--|#line 2029 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2029")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp33 := yyvsp33 + 1
	if yyvsp33 >= yyvsc33 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs33")
		end
		yyvsc33 := yyvsc33 + yyInitial_yyvs_size
		yyvs33 := yyspecial_routines33.aliased_resized_area (yyvs33, yyvsc33)
	end
	yyspecial_routines33.force (yyvs33, yyval33, yyvsp33)
end
when 301 then
--|#line 2030 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2030")
end

yyval33 := yyvs33.item (yyvsp33) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines33.force (yyvs33, yyval33, yyvsp33)
end
when 302 then
--|#line 2035 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2035")
end

			if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) then
				create {XPLAIN_SORT_NODE} yyval33.make (yyvs13.item (yyvsp13), True, Void)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp33 := yyvsp33 + 1
	yyvsp13 := yyvsp13 -1
	if yyvsp33 >= yyvsc33 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs33")
		end
		yyvsc33 := yyvsc33 + yyInitial_yyvs_size
		yyvs33 := yyspecial_routines33.aliased_resized_area (yyvs33, yyvsc33)
	end
	yyspecial_routines33.force (yyvs33, yyval33, yyvsp33)
end
when 303 then
--|#line 2041 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2041")
end

			if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) then
				create {XPLAIN_SORT_NODE} yyval33.make (yyvs13.item (yyvsp13), False, Void)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp33 := yyvsp33 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp13 := yyvsp13 -1
	if yyvsp33 >= yyvsc33 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs33")
		end
		yyvsc33 := yyvsc33 + yyInitial_yyvs_size
		yyvs33 := yyspecial_routines33.aliased_resized_area (yyvs33, yyvsc33)
	end
	yyspecial_routines33.force (yyvs33, yyval33, yyvsp33)
end
when 304 then
--|#line 2047 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2047")
end

			if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) then
				create {XPLAIN_SORT_NODE} yyval33.make (yyvs13.item (yyvsp13), True, yyvs33.item (yyvsp33))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp13 := yyvsp13 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines33.force (yyvs33, yyval33, yyvsp33)
end
when 305 then
--|#line 2053 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2053")
end

			if attached get_object_if_valid_tree (yyvs13.item (yyvsp13)) then
				create {XPLAIN_SORT_NODE} yyval33.make (yyvs13.item (yyvsp13), False, yyvs33.item (yyvsp33))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp1 := yyvsp1 -2
	yyvsp13 := yyvsp13 -1
	yyspecial_routines33.force (yyvs33, yyval33, yyvsp33)
end
when 306 then
--|#line 2062 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2062")
end

			if yyvs34.item (yyvsp34).property_required = 0 and attached yyvs16.item (yyvsp16 - 1) then
				report_error ("Function " + yyvs34.item (yyvsp34).name + " does not allow a property to be present.")
				abort
			elseif yyvs34.item (yyvsp34).property_required = 1 and not attached yyvs16.item (yyvsp16 - 1) then
				report_error ("Function " + yyvs34.item (yyvsp34).name + " requires the presence of a property.")
				abort
			elseif attached yyvs25.item (yyvsp25) as s then
				create yyval27.make (yyvs34.item (yyvsp34), s, yyvs16.item (yyvsp16 - 1), yyvs16.item (yyvsp16))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp27 := yyvsp27 + 1
	yyvsp34 := yyvsp34 -1
	yyvsp25 := yyvsp25 -1
	yyvsp16 := yyvsp16 -2
	if yyvsp27 >= yyvsc27 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs27")
		end
		yyvsc27 := yyvsc27 + yyInitial_yyvs_size
		yyvs27 := yyspecial_routines27.aliased_resized_area (yyvs27, yyvsc27)
	end
	yyspecial_routines27.force (yyvs27, yyval27, yyvsp27)
end
when 307 then
--|#line 2076 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2076")
end

create {XPLAIN_MAX_FUNCTION} yyval34 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp34 := yyvsp34 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp34 >= yyvsc34 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs34")
		end
		yyvsc34 := yyvsc34 + yyInitial_yyvs_size
		yyvs34 := yyspecial_routines34.aliased_resized_area (yyvs34, yyvsc34)
	end
	yyspecial_routines34.force (yyvs34, yyval34, yyvsp34)
end
when 308 then
--|#line 2078 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2078")
end

create {XPLAIN_MIN_FUNCTION} yyval34 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp34 := yyvsp34 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp34 >= yyvsc34 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs34")
		end
		yyvsc34 := yyvsc34 + yyInitial_yyvs_size
		yyvs34 := yyspecial_routines34.aliased_resized_area (yyvs34, yyvsc34)
	end
	yyspecial_routines34.force (yyvs34, yyval34, yyvsp34)
end
when 309 then
--|#line 2080 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2080")
end

create {XPLAIN_TOTAL_FUNCTION} yyval34 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp34 := yyvsp34 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp34 >= yyvsc34 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs34")
		end
		yyvsc34 := yyvsc34 + yyInitial_yyvs_size
		yyvs34 := yyspecial_routines34.aliased_resized_area (yyvs34, yyvsc34)
	end
	yyspecial_routines34.force (yyvs34, yyval34, yyvsp34)
end
when 310 then
--|#line 2082 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2082")
end

create {XPLAIN_COUNT_FUNCTION} yyval34 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp34 := yyvsp34 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp34 >= yyvsc34 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs34")
		end
		yyvsc34 := yyvsc34 + yyInitial_yyvs_size
		yyvs34 := yyspecial_routines34.aliased_resized_area (yyvs34, yyvsc34)
	end
	yyspecial_routines34.force (yyvs34, yyval34, yyvsp34)
end
when 311 then
--|#line 2084 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2084")
end

create {XPLAIN_ANY_FUNCTION} yyval34 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp34 := yyvsp34 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp34 >= yyvsc34 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs34")
		end
		yyvsc34 := yyvsc34 + yyInitial_yyvs_size
		yyvs34 := yyspecial_routines34.aliased_resized_area (yyvs34, yyvsc34)
	end
	yyspecial_routines34.force (yyvs34, yyval34, yyvsp34)
end
when 312 then
--|#line 2086 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2086")
end

create {XPLAIN_NIL_FUNCTION} yyval34 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp34 := yyvsp34 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp34 >= yyvsc34 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs34")
		end
		yyvsc34 := yyvsc34 + yyInitial_yyvs_size
		yyvs34 := yyspecial_routines34.aliased_resized_area (yyvs34, yyvsc34)
	end
	yyspecial_routines34.force (yyvs34, yyval34, yyvsp34)
end
when 313 then
--|#line 2088 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2088")
end

create {XPLAIN_SOME_FUNCTION} yyval34 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp34 := yyvsp34 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp34 >= yyvsc34 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs34")
		end
		yyvsc34 := yyvsc34 + yyInitial_yyvs_size
		yyvs34 := yyspecial_routines34.aliased_resized_area (yyvs34, yyvsc34)
	end
	yyspecial_routines34.force (yyvs34, yyval34, yyvsp34)
end
when 314 then
--|#line 2099 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2099")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp35 := yyvsp35 + 1
	if yyvsp35 >= yyvsc35 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs35")
		end
		yyvsc35 := yyvsc35 + yyInitial_yyvs_size
		yyvs35 := yyspecial_routines35.aliased_resized_area (yyvs35, yyvsc35)
	end
	yyspecial_routines35.force (yyvs35, yyval35, yyvsp35)
end
when 315 then
--|#line 2100 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2100")
end

			if attached yyvs35.item (yyvsp35) as property_list then
				yyval35 := property_list
				property_list.give_column_names (2) -- first column is always the instance id
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp1 := yyvsp1 -1
	yyspecial_routines35.force (yyvs35, yyval35, yyvsp35)
end
when 316 then
--|#line 2110 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2110")
end

create yyval35.make (yyvs10.item (yyvsp10), yyvs36.item (yyvsp36), Void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp35 := yyvsp35 + 1
	yyvsp10 := yyvsp10 -1
	yyvsp36 := yyvsp36 -1
	if yyvsp35 >= yyvsc35 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs35")
		end
		yyvsc35 := yyvsc35 + yyInitial_yyvs_size
		yyvs35 := yyspecial_routines35.aliased_resized_area (yyvs35, yyvsc35)
	end
	yyspecial_routines35.force (yyvs35, yyval35, yyvsp35)
end
when 317 then
--|#line 2112 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2112")
end

create yyval35.make (yyvs10.item (yyvsp10), yyvs36.item (yyvsp36), yyvs35.item (yyvsp35)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp10 := yyvsp10 -1
	yyvsp36 := yyvsp36 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines35.force (yyvs35, yyval35, yyvsp35)
end
when 318 then
--|#line 2114 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2114")
end

			report_error ("its keyword should not appear after comma. Remove it.")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp35 := yyvsp35 + 1
	yyvsp10 := yyvsp10 -1
	yyvsp36 := yyvsp36 -1
	yyvsp1 := yyvsp1 -2
	if yyvsp35 >= yyvsc35 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs35")
		end
		yyvsc35 := yyvsc35 + yyInitial_yyvs_size
		yyvs35 := yyspecial_routines35.aliased_resized_area (yyvs35, yyvsc35)
	end
	yyspecial_routines35.force (yyvs35, yyval35, yyvsp35)
end
when 319 then
--|#line 2119 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2119")
end

			report_error ("Superfluous comma detected. Remove it.")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 4
	yyvsp35 := yyvsp35 + 1
	yyvsp10 := yyvsp10 -1
	yyvsp36 := yyvsp36 -1
	yyvsp1 := yyvsp1 -2
	if yyvsp35 >= yyvsc35 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs35")
		end
		yyvsc35 := yyvsc35 + yyInitial_yyvs_size
		yyvs35 := yyspecial_routines35.aliased_resized_area (yyvs35, yyvsc35)
	end
	yyspecial_routines35.force (yyvs35, yyval35, yyvsp35)
end
when 320 then
--|#line 2127 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2127")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp16 := yyvsp16 + 1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 321 then
--|#line 2128 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2128")
end

yyval16 := yyvs10.item (yyvsp10) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp16 := yyvsp16 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp10 := yyvsp10 -1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 322 then
--|#line 2133 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2133")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp36 := yyvsp36 + 1
	if yyvsp36 >= yyvsc36 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs36")
		end
		yyvsc36 := yyvsc36 + yyInitial_yyvs_size
		yyvs36 := yyspecial_routines36.aliased_resized_area (yyvs36, yyvsc36)
	end
	yyspecial_routines36.force (yyvs36, yyval36, yyvsp36)
end
when 323 then
--|#line 2134 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2134")
end

yyval36 := yyvs2.item (yyvsp2) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp36 := yyvsp36 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	if yyvsp36 >= yyvsc36 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs36")
		end
		yyvsc36 := yyvsc36 + yyInitial_yyvs_size
		yyvs36 := yyspecial_routines36.aliased_resized_area (yyvs36, yyvsc36)
	end
	yyspecial_routines36.force (yyvs36, yyval36, yyvsp36)
end
when 324 then
--|#line 2136 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2136")
end

			report_error ("The as keyword should be followed by a name (my name) or a quoted name (`my new name'), not by a string.")
			abort
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp36 := yyvsp36 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp2 := yyvsp2 -1
	if yyvsp36 >= yyvsc36 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs36")
		end
		yyvsc36 := yyvsc36 + yyInitial_yyvs_size
		yyvs36 := yyspecial_routines36.aliased_resized_area (yyvs36, yyvsc36)
	end
	yyspecial_routines36.force (yyvs36, yyval36, yyvsp36)
end
when 325 then
--|#line 2144 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2144")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp16 := yyvsp16 + 1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 326 then
--|#line 2145 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2145")
end

yyval16 := yyvs9.item (yyvsp9) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp16 := yyvsp16 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp9 := yyvsp9 -1
	if yyvsp16 >= yyvsc16 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs16")
		end
		yyvsc16 := yyvsc16 + yyInitial_yyvs_size
		yyvs16 := yyspecial_routines16.aliased_resized_area (yyvs16, yyvsc16)
	end
	yyspecial_routines16.force (yyvs16, yyval16, yyvsp16)
end
when 327 then
--|#line 2150 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2150")
end

		if not use_mode then
			sqlgenerator.echo(yyvs2.item (yyvsp2))
			sqlgenerator.write_echo(yyvs2.item (yyvsp2))
		end
	
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp2 := yyvsp2 -1
	yyspecial_routines1.force (yyvs1, yyval1, yyvsp1)
end
when 328 then
--|#line 2165 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2165")
end

			procedure_mode := False
			yyval50 := new_procedure_statement (yyvs2.item (yyvsp2), yyvs37.item (yyvsp37), yyvs3.item (yyvsp3), yyvs40.item (yyvsp40))
			if not yyvs51.item (yyvsp51).sql.is_empty then
				yyval50.procedure.sql_declare.append_string (yyvs51.item (yyvsp51).sql)
			end
			universe.add (yyval50.procedure, Current)
			if immediate_output_mode then
				sqlgenerator.write_procedure (yyval50.procedure)
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 9
	yyvsp50 := yyvsp50 -1
	yyvsp3 := yyvsp3 -1
	yyvsp2 := yyvsp2 -1
	yyvsp37 := yyvsp37 -1
	yyvsp51 := yyvsp51 -1
	yyvsp1 := yyvsp1 -2
	yyvsp40 := yyvsp40 -1
	yyspecial_routines50.force (yyvs50, yyval50, yyvsp50)
end
when 329 then
--|#line 2165 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2165")
end

			write_pending_statement
			procedure_mode := True
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp50 := yyvsp50 + 1
	if yyvsp50 >= yyvsc50 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs50")
		end
		yyvsc50 := yyvsc50 + yyInitial_yyvs_size
		yyvs50 := yyspecial_routines50.aliased_resized_area (yyvs50, yyvsc50)
	end
	yyspecial_routines50.force (yyvs50, yyval50, yyvsp50)
end
when 330 then
--|#line 2165 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2165")
end

			my_parameters := yyvs37.item (yyvsp37)
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp50 := yyvsp50 + 1
	if yyvsp50 >= yyvsc50 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs50")
		end
		yyvsc50 := yyvsc50 + yyInitial_yyvs_size
		yyvs50 := yyspecial_routines50.aliased_resized_area (yyvs50, yyvsc50)
	end
	yyspecial_routines50.force (yyvs50, yyval50, yyvsp50)
end
when 331 then
--|#line 2189 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2189")
end

yyval3 := 0 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs3")
		end
		yyvsc3 := yyvsc3 + yyInitial_yyvs_size
		yyvs3 := yyspecial_routines3.aliased_resized_area (yyvs3, yyvsc3)
	end
	yyspecial_routines3.force (yyvs3, yyval3, yyvsp3)
end
when 332 then
--|#line 2190 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2190")
end

yyval3 := 1 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs3")
		end
		yyvsc3 := yyvsc3 + yyInitial_yyvs_size
		yyvs3 := yyspecial_routines3.aliased_resized_area (yyvs3, yyvsc3)
	end
	yyspecial_routines3.force (yyvs3, yyval3, yyvsp3)
end
when 333 then
--|#line 2191 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2191")
end

yyval3 := 2 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs3")
		end
		yyvsc3 := yyvsc3 + yyInitial_yyvs_size
		yyvs3 := yyspecial_routines3.aliased_resized_area (yyvs3, yyvsc3)
	end
	yyspecial_routines3.force (yyvs3, yyval3, yyvsp3)
end
when 334 then
--|#line 2192 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2192")
end

yyval3 := 3 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp3 := yyvsp3 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp3 >= yyvsc3 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs3")
		end
		yyvsc3 := yyvsc3 + yyInitial_yyvs_size
		yyvs3 := yyspecial_routines3.aliased_resized_area (yyvs3, yyvsc3)
	end
	yyspecial_routines3.force (yyvs3, yyval3, yyvsp3)
end
when 335 then
--|#line 2196 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2196")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp37 := yyvsp37 + 1
	if yyvsp37 >= yyvsc37 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs37")
		end
		yyvsc37 := yyvsc37 + yyInitial_yyvs_size
		yyvs37 := yyspecial_routines37.aliased_resized_area (yyvs37, yyvsc37)
	end
	yyspecial_routines37.force (yyvs37, yyval37, yyvsp37)
end
when 336 then
--|#line 2197 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2197")
end

yyval37 := yyvs38.item (yyvsp38) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp37 := yyvsp37 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp38 := yyvsp38 -1
	if yyvsp37 >= yyvsc37 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs37")
		end
		yyvsc37 := yyvsc37 + yyInitial_yyvs_size
		yyvs37 := yyspecial_routines37.aliased_resized_area (yyvs37, yyvsc37)
	end
	yyspecial_routines37.force (yyvs37, yyval37, yyvsp37)
end
when 337 then
--|#line 2202 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2202")
end

create yyval38.make (yyvs39.item (yyvsp39), Void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp38 := yyvsp38 + 1
	yyvsp39 := yyvsp39 -1
	if yyvsp38 >= yyvsc38 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs38")
		end
		yyvsc38 := yyvsc38 + yyInitial_yyvs_size
		yyvs38 := yyspecial_routines38.aliased_resized_area (yyvs38, yyvsc38)
	end
	yyspecial_routines38.force (yyvs38, yyval38, yyvsp38)
end
when 338 then
--|#line 2204 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2204")
end

create yyval38.make (yyvs39.item (yyvsp39), yyvs38.item (yyvsp38)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp39 := yyvsp39 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines38.force (yyvs38, yyval38, yyvsp38)
end
when 339 then
--|#line 2209 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2209")
end

create yyval39.make (yyvs14.item (yyvsp14), True) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp39 := yyvsp39 + 1
	yyvsp14 := yyvsp14 -1
	if yyvsp39 >= yyvsc39 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs39")
		end
		yyvsc39 := yyvsc39 + yyInitial_yyvs_size
		yyvs39 := yyspecial_routines39.aliased_resized_area (yyvs39, yyvsc39)
	end
	yyspecial_routines39.force (yyvs39, yyval39, yyvsp39)
end
when 340 then
--|#line 2210 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2210")
end

create yyval39.make (yyvs14.item (yyvsp14), False) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp39 := yyvsp39 + 1
	yyvsp1 := yyvsp1 -1
	yyvsp14 := yyvsp14 -1
	if yyvsp39 >= yyvsc39 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs39")
		end
		yyvsc39 := yyvsc39 + yyInitial_yyvs_size
		yyvs39 := yyspecial_routines39.aliased_resized_area (yyvs39, yyvsc39)
	end
	yyspecial_routines39.force (yyvs39, yyval39, yyvsp39)
end
when 341 then
--|#line 2214 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2214")
end

create {XPLAIN_SQL_STATEMENT} yyval51.make ("") 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp51 := yyvsp51 + 1
	if yyvsp51 >= yyvsc51 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs51")
		end
		yyvsc51 := yyvsc51 + yyInitial_yyvs_size
		yyvs51 := yyspecial_routines51.aliased_resized_area (yyvs51, yyvsc51)
	end
	yyspecial_routines51.force (yyvs51, yyval51, yyvsp51)
end
when 342 then
--|#line 2216 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2216")
end

yyval51 := yyvs51.item (yyvsp51) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines51.force (yyvs51, yyval51, yyvsp51)
end
when 343 then
--|#line 2221 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2221")
end


if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 0
	yyvsp40 := yyvsp40 + 1
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 344 then
--|#line 2222 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2222")
end

yyval40 := yyvs40.item (yyvsp40) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 345 then
--|#line 2227 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2227")
end

			if attached yyvs41.item (yyvsp41) as s then create yyval40.make (s, Void) end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp40 := yyvsp40 + 1
	yyvsp41 := yyvsp41 -1
	yyvsp1 := yyvsp1 -1
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 346 then
--|#line 2231 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2231")
end

			if attached yyvs41.item (yyvsp41) as s then create yyval40.make (s, yyvs40.item (yyvsp40)) end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp41 := yyvsp41 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 347 then
--|#line 2235 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2235")
end

			if attached yyvs51.item (yyvsp51) as s then create yyval40.make (s, Void) end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp40 := yyvsp40 + 1
	yyvsp51 := yyvsp51 -1
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 348 then
--|#line 2239 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2239")
end

			create yyval40.make (yyvs51.item (yyvsp51), yyvs40.item (yyvsp40))
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp51 := yyvsp51 -1
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 349 then
--|#line 2243 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2243")
end

			if equal (text, "end") then
				report_error ("Unexpected 'end' in stored procedure. '.' missing in last statement?")
				abort
			else
				report_error ("Stumbled upon: " + text)
				abort
		end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp40 := yyvsp40 + 1
	yyvsp1 := yyvsp1 -1
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 350 then
--|#line 2253 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2253")
end

report_error ("A base statement cannot appear in a procedure."); abort 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp40 := yyvsp40 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 351 then
--|#line 2255 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2255")
end

report_error ("A type statement cannot appear in a procedure."); abort 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp40 := yyvsp40 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 352 then
--|#line 2257 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2257")
end

report_error ("An assert statement cannot appear in a procedure."); abort 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp40 := yyvsp40 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 353 then
--|#line 2259 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2259")
end

report_error ("An init statement cannot appear in a procedure."); abort 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp40 := yyvsp40 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 354 then
--|#line 2261 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2261")
end

report_error ("A procedure statement cannot appear in a procedure."); abort 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp40 := yyvsp40 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 355 then
--|#line 2267 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2267")
end

yyval41 := yyvs48.item (yyvsp48) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp48 := yyvsp48 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 356 then
--|#line 2269 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2269")
end

yyval41 := yyvs47.item (yyvsp47) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp47 := yyvsp47 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 357 then
--|#line 2271 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2271")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 358 then
--|#line 2273 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2273")
end

yyval41 := yyvs49.item (yyvsp49) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp49 := yyvsp49 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 359 then
--|#line 2275 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2275")
end

yyval41 := yyvs52.item (yyvsp52) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp52 := yyvsp52 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 360 then
--|#line 2277 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2277")
end

yyval41 := yyvs53.item (yyvsp53) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp53 := yyvsp53 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 361 then
--|#line 2279 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2279")
end

yyval41 := yyvs54.item (yyvsp54) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp54 := yyvsp54 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 362 then
--|#line 2281 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2281")
end

yyval41 := yyvs42.item (yyvsp42) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp42 := yyvsp42 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 363 then
--|#line 2287 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2287")
end

create yyval42.make (yyvs9.item (yyvsp9), yyvs40.item (yyvsp40), Void) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 5
	yyvsp42 := yyvsp42 + 1
	yyvsp1 := yyvsp1 -3
	yyvsp9 := yyvsp9 -1
	yyvsp40 := yyvsp40 -1
	if yyvsp42 >= yyvsc42 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs42")
		end
		yyvsc42 := yyvsc42 + yyInitial_yyvs_size
		yyvs42 := yyspecial_routines42.aliased_resized_area (yyvs42, yyvsc42)
	end
	yyspecial_routines42.force (yyvs42, yyval42, yyvsp42)
end
when 364 then
--|#line 2289 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2289")
end

create yyval42.make (yyvs9.item (yyvsp9), yyvs40.item (yyvsp40 - 1), yyvs40.item (yyvsp40)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 7
	yyvsp42 := yyvsp42 + 1
	yyvsp1 := yyvsp1 -4
	yyvsp9 := yyvsp9 -1
	yyvsp40 := yyvsp40 -2
	if yyvsp42 >= yyvsc42 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs42")
		end
		yyvsc42 := yyvsc42 + yyInitial_yyvs_size
		yyvs42 := yyspecial_routines42.aliased_resized_area (yyvs42, yyvsc42)
	end
	yyspecial_routines42.force (yyvs42, yyval42, yyvsp42)
end
when 365 then
--|#line 2295 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2295")
end

if attached yyvs41.item (yyvsp41) as s then create yyval40.make (s, Void) end 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp40 := yyvsp40 + 1
	yyvsp41 := yyvsp41 -1
	yyvsp1 := yyvsp1 -1
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 366 then
--|#line 2297 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2297")
end

if attached yyvs41.item (yyvsp41) as s then create yyval40.make (s, yyvs40.item (yyvsp40)) end 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 3
	yyvsp41 := yyvsp41 -1
	yyvsp1 := yyvsp1 -1
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 367 then
--|#line 2299 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2299")
end

if attached yyvs51.item (yyvsp51) as s then create yyval40.make (s, Void) end 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp40 := yyvsp40 + 1
	yyvsp51 := yyvsp51 -1
	if yyvsp40 >= yyvsc40 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs40")
		end
		yyvsc40 := yyvsc40 + yyInitial_yyvs_size
		yyvs40 := yyspecial_routines40.aliased_resized_area (yyvs40, yyvsc40)
	end
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 368 then
--|#line 2301 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2301")
end

create yyval40.make (yyvs51.item (yyvsp51), yyvs40.item (yyvsp40)) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp51 := yyvsp51 -1
	yyspecial_routines40.force (yyvs40, yyval40, yyvsp40)
end
when 369 then
--|#line 2306 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2306")
end

yyval41 := yyvs47.item (yyvsp47) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp47 := yyvsp47 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 370 then
--|#line 2308 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2308")
end

yyval41 := yyvs41.item (yyvsp41) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 371 then
--|#line 2310 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2310")
end

yyval41 := yyvs52.item (yyvsp52) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp52 := yyvsp52 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 372 then
--|#line 2312 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2312")
end

yyval41 := yyvs53.item (yyvsp53) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp53 := yyvsp53 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 373 then
--|#line 2314 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2314")
end

yyval41 := yyvs42.item (yyvsp42) 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp41 := yyvsp41 + 1
	yyvsp42 := yyvsp42 -1
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 374 then
--|#line 2316 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2316")
end

report_error ("A get statement cannot appear inside an if statement."); abort 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 375 then
--|#line 2318 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2318")
end

report_error ("A select value statement cannot appear inside an if statement."); abort 
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 2
	yyvsp41 := yyvsp41 + 1
	yyvsp1 := yyvsp1 -2
	if yyvsp41 >= yyvsc41 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs41")
		end
		yyvsc41 := yyvsc41 + yyInitial_yyvs_size
		yyvs41 := yyspecial_routines41.aliased_resized_area (yyvs41, yyvsc41)
	end
	yyspecial_routines41.force (yyvs41, yyval41, yyvsp41)
end
when 376 then
--|#line 2328 "xplain_parser.y"
debug ("GEYACC")
	std.error.put_line ("Executing parser user-code from file 'xplain_parser.y' at line 2328")
end

			create yyval51.make (yyvs2.item (yyvsp2))
			if immediate_output_mode then
				sqlgenerator.write_sql (yyvs2.item (yyvsp2))
			end
		
if yy_parsing_status >= yyContinue then
	yyssp := yyssp - 1
	yyvsp51 := yyvsp51 + 1
	yyvsp2 := yyvsp2 -1
	if yyvsp51 >= yyvsc51 then
		debug ("GEYACC")
			std.error.put_line ("Resize yyvs51")
		end
		yyvsc51 := yyvsc51 + yyInitial_yyvs_size
		yyvs51 := yyspecial_routines51.aliased_resized_area (yyvs51, yyvsc51)
	end
	yyspecial_routines51.force (yyvs51, yyval51, yyvsp51)
end
				else
					debug ("GEYACC")
						std.error.put_string ("Error in parser: unknown rule id: ")
						std.error.put_integer (yy_act)
						std.error.put_new_line
					end
					abort
				end
		end

	yy_do_error_action (yy_act: INTEGER)
			-- Execute error action.
		do
			inspect yy_act
			when 666 then
					-- End-of-file expected action.
				report_eof_expected_error
			else
					-- Default action.
				report_error ("parse error")
			end
		end

feature {NONE} -- Table templates

	yytranslate_template: SPECIAL [INTEGER]
			-- Template for `yytranslate'
		local
			an_array: ARRAY [INTEGER]
		once
			create an_array.make_filled (0, 0, 366)
			yytranslate_template_1 (an_array)
			yytranslate_template_2 (an_array)
			Result := yyfixed_array (an_array)
		end

	yytranslate_template_1 (an_array: ARRAY [INTEGER])
			-- Fill chunk #1 of template for `yytranslate'.
		do
			yyarray_subcopy (an_array, <<
			    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,  127,  118,    2,  125,
			  121,  122,  116,  114,  123,  115,  120,  117,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,  126,  129,
			  110,  108,  111,  124,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,  130,    2,  131,    2,  128,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2, yyDummy>>,
			1, 200, 0)
		end

	yytranslate_template_2 (an_array: ARRAY [INTEGER])
			-- Fill chunk #2 of template for `yytranslate'.
		do
			yyarray_subcopy (an_array, <<
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    1,    2,    3,    4,
			    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,
			   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,
			   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,
			   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,

			   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,
			   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,
			   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,
			   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,
			   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,
			   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,
			  105,  106,  107,  109,  112,  113,  119, yyDummy>>,
			1, 167, 200)
		end

	yyr1_template: SPECIAL [INTEGER]
			-- Template for `yyr1'
		local
			an_array: ARRAY [INTEGER]
		once
			create an_array.make_filled (0, 0, 376)
			yyr1_template_1 (an_array)
			yyr1_template_2 (an_array)
			Result := yyfixed_array (an_array)
		end

	yyr1_template_1 (an_array: ARRAY [INTEGER])
			-- Fill chunk #1 of template for `yyr1'.
		do
			yyarray_subcopy (an_array, <<
			    0,  247,  247,  247,  247,  132,  133,  248,  248,  249,
			  249,  249,  249,  249,  221,  221,  221,  222,  222,  222,
			  226,  226,  226,  226,  226,  226,  226,  226,  227,  227,
			  231,  254,  231,  134,  134,  134,  255,  243,  250,  256,
			  251,  257,  230,  228,  229,  258,  229,  259,  136,  136,
			  136,  136,  137,  137,  138,  138,  139,  140,  140,  140,
			  141,  142,  142,  143,  143,  144,  145,  145,  146,  146,
			  146,  147,  147,  149,  149,  148,  148,  148,  148,  148,
			  148,  148,  148,  148,  148,  148,  148,  148,  148,  150,
			  150,  150,  150,  150,  150,  151,  151,  152,  152,  153,

			  153,  153,  154,  154,  155,  155,  155,  155,  155,  155,
			  155,  155,  155,  155,  155,  155,  155,  155,  155,  155,
			  155,  155,  155,  155,  155,  156,  156,  157,  157,  158,
			  158,  159,  160,  260,  161,  161,  161,  162,  163,  261,
			  262,  262,  264,  265,  265,  263,  164,  164,  164,  164,
			  164,  164,  164,  164,  164,  164,  164,  165,  165,  165,
			  166,  167,  168,  169,  170,  171,  171,  171,  172,  172,
			  172,  172,  172,  173,  173,  174,  174,  175,  176,  177,
			  178,  182,  182,  183,  183,  184,  184,  184,  184,  184,
			  184,  184,  184,  179,  179,  179,  180,  180,  180,  181, yyDummy>>,
			1, 200, 0)
		end

	yyr1_template_2 (an_array: ARRAY [INTEGER])
			-- Fill chunk #2 of template for `yyr1'.
		do
			yyarray_subcopy (an_array, <<
			  181,  181,  181,  181,  181,  181,  135,  135,  185,  266,
			  185,  185,  186,  267,  252,  253,  268,  253,  269,  253,
			  270,  253,  271,  187,  187,  188,  188,  188,  223,  223,
			  225,  225,  225,  225,  238,  238,  238,  238,  238,  189,
			  189,  189,  190,  191,  191,  232,  272,  233,  233,  233,
			  234,  235,  192,  193,  193,  193,  193,  193,  244,  244,
			  194,  194,  224,  224,  224,  224,  224,  245,  195,  195,
			  195,  195,  195,  195,  195,  195,  195,  195,  195,  195,
			  195,  246,  196,  196,  197,  237,  236,  198,  274,  198,
			  199,  199,  200,  200,  200,  200,  201,  201,  202,  202,

			  203,  203,  204,  204,  204,  204,  205,  206,  206,  206,
			  206,  206,  206,  206,  207,  207,  208,  208,  208,  208,
			  209,  209,  210,  210,  210,  211,  211,  273,  239,  275,
			  276,  240,  240,  240,  240,  212,  212,  213,  213,  214,
			  214,  242,  242,  215,  215,  216,  216,  216,  216,  216,
			  216,  216,  216,  216,  216,  217,  217,  217,  217,  217,
			  217,  217,  217,  218,  218,  219,  219,  219,  219,  220,
			  220,  220,  220,  220,  220,  220,  241, yyDummy>>,
			1, 177, 200)
		end

	yytypes1_template: SPECIAL [INTEGER]
			-- Template for `yytypes1'
		local
			an_array: ARRAY [INTEGER]
		once
			create an_array.make_filled (0, 0, 668)
			yytypes1_template_1 (an_array)
			yytypes1_template_2 (an_array)
			yytypes1_template_3 (an_array)
			yytypes1_template_4 (an_array)
			Result := yyfixed_array (an_array)
		end

	yytypes1_template_1 (an_array: ARRAY [INTEGER])
			-- Fill chunk #1 of template for `yytypes1'.
		do
			yyarray_subcopy (an_array, <<
			    1,    1,    1,    2,    2,    2,    2,    2,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    4,    2,    2,   21,   41,   41,   41,   41,   41,
			   41,   41,   41,   41,   43,   44,   45,   47,   48,   49,
			   41,   50,    3,   51,   15,   52,   53,   54,    1,    1,
			    1,    1,    1,    1,    1,    2,    1,    1,    1,    2,
			    2,    1,    2,    2,   25,    2,    1,    2,    2,    2,
			   25,    1,    1,    2,    1,    1,    1,    1,    1,    1,
			    1,    2,   25,   31,   32,   27,   34,    2,   28,    2,

			   25,    2,    1,    2,    2,    2,    2,    2,    1,    1,
			    1,   50,    1,    1,    2,    1,    1,    2,    1,    1,
			    1,    2,   16,    1,    1,    1,    1,    1,   18,    2,
			   41,    1,    1,    1,    1,   15,    2,   25,    1,   35,
			    1,   25,    1,    1,    1,   16,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,   17,    1,   17,    1,
			    1,    1,    1,    1,    6,    6,    2,    2,    1,    1,
			    1,    2,    1,    1,    2,    1,    1,    1,    1,    1,
			    1,    1,    3,    2,    2,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,   11,   12,    2, yyDummy>>,
			1, 200, 0)
		end

	yytypes1_template_2 (an_array: ARRAY [INTEGER])
			-- Fill chunk #2 of template for `yytypes1'.
		do
			yyarray_subcopy (an_array, <<
			    2,    2,    3,    2,   10,   10,   10,   10,    9,   10,
			   10,   10,   26,   27,   34,   14,    2,   14,    2,    1,
			    2,    2,    2,   23,   24,   14,    3,    3,    1,   41,
			    1,    1,   23,   15,   15,   35,    1,    1,    1,    1,
			    1,    2,    1,    1,    1,    1,    1,    1,    1,    1,
			   11,   12,   10,   10,   10,    2,   13,   14,    2,    2,
			    2,   35,   16,   25,    1,   16,   28,    1,    1,    1,
			    9,   10,   10,   11,   10,   13,    1,    3,    1,    1,
			    3,    1,    3,    1,    3,   45,    1,    4,    1,   21,
			    1,    2,    2,    6,    7,    2,    8,    2,    3,    1,

			   44,    1,   37,    1,    1,    1,    1,    2,    1,    2,
			   14,   14,   10,    9,    1,   10,    2,   10,   10,   10,
			   10,   10,    1,   11,    2,   17,    1,    1,    1,    1,
			    1,    1,    1,    1,    2,    1,    1,    1,    1,   17,
			   25,    1,    1,    1,   16,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,   19,   20,   14,    1,   14,   23,
			    1,   16,    2,   14,   14,   10,    1,   13,   10,   10,
			   10,   10,   10,   35,    9,    9,    1,   36,    1,    1,
			    2,    1,    1,    1,    2,    1,    1,    1,   33,    1,
			    1,   22,   10,   16,    2,   29,   14,    9,   10,    1, yyDummy>>,
			1, 200, 200)
		end

	yytypes1_template_3 (an_array: ARRAY [INTEGER])
			-- Fill chunk #3 of template for `yytypes1'.
		do
			yyarray_subcopy (an_array, <<
			    1,   11,   10,   13,    1,    1,    1,    1,    2,    1,
			    1,    1,    1,    1,   14,    6,    2,    2,    1,    1,
			    1,    1,   10,   10,    1,   14,   38,   39,   51,   51,
			    1,    2,    1,    1,    2,    1,    1,    1,   10,    1,
			    1,    1,    1,    1,    9,   10,   10,   10,   10,   10,
			    9,   10,    2,   16,    2,    2,   23,    1,   10,   10,
			   14,   14,   14,   14,    1,    1,   14,   14,   33,    1,
			    1,   10,    1,    1,    1,    1,    1,    1,    1,    2,
			    2,    1,   10,   10,   13,    2,    1,   13,   33,   22,
			   14,   22,   17,    1,    1,   14,    9,    2,   10,    9,

			    1,    1,    1,   10,    3,    1,    5,    6,    1,    2,
			    2,    7,    8,    1,    1,   14,    1,    1,    1,    2,
			   22,    1,    1,   35,   10,    1,   16,    9,    1,   19,
			    1,    1,   35,    1,   10,   10,    1,    1,   35,   13,
			    1,    1,    1,    1,   10,   30,   27,    1,   10,    1,
			    1,    1,   10,   27,   46,    1,    1,   38,   50,   22,
			    1,   22,    1,    1,    1,    1,    1,    1,   10,   16,
			    1,    1,    1,    1,    1,   33,   22,    9,    1,    1,
			    9,    1,   30,    1,    1,    1,    1,    1,    1,    1,
			   40,   40,   41,   42,   47,   48,   49,   41,   51,   52, yyDummy>>,
			1, 200, 400)
		end

	yytypes1_template_4 (an_array: ARRAY [INTEGER])
			-- Fill chunk #4 of template for `yytypes1'.
		do
			yyarray_subcopy (an_array, <<
			   53,   54,   22,   10,    9,   10,   10,   10,   10,   33,
			    1,   13,    1,   13,   13,    1,    1,    1,    9,    1,
			    1,    1,    1,   40,    1,    1,    1,    1,    1,   40,
			    2,    3,    1,    1,    1,    1,    1,    1,   42,   40,
			   41,   47,   41,   51,   52,   53,    1,    1,    1,    1,
			    1,    1,    1,    2,    1,   32,    1,    1,    1,   40,
			    1,   16,   40,   40,   16,    1,    1,    1,    1, yyDummy>>,
			1, 69, 600)
		end

	yytypes2_template: SPECIAL [INTEGER]
			-- Template for `yytypes2'
		once
			Result := yyfixed_array (<<
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    2,    2,    2,    2,    3,    1,

			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1, yyDummy>>)
		end

	yydefact_template: SPECIAL [INTEGER]
			-- Template for `yydefact'
		local
			an_array: ARRAY [INTEGER]
		once
			create an_array.make_filled (0, 0, 668)
			yydefact_template_1 (an_array)
			yydefact_template_2 (an_array)
			yydefact_template_3 (an_array)
			yydefact_template_4 (an_array)
			Result := yyfixed_array (an_array)
		end

	yydefact_template_1 (an_array: ARRAY [INTEGER])
			-- Fill chunk #1 of template for `yydefact'.
		do
			yyarray_subcopy (an_array, <<
			    0,    0,    4,    0,  175,    0,    6,  376,    0,  333,
			  332,  334,  331,    0,    0,    0,    0,    0,    0,    0,
			   39,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			   13,   21,    0,  162,   25,    0,   14,   15,  228,  229,
			   17,   18,   28,   29,   24,   19,  233,  231,  263,  262,
			  232,   16,  329,    0,   20,  230,  264,  266,    0,    8,
			   22,   23,   26,   27,  265,  176,    5,    0,    0,  216,
			  160,    0,  281,  253,    0,    0,    0,   45,   43,  163,
			    0,   41,    0,  177,  309,  313,  312,  308,  307,  310,
			  311,    0,  314,  285,  296,  297,    0,    0,  286,  327,

			  325,    0,  214,    0,    0,  161,    0,  213,    0,    0,
			    0,    0,   11,    0,  218,    0,    0,  220,    0,    0,
			    0,  254,  252,    0,  259,    0,    0,  159,    0,   47,
			    0,    0,    0,  236,    0,   38,  133,  314,    0,  325,
			    0,  320,  288,  289,    0,  251,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,  156,   42,  246,   36,    0,
			  209,    0,    0,   51,    0,   50,   49,   65,   31,   32,
			   12,  335,    0,    0,  222,    0,    0,    0,    0,    0,
			    0,    0,  178,  179,  280,    0,    0,    0,    0,    0,
			    0,   95,   97,    0,   98,    0,   96,  190,  273,  200, yyDummy>>,
			1, 200, 0)
		end

	yydefact_template_2 (an_array: ARRAY [INTEGER])
			-- Fill chunk #2 of template for `yydefact'.
		do
			yyarray_subcopy (an_array, <<
			  202,  189,  125,  126,  268,  187,  195,  198,  180,  181,
			  183,  267,    0,  269,    0,  255,    0,  131,  173,  257,
			    0,    0,  260,  325,    0,    0,    0,    0,    0,    0,
			    0,    0,  234,   40,    0,  325,    0,    0,    0,    0,
			    0,  124,  114,    0,    0,    0,    0,    0,    0,    0,
			  119,  106,  322,  100,  103,  118,  104,  127,    0,  164,
			  117,  315,  300,  223,    0,  325,    0,    0,    0,    0,
			  326,   74,   72,  119,    0,  104,  154,    0,  152,  151,
			    0,  149,    0,  147,    0,    0,   34,    0,  210,    0,
			   62,    0,   61,   48,   52,   54,   53,   56,   57,    0,

			    0,    0,  341,    0,    3,    0,    0,    0,    0,    0,
			  272,  203,  187,    0,    0,  201,  270,    0,    0,    0,
			    0,    0,    0,  191,  188,  282,    0,    0,   92,   90,
			   91,   89,   94,   93,    0,    0,    0,    0,    0,    0,
			  320,    0,  256,    0,  258,    0,  241,    0,  158,  157,
			    0,    0,    0,    0,   37,    0,  169,    0,   44,  235,
			    0,  300,    0,  120,  121,    0,    0,  105,    0,    0,
			    0,    0,    0,    0,  137,    0,    0,  316,   67,   66,
			    0,   70,   69,   68,    0,    0,    0,    0,  298,  223,
			    0,  237,  321,  306,    0,    0,  121,    0,    0,    0, yyDummy>>,
			1, 200, 200)
		end

	yydefact_template_3 (an_array: ARRAY [INTEGER])
			-- Fill chunk #3 of template for `yydefact'.
		do
			yyarray_subcopy (an_array, <<
			    0,  119,    0,  104,    0,    0,   94,   93,    0,    0,
			  155,  150,  148,  146,    0,   35,  212,  206,    0,    0,
			    0,    0,  211,    0,    0,  339,  336,  337,  342,    0,
			    2,    0,    0,    0,    0,    0,  199,  185,    0,  277,
			  276,  275,  274,    0,    0,  194,  193,  192,  197,  196,
			  182,  184,  283,  325,  174,  261,  240,    0,  243,  242,
			    0,  172,  171,  170,    0,  167,   46,    0,  299,    0,
			  115,    0,  111,  110,  109,  108,    0,  107,    0,  324,
			  323,    0,   99,  102,  128,  130,    0,  302,  301,  238,
			    0,  224,  291,    0,   85,  121,    0,    0,   73,   71,

			   80,   79,   82,   81,    0,    0,    0,  207,   64,    0,
			   63,   55,   58,   59,   30,  340,    0,  330,    0,    0,
			  215,    0,  278,    0,    0,  186,  284,    0,  168,  166,
			    0,  122,    0,  116,    0,    0,  319,  318,  317,  303,
			    0,    0,  227,    0,  292,  287,    0,   86,   84,   83,
			  153,    0,  248,    0,  245,    0,   60,  338,    0,  217,
			    0,  219,  279,    0,  204,  244,    0,    0,  134,  132,
			  123,    0,  112,    0,    0,  304,  226,    0,    0,  295,
			    0,    0,  208,    0,    0,    0,    0,    0,    0,  349,
			    0,  344,    0,  362,  356,  355,  358,  357,    0,  359, yyDummy>>,
			1, 200, 400)
		end

	yydefact_template_4 (an_array: ARRAY [INTEGER])
			-- Fill chunk #4 of template for `yydefact'.
		do
			yyarray_subcopy (an_array, <<
			  360,  361,  221,    0,    0,  138,    0,    0,  101,  305,
			  293,  294,  249,  250,  247,  354,  351,  353,    0,  350,
			  352,  328,    0,  348,  205,  135,    0,  113,    0,  346,
			  144,  143,    0,    0,    0,    0,    0,    0,  373,    0,
			    0,  369,  370,  367,  371,  372,  136,    0,  139,  141,
			  140,    0,  375,    0,  374,    0,  363,    0,  365,  368,
			    0,  142,    0,  366,  145,  364,    0,    0,    0, yyDummy>>,
			1, 69, 600)
		end

	yydefgoto_template: SPECIAL [INTEGER]
			-- Template for `yydefgoto'
		once
			Result := yyfixed_array (<<
			    3,    5,   31,  506,  164,  293,  294,  295,  296,  165,
			  291,  509,  166,  380,  384,  270,  271,  272,  334,  250,
			  251,  398,  253,  254,  255,  256,  257,  215,  135,  569,
			  375,  606,  156,  128,  136,  104,  200,   78,  258,  354,
			  355,  217,  259,  260,  202,  203,  204,  205,  206,  207,
			  208,  209,  210,   34,  417,  391,  491,  223,  224,  459,
			   92,  122,  225,  211,  212,  213,   98,  395,  545,   93,
			   94,  388,  488,  546,  214,  139,  261,  265,  377,  145,
			  302,  426,  427,  590,  591,  592,  638,  639,  640,   35,
			   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,

			   46,  554,  614,  641,   48,   49,  642,   51,   52,  643,
			  429,   54,  644,  645,   57,  666,   58,   59,   60,   61,
			   62,   63,  300,  287,   82,  134,  130,  229,  234,  632,
			  633,  648,  634,  635,  289,  108,  116,  173,  176,  306,
			  285,   64,  266,  111,  558, yyDummy>>)
		end

	yypact_template: SPECIAL [INTEGER]
			-- Template for `yypact'
		local
			an_array: ARRAY [INTEGER]
		once
			create an_array.make_filled (0, 0, 668)
			yypact_template_1 (an_array)
			yypact_template_2 (an_array)
			yypact_template_3 (an_array)
			yypact_template_4 (an_array)
			Result := yyfixed_array (an_array)
		end

	yypact_template_1 (an_array: ARRAY [INTEGER])
			-- Fill chunk #1 of template for `yypact'.
		do
			yyarray_subcopy (an_array, <<
			   75,  273, -32768, 1653,  273,  554, -32768, -32768,  246, -32768,
			 -32768, -32768, -32768,  273,  588,  273,  273,  273,   78,  273,
			  653,  792,  273,  572,  273,  273,  660,  273,  273,  273,
			 -32768, -32768,  555, -32768, -32768,  540, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, 1403, -32768, -32768, -32768, -32768,  641, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768,  273,  573, -32768,
			 -32768,  273,  -10,  -39,   73,   72,  273, -32768, -32768,  630,
			   46, -32768,  273, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768,  273,  606, -32768,   77, -32768,  273,  205, -32768, -32768,

			  414,  776, -32768,  629,  776, -32768,  171,   81,   49,   35,
			 1243,  273, -32768,  533, -32768,  273,  626, -32768, 1097,  273,
			   37, -32768, -32768,  273, -32768,  553,  548, -32768,  535, -32768,
			  619,  618,  273, -32768,  273, -32768, -32768,  606, 1587,  414,
			  273,  497, -32768, -32768, 1337, -32768,  520,  539,  509,  508,
			  528,  501,  524,  499,  521, -32768, -32768, -32768,  -58,  617,
			 -32768,  225,  166, -32768,  505, -32768, -32768, -32768, -32768, -32768,
			 -32768,  566,  215,  585, -32768,  273,  576,  273,  273,  273,
			  650,  684, -32768, -32768, -32768,  273, 1097, 1097, 1097, 1097,
			 1587, -32768, -32768,   25, -32768,  776, -32768, -32768, -32768, -32768, yyDummy>>,
			1, 200, 0)
		end

	yypact_template_2 (an_array: ARRAY [INTEGER])
			-- Fill chunk #2 of template for `yypact'.
		do
			yyarray_subcopy (an_array, <<
			 -32768, -32768, -32768, -32768, -32768,  796,  310, -32768, -32768,  571,
			  595, -32768,  190, -32768,  273, -32768,  477, -32768,  462, -32768,
			  469,  471,  462,  414,   31,  475,  463,  458,  181,  551,
			  273,  273, -32768, -32768,  550,  414,  273,  273,  273, 1587,
			  -34, -32768, -32768, 1587, 1587, 1587, 1587, 1587, 1587, 1337,
			 -32768, -32768,  570,  323,  291, -32768, -32768,  546,  443,  824,
			 -32768, -32768,  474,   22, 1587,  414,  273,  273, 1337, 1747,
			 -32768,  567,  534,  672,  332,  663, -32768,   29, -32768, -32768,
			  446, -32768,  440, -32768,  435,  273, -32768,   49, -32768,  273,
			 -32768,  425, -32768, -32768, -32768,  420, -32768, -32768,  126, 1097,

			  650,  188,  445,  536, -32768,  273,  510,  424,  273,  407,
			 -32768, -32768,  781,  413,  684, -32768, -32768,  412,  409,  405,
			  404,  402,  650, -32768, -32768, -32768,  684,  684, -32768, -32768,
			 -32768, -32768, -32768, -32768,  684,  684,  684,  650,  650,  379,
			  497,  273, -32768,  273, -32768,  273, -32768, 1667, -32768, -32768,
			  273,  273,  273,  273, -32768,  102, -32768,  273, -32768, -32768,
			  273,  474,  393, -32768, -32768,  396, 1587, -32768,  391,  390,
			  389,  387,  383,  380, -32768,  461,  333,  373, -32768, -32768,
			 1587, -32768, -32768, -32768, 1827,  273,  273,  -35, -32768,  467,
			  273, -32768, -32768, -32768,  447,  392,  614,  368,  254,  273, yyDummy>>,
			1, 200, 200)
		end

	yypact_template_3 (an_array: ARRAY [INTEGER])
			-- Fill chunk #3 of template for `yypact'.
		do
			yyarray_subcopy (an_array, <<
			 1337,  459,  284,  399, 1337, 1337,  453,  450, 1506,  381,
			 -32768, -32768, -32768, -32768,  369, -32768, -32768,  361,  211,  379,
			  375,  470, -32768,  345,  273, -32768, -32768,  349, -32768,  362,
			 -32768,  360,  273,  273,  358, 1498, -32768, -32768,  233, -32768,
			 -32768, -32768, -32768, 1587,  343,  310,  310,  299, -32768, -32768,
			 -32768, -32768, -32768,  414, -32768, -32768, -32768, 1337, -32768, -32768,
			  327, -32768, -32768, -32768,  181, -32768, -32768,  348, -32768, 1417,
			 -32768,  331, -32768, -32768, -32768, -32768, 1587, -32768, 1587, -32768,
			 -32768, 1257, -32768, -32768, -32768, -32768,  273,  334, -32768, -32768,
			   21, -32768, -32768,  944, -32768,  385,  330, 1587, -32768, -32768,

			 -32768, -32768,  322, -32768,  311, 1052,  314, -32768, -32768,  308,
			 -32768, -32768, -32768, -32768, -32768, -32768,  188, -32768,  273,  282,
			 -32768,  273, -32768,  296,  289, -32768, -32768,  277, -32768, -32768,
			 1177, -32768,  265, -32768,  281,  363, -32768, -32768, -32768,  251,
			  -35,  273, -32768, 1337, -32768, -32768,   48, -32768, -32768, -32768,
			 -32768, 1337, -32768,  346, -32768,  944, -32768, -32768, 1890, -32768,
			  273, -32768, -32768, 1587, -32768, -32768, 1337, 1587, -32768, -32768,
			 -32768, 1587, -32768, 1587,  -35, -32768, -32768,  250,  273, -32768,
			  202,  273, -32768,  359,  356,  344, 1337,  342,  338, -32768,
			  300, -32768,  194, -32768, -32768, -32768, -32768, -32768, 1808, -32768, yyDummy>>,
			1, 200, 400)
		end

	yypact_template_4 (an_array: ARRAY [INTEGER])
			-- Fill chunk #4 of template for `yypact'.
		do
			yyarray_subcopy (an_array, <<
			 -32768, -32768, -32768,  184,  180, -32768,  253,  160, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,  237, -32768,
			 -32768, -32768, 1005, -32768, -32768, -32768,  166, -32768,  791, -32768,
			 -32768, -32768,  268,  128,   64,   97,   30,   41, -32768,  165,
			    8, -32768, -32768,  791, -32768, -32768, -32768,   84, -32768, -32768,
			 -32768, 1177, -32768,  -10, -32768,   77, -32768,  791,  791, -32768,
			 1177, -32768,   74, -32768, -32768, -32768,   79,   65, -32768, yyDummy>>,
			1, 69, 600)
		end

	yypgoto_template: SPECIAL [INTEGER]
			-- Template for `yypgoto'
		once
			Result := yyfixed_array (<<
			 -32768, -32768, -32768, -32768,  422, -32768,  295, -32768,  290,  283,
			 -32768, -32768, -32768, -32768, -32768, -205, -32768,  298, -255,  -21,
			   16,   11,  312, -32768,  406,  229,  464, -138,  559, -331,
			 -32768, -32768,  -91, -32768,  388, -32768,   43, -32768,  410,  227,
			 -32768,  257,   -1,   32, -152, -32768,  394, -145,  123, -127,
			 -141,  351, -32768, -32768, -32768,  294, -307, -107, -32768, -32768,
			   67, -32768, -196,   54, -32768, -32768, -32768, -32768,  132, -32768,
			   47,  324, -497,  -14,  -17,  543, -237,  336, -32768,  -75,
			 -32768,  163, -32768, -32768, -492, -32768, -352, -372, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,

			 -32768, -32768, -32768,    6, -359, -487,    5, -32768, -32768,    3,
			 -32768, -32768,    2,   -2, -529, -32768, -32768,  -16, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768,   45, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, yyDummy>>)
		end

	yytable_template: SPECIAL [INTEGER]
			-- Template for `yytable'
		local
			an_array: ARRAY [INTEGER]
		once
			create an_array.make_filled (0, 0, 1984)
			yytable_template_1 (an_array)
			yytable_template_2 (an_array)
			yytable_template_3 (an_array)
			yytable_template_4 (an_array)
			yytable_template_5 (an_array)
			yytable_template_6 (an_array)
			yytable_template_7 (an_array)
			yytable_template_8 (an_array)
			yytable_template_9 (an_array)
			yytable_template_10 (an_array)
			Result := yyfixed_array (an_array)
		end

	yytable_template_1 (an_array: ARRAY [INTEGER])
			-- Fill chunk #1 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			    6,   56,   33,   65,   96,   55,   53,   95,   50,   47,
			  298,  373,   70,  158,   72,   73,   70,   79,   73,  408,
			   73,   97,  542,   73,   33,  232,  103,  105,  107,  601,
			  410,  652,  346,  286,  358,  312,  169,  112,  219,  313,
			  310,  311,  654,  575,  374,  196,   32,  133,  390,  579,
			  163,   56,   33,   91,  315,   55,   53,   83,   50,   47,
			    4,    4,  -33,  397,  262,  668,   70,  191,  101,  601,
			   70,  596,  132,  127,  124,   70,    2,  609, -239,  667,
			  486,   70,  120,   74,  578,  119,   80,  366,    1,  414,
			   73,  100,  665,  601,  170,   73,   32,  197,  118,  123,

			  364,   76,  140,  465,  325,  121,  623, -160,   56,   33,
			  171,  596,   55,   53,   70,   50,   47,   33,  218,  220,
			    4,  339,  222,  273,  359,    4,  520, -160,  658,  396,
			  629,  222,    4,   70,  198,  596,    4,   83,  389,   73,
			  167, -225,  647,  408,  541,   83,  322,  497,  344,  252,
			  201, -239,  409,   32,  345,  274,  168,  162,  137,  197,
			  361,  466,  131,  141,  467,  197,  197,  197,  197,  438,
			  161,  126,  323,    4,  307,  125,  309,  218,  218,   33,
			   33,  444,  657,  656,   70,   33,   33,   33,   33,  447,
			  393,  155,   33,  650,  297,  496,  450,  160,  523,  595, yyDummy>>,
			1, 200, 0)
		end

	yytable_template_2 (an_array: ARRAY [INTEGER])
			-- Fill chunk #2 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			  499,  321,  198,  198,  198,  198,  593,  263,  448,  449,
			  660,  559,  201,   73,  561,   -1,  304,  159,  201,  201,
			  201,  201, -165,  651,   83,  464,  182,  218,  273,  222,
			  222,  143,  532,  303,  576,  362,  324,  218,  456,  595,
			  317,  318,  319,  320,  538,  421,  593,  273,  401,  420,
			  365,  142,  527,  602,  368,  369,  370,  371,  372,  252,
			  274,  495,   83,  595,  182,  394,  218,  353,  298,  646,
			  593,  659,  352,  351,  424,  392,    4,  628,  197,  197,
			  402,  340,  627,    4,  222,  662,  663,  626,  416,  154,
			  153,  152,  151,  150,  149,  148,  147,  146,   33,   33,

			  218,  197,  625,  492,  431,  428,  624,  434,  183,  182,
			 -271,  350, -271,   33,  622,  198,  197,  197,  621,  167,
			  661,   33,  183,  182,  612,   33,   33,  508,   68,  664,
			   67,  201,  201,   33,   33,   33,   33,   33,  577,  620,
			  454,  290,  455,  619,  222,  617,  580,  327,  326,  218,
			  218,  218,  218,  422,  201,  436,  222,  616,  458,  222,
			  615,  604,  407,  406,  331,  330,  329,  328,    4,  201,
			  201,  452,  610,  275,  574,  480,  470,  471,  526,  273,
			  573,  618,  581,  273,  273,  485,  -78,  570,  -78,  218,
			  560,  482,  333,  332,  331,  330,  329,  328,  218,  565, yyDummy>>,
			1, 200, 200)
		end

	yytable_template_3 (an_array: ARRAY [INTEGER])
			-- Fill chunk #3 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			  -76,   69,  -76,  572,  571,   75,   77,  383,  382,  381,
			  -78,  564,  563,  327,  326,  274,  274,  106,  562,  503,
			  -78,  -78,  555,  218,  -76,  -78,  336,  335,    4,  479,
			  556,  519,  218,  550,  -76,  -76,  273,  379,  378,  -76,
			  407,  406,  331,  330,  329,  328,  252,  549,  155,  445,
			  446,  297,  547,  533,  524,  114,  530,  540,  528,  117,
			  -88,  144,  -88,  218,  129,  525,  521,  514,  518,  367,
			  517,  513,  516,  182,  631,   83,   96,  505,  275,  504,
			  252,  631,  161,  501,  -88,  356,  500,  534,   96,  535,
			  494,  553,  252,  390,  -88,  -88,  481,  275,  403,  -88,

			  493,  478,  477,  174,  544,  -78,  476,  -78,  548,  475,
			  387,  474,  473,  472,  469,  218,  552,  218,  470,  -76,
			  218,  -76,  273,  264,  199,  443,  442,  441,  435,  216,
			  273,  440,  433,  221,  439,  437,  432,  430,   96,    7,
			  218,  568,  221,  419,  418,  273,  154,  153,  152,  151,
			  150,  149,  148,  147,  146, -290,  600,  413,  425,  218,
			  599,  598,  412,  597,  594,  273,  544,  292,  411,  405,
			  404,  386,  385,  316,  603,  376,  360,  357,  605,  -88,
			  349,  -88,  607,  347,  608,  348,  199,  199,  216,  216,
			 -164,  342,  199,  199,  199,  199,  600,  274,  338,  343, yyDummy>>,
			1, 200, 400)
		end

	yytable_template_4 (an_array: ARRAY [INTEGER])
			-- Fill chunk #4 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			  599,  598,  308,  597,  594,  341,  337,  460,  461,  462,
			  463,  305,  301,  299,  484,  -77,  487,  -77,  288,  284,
			  600,  283,  282,  281,  599,  598,  280,  597,  594,  275,
			  279,  278,  138,  275,  275,  653,   73,  277,  216,  -77,
			  221,  221,  276,  228,  231,  230,  227,  490,  216,  -77,
			  -77,  226,  175,  172,  -77,  157, -160,  115,  630,  113,
			  110,  102,  568,  109,  -75,  630,  -75,   81,   99,   91,
			  196,  568,   71,  -87,   66,  -87,  453,  216,  649,  557,
			  235,  515,  193,  489,  655,  468,  275,  582,  -75,  451,
			  490,  529,  191,  233,  423,  221,  483,  -87,  -75,  -75,

			  507,  363,  498,  -75,  190,  199,  199,  -87,  -87,  415,
			  512,  216,  -87,    0,  511,  539,    0,    0,    0,    0,
			  199,  356,    0,    0,    0,    0,    0,    0,  199,    0,
			    0,    0,  199,  199,  -77,    0,  -77,    0,  190,    0,
			  199,  199,  199,  199,  199,    4,   83,  183,  182,    0,
			    0,    0,    0,    0,    0,  221,    0,    0,    0,    0,
			  216,  216,  216,  216,    0,  181,    0,  221,    0,  487,
			  221,  180,  275,  425,  179,  490,    0,  155,  490,    4,
			  275,  183,  182,  -75,    0,  -75,    0,    0,    0,    0,
			    0,    0,  -87,    0,  -87,  275,   90,    0,  490,  181, yyDummy>>,
			1, 200, 600)
		end

	yytable_template_5 (an_array: ARRAY [INTEGER])
			-- Fill chunk #5 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			  216,    0,    0,  487,   89,  314,   24,  611,  179,  216,
			  613,    0,  637,  586,    0,  275,   19,  490,    0,    0,
			   88,   87,    0,   86,  510, -129,    0, -129,    0, -129,
			   85,    0,    0,   84,  216,   16,  636,    0, -129,    0,
			    0, -129,    0,  216,    0,    0,    0,    0,    0, -129,
			 -129,    0,    0,    0,    0,    0,    0,    0, -129, -129,
			 -129,    0,    0,    0, -129,    0,    0,    0,    0,    0,
			    0, -129,    0,    0,  216,  154,  153,  152,  151,  150,
			  149,  148,  147,  146,    0,    7,    0,    4,   83,  333,
			  332,  331,  330,  329,  328,  327,  326,    0,    0,    0,

			    0,    0,    0,  436,  333,  332,  331,  330,  329,  328,
			  327,  326,    0,    0,    0,    0,    0,    0,    0,    0,
			 -129,    0, -129,    0,    0,    0,  216,    0,  216,    0,
			    0,  216, -129, -129, -129, -129, -129, -129, -129, -129,
			 -129, -129, -129,    0, -129,    0, -129, -129,   90,    0,
			    0,  216,    0, -129,    0,    0,   89,    0,    0,    0,
			    0,    0,    0,    0,  196,    0,  249,    0,    0,    0,
			  216,  194,   88,   87,    0,   86,    0,    0,    0,    0,
			    0,    0,   85,  192,    0,   84,  191,    0,    0,    0,
			    0,    0,  248,    0,    0,    0,    0,    0,  247,    0, yyDummy>>,
			1, 200, 800)
		end

	yytable_template_6 (an_array: ARRAY [INTEGER])
			-- Fill chunk #6 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			    0,    0,  246,  245,  244,  243,  589,    0,    0,    0,
			    0,  588,  587,    0,    0,    0,    0,    0,    0,    0,
			   24,    0,    0, -345,   22,    0,   21,  586,  585,    0,
			   19,    0,    0,    0,    0,    0,    0,  242,  241,    4,
			   83,  183,  182,    0,    0,    0,    0,    0,  584,   16,
			   15,    0,    0,    0,    0,    0,   90,    0,    0,  240,
			    0,    0,    0,    0,   89,  543,    0,    0,  238,    0,
			  237,  236,  196,    0,  249,    0,    0,    0,    0,  194,
			   88,   87,    0,   86,    0,    0,    0,    0,    0,    0,
			   85,  192,  583,   84,  191,    0,    0,    0,    0,    7,

			  248,   90,    0,    0,    0,    0,  247,    0,    0,   89,
			  246,  245,  244,  243,    0,    0,    0,  196,    0,    0,
			    0,  195,    0,    0,  194,   88,   87,    0,   86,  193,
			    0,    0,    0,    0,    0,   85,  192,    0,   84,  191,
			    0,    0,    0,    0,    0,  242,  241,    4,   83,  183,
			  182,  190,    0,    0,    0,  189,  188,  187,  186,    0,
			    0,    0,    0,    0,    0,    0,    0,  240,    0,    0,
			    0,    0,    0,  551,    0,    0,  238,    0,  237,  236,
			    0,    0,  185,    0,    0,    0,  567,    0,    0,    0,
			    0,  184,    4,   83,  183,  182,    0,  196,    0,  249, yyDummy>>,
			1, 200, 1000)
		end

	yytable_template_7 (an_array: ARRAY [INTEGER])
			-- Fill chunk #7 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			    0,    0,    0,    0,  194,    0,    0,    0,    0,    0,
			    0,    0,  181,    0,    0,    0,  192,    0,  180,  191,
			    0,  179,    0,  178,  177,  248,    0,    0,    0,    0,
			    0,  247,    0,    0,    0,  246,  245,  244,  243,    0,
			    0,    0,    0,    0,   30,    0,    0,    0,    0,   29,
			   28,   27,    0,   26,   25,    0,    0,    0,   24,   23,
			    0,   -9,   22,    0,   21,    0,   20,    0,   19,    0,
			  242,  241,    4,   83,  183,  182,    0,  196,    0,  249,
			   18,    0,    0,  537,  194,    0,   17,   16,   15,    0,
			    0,    0,  240,    0,    0,    0,  192,    0,  566,  191,

			    0,  238,    0,  237,  236,  248,    0,    0,    0,    0,
			    0,  247,    0,    0,    0,  246,  245,  244,  243,    0,
			    0,    0,    0,    0,    0,   14,    0,   13,    0,    0,
			   12,   11,   10,    9,    0,    8,    0,    7,    4,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			  242,  241,    4,   83,  183,  182,    0,  196,    0,  249,
			    0,    0,    0,    0,  194,    0,    0,    0,    0,  269,
			    0,    0,  240,    0,    0,    0,  192,    0,  239,  191,
			  536,  238,    0,  237,  236,  248,    0,    0,    0,    0,
			    0,  247,    0,    0,    0,  246,  245,  244,  243,    0, yyDummy>>,
			1, 200, 1200)
		end

	yytable_template_8 (an_array: ARRAY [INTEGER])
			-- Fill chunk #8 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			    0,    0,    0,    0,   30,    0,    0,    0,    0,   29,
			   28,   27,    0,   26,   25,    0,    0,    0,   24,   23,
			    0,  -10,   22,    0,   21,    0,   20,    0,   19,    0,
			  242,  241,    4,   83,  183,  182,    0,  196,    0,  249,
			   18,    0,    0,    0,  194,    0,   17,   16,   15,    0,
			    0,    0,  240,    0,    0,    0,  192,    0,  268,  191,
			    0,  267,    0,  237,  236,  248,    0,    0,    0,    0,
			    0,  247,    0,    0,    0,  246,  245,  244,  243,    0,
			    0,    0,    0,    0,    0,   14,    0,   13,    0,    0,
			   12,   11,   10,    9,    0,    8,    0,    7,    4,    0,

			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			  242,  241,    4,   83,  183,  182,    0,    0,  196,    0,
			  249,    0,    0,    0,    0,  194,  196,    0,  249,    0,
			    0,    0,  240,  194,    0,    0,    0,  192,  239,  531,
			  191,  238,    0,  237,  236,  192,  248,    0,  191,    0,
			    0,    0,  247,    0,  248,    0,  246,  245,  244,  243,
			  247,    0,    0,    0,  246,  245,  244,  243,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,  242,  241,    4,   83,  183,  182,    0,    0,  242, yyDummy>>,
			1, 200, 1400)
		end

	yytable_template_9 (an_array: ARRAY [INTEGER])
			-- Fill chunk #9 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			  241,    4,   83,  183,  182,    0,    0,  196,    0,  249,
			    0,    0,    0,  240,  194,    0,    0,    0,    0,  239,
			  522,  240,  238,    0,  237,  236,  192,  239,    0,  191,
			  238,  502,  237,  236,    0,  248,    0,    0,    0,    0,
			    0,  247,    0,    0,    0,  246,  245,  244,  243,    0,
			    0,    0,    0,    0,   30,    0,    0,    0,    0,   29,
			   28,   27,    0,   26,   25,    0,    0,    0,   24,   23,
			    0,   -7,   22,    0,   21,    0,   20,    0,   19,    0,
			  242,  241,    4,   83,  183,  182,    0,  196,    0,  249,
			   18,    0,    0,    0,  194,    0,   17,   16,   15,    0,

			    0,    0,  240,    0,    0,    0,  192,    0,  239,  191,
			    0,  238,    0,  237,  236,  248,    0,    0,    0,    0,
			    0,  247,    0,    0,    0,  246,  245,  244,  243,    0,
			    0,    0,    0,    0,    0,   14,    0,   13,    0,    0,
			   12,   11,   10,    9,    0,    8,    0,    7,    4,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			  242,  241,    4,   83,  183,  182,    0,  196,    0,  249,
			    0,    0,    0,    0,  194,    0,    0,    0,    0,    0,
			    0,    0,  240,    0,    0,    0,  192,    0,  457,  191,
			    0,  238,    0,  237,  236,  248,    0,    0,    0,    0, yyDummy>>,
			1, 200, 1600)
		end

	yytable_template_10 (an_array: ARRAY [INTEGER])
			-- Fill chunk #10 of template for `yytable'.
		do
			yyarray_subcopy (an_array, <<
			    0,  247,    0,    0,    0,  246,  245,  244,  243,  589,
			    0,    0,    0,    0,  588,  587,    0,    0,    0,    0,
			    0,    0,    0,   24,    0,    0, -347,   22,    0,   21,
			  586,  585,    0,   19,    0,    0,    0,    0,    0,    0,
			  242,  241,    4,   83,  183,  182,    0,  196,    0,    0,
			    0,  584,   16,   15,  194,    0,    0,    0,    0,    0,
			    0,    0,  240,    0,    0,    0,  192,    0,  400,  191,
			    0,  399,    0,  237,  236,  248,    0,    0,    0,    0,
			    0,  247,    0,    0,    0,  246,  245,  244,  243,    0,
			    0,  589,    0,    0,    0,  583,  588,  587,    0,    0,

			    0,    0,    7,    0,    0,   24,    0,    0, -343,   22,
			    0,   21,  586,  585,    0,   19,    0,    0,    0,    0,
			  242,  241,    4,   83,  183,  182,    0,    0,    0,    0,
			    0,    0,    0,  584,   16,   15,    0,    0,    0,    0,
			    0,    0,  240,    0,    0,    0,    0,    0,  239,    0,
			    0,  238,    0,  237,  236,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,  583,    0,    0,
			    0,    0,    0,    0,    7, yyDummy>>,
			1, 185, 1800)
		end

	yycheck_template: SPECIAL [INTEGER]
			-- Template for `yycheck'
		local
			an_array: ARRAY [INTEGER]
		once
			create an_array.make_filled (0, 0, 1984)
			yycheck_template_1 (an_array)
			yycheck_template_2 (an_array)
			yycheck_template_3 (an_array)
			yycheck_template_4 (an_array)
			yycheck_template_5 (an_array)
			yycheck_template_6 (an_array)
			yycheck_template_7 (an_array)
			yycheck_template_8 (an_array)
			yycheck_template_9 (an_array)
			yycheck_template_10 (an_array)
			Result := yyfixed_array (an_array)
		end

	yycheck_template_1 (an_array: ARRAY [INTEGER])
			-- Fill chunk #1 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			    1,    3,    3,    4,   21,    3,    3,   21,    3,    3,
			  162,  248,   13,  104,   15,   16,   17,   18,   19,  274,
			   21,   22,    1,   24,   25,  132,   27,   28,   29,  558,
			    1,    1,    1,   91,  230,  180,    1,   53,    1,  180,
			  178,  179,    1,  540,  249,   20,    3,    1,   26,    1,
			    1,   53,   53,   21,  181,   53,   53,   96,   53,   53,
			   95,   95,  120,  268,  139,    0,   67,   42,   25,  598,
			   71,  558,   26,    1,    1,   76,    1,  574,   47,    0,
			  115,   82,  121,   16,   36,  124,   19,  121,   13,  285,
			   91,   24,   18,  622,  110,   96,   53,  118,  108,   26,

			  238,   23,   25,    1,  195,   73,  598,   26,  110,  110,
			  111,  598,  110,  110,  115,  110,  110,  118,  119,  120,
			   95,  212,  123,  144,  231,   95,  433,   46,  120,  267,
			  622,  132,   95,  134,  118,  622,   95,   96,  116,  140,
			  108,  120,   14,  398,  123,   96,  121,  402,  223,  138,
			  118,  120,  123,  110,  123,  144,  121,  108,   91,  180,
			  235,  357,  116,   96,  360,  186,  187,  188,  189,  314,
			  121,   99,  193,   95,  175,  103,  177,  178,  179,  180,
			  181,  322,   17,   18,  185,  186,  187,  188,  189,  334,
			  265,    1,  193,  129,  162,  400,  337,   26,  435,  558, yyDummy>>,
			1, 200, 0)
		end

	yycheck_template_2 (an_array: ARRAY [INTEGER])
			-- Fill chunk #2 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			  405,  190,  186,  187,  188,  189,  558,  140,  335,  336,
			  126,  518,  180,  214,  521,    0,    1,   46,  186,  187,
			  188,  189,  120,  126,   96,  123,   98,  228,  249,  230,
			  231,   26,  469,   18,  541,  236,  193,  238,  345,  598,
			  186,  187,  188,  189,  481,  119,  598,  268,  269,  123,
			  239,   46,  457,  560,  243,  244,  245,  246,  247,  248,
			  249,  399,   96,  622,   98,  266,  267,   86,  420,    1,
			  622,  643,   91,   92,   86,  264,   95,   40,  299,  300,
			  269,  214,  122,   95,  285,  657,  658,   34,  289,   99,
			  100,  101,  102,  103,  104,  105,  106,  107,  299,  300,

			  301,  322,  122,  394,  305,  302,  122,  308,   97,   98,
			  120,  130,  122,  314,  120,  299,  337,  338,   18,  287,
			  651,  322,   97,   98,  122,  326,  327,  116,   82,  660,
			   84,  299,  300,  334,  335,  336,  337,  338,  543,    1,
			  341,  116,  343,    1,  345,    1,  551,  114,  115,  350,
			  351,  352,  353,  299,  322,  122,  357,    1,  347,  360,
			    1,  566,  108,  109,  110,  111,  112,  113,   95,  337,
			  338,  339,  122,  144,  123,  376,  122,  366,  453,  400,
			   17,  586,   36,  404,  405,  386,    1,  122,    3,  390,
			  108,  380,  108,  109,  110,  111,  112,  113,  399,  122, yyDummy>>,
			1, 200, 200)
		end

	yycheck_template_3 (an_array: ARRAY [INTEGER])
			-- Fill chunk #3 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			    1,   13,    3,  122,  123,   17,   18,  116,  117,  118,
			   25,  122,  123,  114,  115,  404,  405,   29,  122,  408,
			   35,   36,  108,  424,   25,   40,  116,  117,   95,   96,
			  122,  432,  433,  122,   35,   36,  457,  114,  115,   40,
			  108,  109,  110,  111,  112,  113,  435,  125,    1,  326,
			  327,  419,  122,  122,  443,   67,  108,  123,  131,   71,
			    1,   47,    3,  464,   76,  122,  108,  122,  108,  240,
			  108,    1,  123,   98,  626,   96,  493,  108,  249,   98,
			  469,  633,  121,   33,   25,  228,   33,  476,  505,  478,
			  122,  505,  481,   26,   35,   36,  123,  268,  269,   40,

			  108,   40,  122,  115,  493,  120,  123,  122,  497,  122,
			   36,  122,  122,  122,  121,  516,  505,  518,  122,  120,
			  521,  122,  543,   26,  118,  123,  122,  122,  121,  119,
			  551,  122,  108,  123,  122,  122,   26,    1,  555,   94,
			  541,  530,  132,  123,  119,  566,   99,  100,  101,  102,
			  103,  104,  105,  106,  107,  108,  558,  122,  301,  560,
			  558,  558,  122,  558,  558,  586,  555,  161,  122,   35,
			    3,  128,   26,  185,  563,    5,   26,   26,  567,  120,
			  122,  122,  571,  108,  573,  122,  180,  181,  178,  179,
			  128,  122,  186,  187,  188,  189,  598,  586,    3,  128, yyDummy>>,
			1, 200, 400)
		end

	yycheck_template_4 (an_array: ARRAY [INTEGER])
			-- Fill chunk #4 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			  598,  598,   26,  598,  598,  128,   35,  350,  351,  352,
			  353,   26,   46,  108,  385,    1,  387,    3,    1,   98,
			  622,  122,   98,  122,  622,  622,   98,  622,  622,  400,
			  122,  122,   26,  404,  405,  636,  637,   98,  228,   25,
			  230,  231,  122,  108,   26,   26,   98,  390,  238,   35,
			   36,   98,   26,  120,   40,   26,   26,   84,  626,   18,
			  120,    1,  651,  108,    1,  633,    3,   14,   96,  637,
			   20,  660,   84,    1,  120,    3,  340,  267,  633,  516,
			  137,  424,   32,  389,  637,  361,  457,  555,   25,  338,
			  433,  464,   42,  134,  300,  285,  384,   25,   35,   36,

			  417,  237,  404,   40,   54,  299,  300,   35,   36,  287,
			  420,  301,   40,   -1,  419,  486,   -1,   -1,   -1,   -1,
			  314,  464,   -1,   -1,   -1,   -1,   -1,   -1,  322,   -1,
			   -1,   -1,  326,  327,  120,   -1,  122,   -1,   54,   -1,
			  334,  335,  336,  337,  338,   95,   96,   97,   98,   -1,
			   -1,   -1,   -1,   -1,   -1,  345,   -1,   -1,   -1,   -1,
			  350,  351,  352,  353,   -1,  115,   -1,  357,   -1,  540,
			  360,  121,  543,  516,  124,  518,   -1,    1,  521,   95,
			  551,   97,   98,  120,   -1,  122,   -1,   -1,   -1,   -1,
			   -1,   -1,  120,   -1,  122,  566,    4,   -1,  541,  115, yyDummy>>,
			1, 200, 600)
		end

	yycheck_template_5 (an_array: ARRAY [INTEGER])
			-- Fill chunk #5 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			  390,   -1,   -1,  574,   12,  121,   15,  578,  124,  399,
			  581,   -1,   21,   22,   -1,  586,   25,  560,   -1,   -1,
			   28,   29,   -1,   31,  418,    1,   -1,    3,   -1,    5,
			   38,   -1,   -1,   41,  424,   44,   45,   -1,   14,   -1,
			   -1,   17,   -1,  433,   -1,   -1,   -1,   -1,   -1,   25,
			   26,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   34,   35,
			   36,   -1,   -1,   -1,   40,   -1,   -1,   -1,   -1,   -1,
			   -1,   47,   -1,   -1,  464,   99,  100,  101,  102,  103,
			  104,  105,  106,  107,   -1,   94,   -1,   95,   96,  108,
			  109,  110,  111,  112,  113,  114,  115,   -1,   -1,   -1,

			   -1,   -1,   -1,  122,  108,  109,  110,  111,  112,  113,
			  114,  115,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   96,   -1,   98,   -1,   -1,   -1,  516,   -1,  518,   -1,
			   -1,  521,  108,  109,  110,  111,  112,  113,  114,  115,
			  116,  117,  118,   -1,  120,   -1,  122,  123,    4,   -1,
			   -1,  541,   -1,  129,   -1,   -1,   12,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   20,   -1,   22,   -1,   -1,   -1,
			  560,   27,   28,   29,   -1,   31,   -1,   -1,   -1,   -1,
			   -1,   -1,   38,   39,   -1,   41,   42,   -1,   -1,   -1,
			   -1,   -1,   48,   -1,   -1,   -1,   -1,   -1,   54,   -1, yyDummy>>,
			1, 200, 800)
		end

	yycheck_template_6 (an_array: ARRAY [INTEGER])
			-- Fill chunk #6 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			   -1,   -1,   58,   59,   60,   61,    1,   -1,   -1,   -1,
			   -1,    6,    7,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   15,   -1,   -1,   18,   19,   -1,   21,   22,   23,   -1,
			   25,   -1,   -1,   -1,   -1,   -1,   -1,   93,   94,   95,
			   96,   97,   98,   -1,   -1,   -1,   -1,   -1,   43,   44,
			   45,   -1,   -1,   -1,   -1,   -1,    4,   -1,   -1,  115,
			   -1,   -1,   -1,   -1,   12,  121,   -1,   -1,  124,   -1,
			  126,  127,   20,   -1,   22,   -1,   -1,   -1,   -1,   27,
			   28,   29,   -1,   31,   -1,   -1,   -1,   -1,   -1,   -1,
			   38,   39,   87,   41,   42,   -1,   -1,   -1,   -1,   94,

			   48,    4,   -1,   -1,   -1,   -1,   54,   -1,   -1,   12,
			   58,   59,   60,   61,   -1,   -1,   -1,   20,   -1,   -1,
			   -1,   24,   -1,   -1,   27,   28,   29,   -1,   31,   32,
			   -1,   -1,   -1,   -1,   -1,   38,   39,   -1,   41,   42,
			   -1,   -1,   -1,   -1,   -1,   93,   94,   95,   96,   97,
			   98,   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,  115,   -1,   -1,
			   -1,   -1,   -1,  121,   -1,   -1,  124,   -1,  126,  127,
			   -1,   -1,   85,   -1,   -1,   -1,    9,   -1,   -1,   -1,
			   -1,   94,   95,   96,   97,   98,   -1,   20,   -1,   22, yyDummy>>,
			1, 200, 1000)
		end

	yycheck_template_7 (an_array: ARRAY [INTEGER])
			-- Fill chunk #7 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			   -1,   -1,   -1,   -1,   27,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,  115,   -1,   -1,   -1,   39,   -1,  121,   42,
			   -1,  124,   -1,  126,  127,   48,   -1,   -1,   -1,   -1,
			   -1,   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1,
			   -1,   -1,   -1,   -1,    1,   -1,   -1,   -1,   -1,    6,
			    7,    8,   -1,   10,   11,   -1,   -1,   -1,   15,   16,
			   -1,   18,   19,   -1,   21,   -1,   23,   -1,   25,   -1,
			   93,   94,   95,   96,   97,   98,   -1,   20,   -1,   22,
			   37,   -1,   -1,   26,   27,   -1,   43,   44,   45,   -1,
			   -1,   -1,  115,   -1,   -1,   -1,   39,   -1,  121,   42,

			   -1,  124,   -1,  126,  127,   48,   -1,   -1,   -1,   -1,
			   -1,   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1,
			   -1,   -1,   -1,   -1,   -1,   82,   -1,   84,   -1,   -1,
			   87,   88,   89,   90,   -1,   92,   -1,   94,   95,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   93,   94,   95,   96,   97,   98,   -1,   20,   -1,   22,
			   -1,   -1,   -1,   -1,   27,   -1,   -1,   -1,   -1,   32,
			   -1,   -1,  115,   -1,   -1,   -1,   39,   -1,  121,   42,
			  123,  124,   -1,  126,  127,   48,   -1,   -1,   -1,   -1,
			   -1,   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1, yyDummy>>,
			1, 200, 1200)
		end

	yycheck_template_8 (an_array: ARRAY [INTEGER])
			-- Fill chunk #8 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			   -1,   -1,   -1,   -1,    1,   -1,   -1,   -1,   -1,    6,
			    7,    8,   -1,   10,   11,   -1,   -1,   -1,   15,   16,
			   -1,   18,   19,   -1,   21,   -1,   23,   -1,   25,   -1,
			   93,   94,   95,   96,   97,   98,   -1,   20,   -1,   22,
			   37,   -1,   -1,   -1,   27,   -1,   43,   44,   45,   -1,
			   -1,   -1,  115,   -1,   -1,   -1,   39,   -1,  121,   42,
			   -1,  124,   -1,  126,  127,   48,   -1,   -1,   -1,   -1,
			   -1,   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1,
			   -1,   -1,   -1,   -1,   -1,   82,   -1,   84,   -1,   -1,
			   87,   88,   89,   90,   -1,   92,   -1,   94,   95,   -1,

			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   93,   94,   95,   96,   97,   98,   -1,   -1,   20,   -1,
			   22,   -1,   -1,   -1,   -1,   27,   20,   -1,   22,   -1,
			   -1,   -1,  115,   27,   -1,   -1,   -1,   39,  121,  122,
			   42,  124,   -1,  126,  127,   39,   48,   -1,   42,   -1,
			   -1,   -1,   54,   -1,   48,   -1,   58,   59,   60,   61,
			   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   93,   94,   95,   96,   97,   98,   -1,   -1,   93, yyDummy>>,
			1, 200, 1400)
		end

	yycheck_template_9 (an_array: ARRAY [INTEGER])
			-- Fill chunk #9 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			   94,   95,   96,   97,   98,   -1,   -1,   20,   -1,   22,
			   -1,   -1,   -1,  115,   27,   -1,   -1,   -1,   -1,  121,
			  122,  115,  124,   -1,  126,  127,   39,  121,   -1,   42,
			  124,  125,  126,  127,   -1,   48,   -1,   -1,   -1,   -1,
			   -1,   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1,
			   -1,   -1,   -1,   -1,    1,   -1,   -1,   -1,   -1,    6,
			    7,    8,   -1,   10,   11,   -1,   -1,   -1,   15,   16,
			   -1,   18,   19,   -1,   21,   -1,   23,   -1,   25,   -1,
			   93,   94,   95,   96,   97,   98,   -1,   20,   -1,   22,
			   37,   -1,   -1,   -1,   27,   -1,   43,   44,   45,   -1,

			   -1,   -1,  115,   -1,   -1,   -1,   39,   -1,  121,   42,
			   -1,  124,   -1,  126,  127,   48,   -1,   -1,   -1,   -1,
			   -1,   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1,
			   -1,   -1,   -1,   -1,   -1,   82,   -1,   84,   -1,   -1,
			   87,   88,   89,   90,   -1,   92,   -1,   94,   95,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   93,   94,   95,   96,   97,   98,   -1,   20,   -1,   22,
			   -1,   -1,   -1,   -1,   27,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,  115,   -1,   -1,   -1,   39,   -1,  121,   42,
			   -1,  124,   -1,  126,  127,   48,   -1,   -1,   -1,   -1, yyDummy>>,
			1, 200, 1600)
		end

	yycheck_template_10 (an_array: ARRAY [INTEGER])
			-- Fill chunk #10 of template for `yycheck'.
		do
			yyarray_subcopy (an_array, <<
			   -1,   54,   -1,   -1,   -1,   58,   59,   60,   61,    1,
			   -1,   -1,   -1,   -1,    6,    7,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   15,   -1,   -1,   18,   19,   -1,   21,
			   22,   23,   -1,   25,   -1,   -1,   -1,   -1,   -1,   -1,
			   93,   94,   95,   96,   97,   98,   -1,   20,   -1,   -1,
			   -1,   43,   44,   45,   27,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,  115,   -1,   -1,   -1,   39,   -1,  121,   42,
			   -1,  124,   -1,  126,  127,   48,   -1,   -1,   -1,   -1,
			   -1,   54,   -1,   -1,   -1,   58,   59,   60,   61,   -1,
			   -1,    1,   -1,   -1,   -1,   87,    6,    7,   -1,   -1,

			   -1,   -1,   94,   -1,   -1,   15,   -1,   -1,   18,   19,
			   -1,   21,   22,   23,   -1,   25,   -1,   -1,   -1,   -1,
			   93,   94,   95,   96,   97,   98,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   43,   44,   45,   -1,   -1,   -1,   -1,
			   -1,   -1,  115,   -1,   -1,   -1,   -1,   -1,  121,   -1,
			   -1,  124,   -1,  126,  127,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   87,   -1,   -1,
			   -1,   -1,   -1,   -1,   94, yyDummy>>,
			1, 185, 1800)
		end

feature {NONE} -- Semantic value stacks

	yyvs1: SPECIAL [detachable ANY]
			-- Stack for semantic values of type detachable ANY

	yyvsc1: INTEGER
			-- Capacity of semantic value stack `yyvs1'

	yyvsp1: INTEGER
			-- Top of semantic value stack `yyvs1'

	yyspecial_routines1: KL_SPECIAL_ROUTINES [detachable ANY]
			-- Routines that ought to be in SPECIAL [detachable ANY]

	yyvs2: SPECIAL [STRING]
			-- Stack for semantic values of type STRING

	yyvsc2: INTEGER
			-- Capacity of semantic value stack `yyvs2'

	yyvsp2: INTEGER
			-- Top of semantic value stack `yyvs2'

	yyspecial_routines2: KL_SPECIAL_ROUTINES [STRING]
			-- Routines that ought to be in SPECIAL [STRING]

	yyvs3: SPECIAL [INTEGER]
			-- Stack for semantic values of type INTEGER

	yyvsc3: INTEGER
			-- Capacity of semantic value stack `yyvs3'

	yyvsp3: INTEGER
			-- Top of semantic value stack `yyvs3'

	yyspecial_routines3: KL_SPECIAL_ROUTINES [INTEGER]
			-- Routines that ought to be in SPECIAL [INTEGER]

	yyvs4: SPECIAL [detachable XPLAIN_BASE]
			-- Stack for semantic values of type detachable XPLAIN_BASE

	yyvsc4: INTEGER
			-- Capacity of semantic value stack `yyvs4'

	yyvsp4: INTEGER
			-- Top of semantic value stack `yyvs4'

	yyspecial_routines4: KL_SPECIAL_ROUTINES [detachable XPLAIN_BASE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_BASE]

	yyvs5: SPECIAL [detachable XPLAIN_DOMAIN_RESTRICTION]
			-- Stack for semantic values of type detachable XPLAIN_DOMAIN_RESTRICTION

	yyvsc5: INTEGER
			-- Capacity of semantic value stack `yyvs5'

	yyvsp5: INTEGER
			-- Top of semantic value stack `yyvs5'

	yyspecial_routines5: KL_SPECIAL_ROUTINES [detachable XPLAIN_DOMAIN_RESTRICTION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_DOMAIN_RESTRICTION]

	yyvs6: SPECIAL [XPLAIN_DOMAIN_RESTRICTION]
			-- Stack for semantic values of type XPLAIN_DOMAIN_RESTRICTION

	yyvsc6: INTEGER
			-- Capacity of semantic value stack `yyvs6'

	yyvsp6: INTEGER
			-- Top of semantic value stack `yyvs6'

	yyspecial_routines6: KL_SPECIAL_ROUTINES [XPLAIN_DOMAIN_RESTRICTION]
			-- Routines that ought to be in SPECIAL [XPLAIN_DOMAIN_RESTRICTION]

	yyvs7: SPECIAL [XPLAIN_A_NODE]
			-- Stack for semantic values of type XPLAIN_A_NODE

	yyvsc7: INTEGER
			-- Capacity of semantic value stack `yyvs7'

	yyvsp7: INTEGER
			-- Top of semantic value stack `yyvs7'

	yyspecial_routines7: KL_SPECIAL_ROUTINES [XPLAIN_A_NODE]
			-- Routines that ought to be in SPECIAL [XPLAIN_A_NODE]

	yyvs8: SPECIAL [XPLAIN_I_NODE]
			-- Stack for semantic values of type XPLAIN_I_NODE

	yyvsc8: INTEGER
			-- Capacity of semantic value stack `yyvs8'

	yyvsp8: INTEGER
			-- Top of semantic value stack `yyvs8'

	yyspecial_routines8: KL_SPECIAL_ROUTINES [XPLAIN_I_NODE]
			-- Routines that ought to be in SPECIAL [XPLAIN_I_NODE]

	yyvs9: SPECIAL [XPLAIN_LOGICAL_EXPRESSION]
			-- Stack for semantic values of type XPLAIN_LOGICAL_EXPRESSION

	yyvsc9: INTEGER
			-- Capacity of semantic value stack `yyvs9'

	yyvsp9: INTEGER
			-- Top of semantic value stack `yyvs9'

	yyspecial_routines9: KL_SPECIAL_ROUTINES [XPLAIN_LOGICAL_EXPRESSION]
			-- Routines that ought to be in SPECIAL [XPLAIN_LOGICAL_EXPRESSION]

	yyvs10: SPECIAL [XPLAIN_EXPRESSION]
			-- Stack for semantic values of type XPLAIN_EXPRESSION

	yyvsc10: INTEGER
			-- Capacity of semantic value stack `yyvs10'

	yyvsp10: INTEGER
			-- Top of semantic value stack `yyvs10'

	yyspecial_routines10: KL_SPECIAL_ROUTINES [XPLAIN_EXPRESSION]
			-- Routines that ought to be in SPECIAL [XPLAIN_EXPRESSION]

	yyvs11: SPECIAL [XPLAIN_LOGICAL_VALUE_EXPRESSION]
			-- Stack for semantic values of type XPLAIN_LOGICAL_VALUE_EXPRESSION

	yyvsc11: INTEGER
			-- Capacity of semantic value stack `yyvs11'

	yyvsp11: INTEGER
			-- Top of semantic value stack `yyvs11'

	yyspecial_routines11: KL_SPECIAL_ROUTINES [XPLAIN_LOGICAL_VALUE_EXPRESSION]
			-- Routines that ought to be in SPECIAL [XPLAIN_LOGICAL_VALUE_EXPRESSION]

	yyvs12: SPECIAL [XPLAIN_SYSTEM_EXPRESSION]
			-- Stack for semantic values of type XPLAIN_SYSTEM_EXPRESSION

	yyvsc12: INTEGER
			-- Capacity of semantic value stack `yyvs12'

	yyvsp12: INTEGER
			-- Top of semantic value stack `yyvs12'

	yyspecial_routines12: KL_SPECIAL_ROUTINES [XPLAIN_SYSTEM_EXPRESSION]
			-- Routines that ought to be in SPECIAL [XPLAIN_SYSTEM_EXPRESSION]

	yyvs13: SPECIAL [XPLAIN_ATTRIBUTE_NAME_NODE]
			-- Stack for semantic values of type XPLAIN_ATTRIBUTE_NAME_NODE

	yyvsc13: INTEGER
			-- Capacity of semantic value stack `yyvs13'

	yyvsp13: INTEGER
			-- Top of semantic value stack `yyvs13'

	yyspecial_routines13: KL_SPECIAL_ROUTINES [XPLAIN_ATTRIBUTE_NAME_NODE]
			-- Routines that ought to be in SPECIAL [XPLAIN_ATTRIBUTE_NAME_NODE]

	yyvs14: SPECIAL [XPLAIN_ATTRIBUTE_NAME]
			-- Stack for semantic values of type XPLAIN_ATTRIBUTE_NAME

	yyvsc14: INTEGER
			-- Capacity of semantic value stack `yyvs14'

	yyvsp14: INTEGER
			-- Top of semantic value stack `yyvs14'

	yyspecial_routines14: KL_SPECIAL_ROUTINES [XPLAIN_ATTRIBUTE_NAME]
			-- Routines that ought to be in SPECIAL [XPLAIN_ATTRIBUTE_NAME]

	yyvs15: SPECIAL [detachable XPLAIN_TYPE]
			-- Stack for semantic values of type detachable XPLAIN_TYPE

	yyvsc15: INTEGER
			-- Capacity of semantic value stack `yyvs15'

	yyvsp15: INTEGER
			-- Top of semantic value stack `yyvs15'

	yyspecial_routines15: KL_SPECIAL_ROUTINES [detachable XPLAIN_TYPE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_TYPE]

	yyvs16: SPECIAL [detachable XPLAIN_EXPRESSION]
			-- Stack for semantic values of type detachable XPLAIN_EXPRESSION

	yyvsc16: INTEGER
			-- Capacity of semantic value stack `yyvs16'

	yyvsp16: INTEGER
			-- Top of semantic value stack `yyvs16'

	yyspecial_routines16: KL_SPECIAL_ROUTINES [detachable XPLAIN_EXPRESSION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_EXPRESSION]

	yyvs17: SPECIAL [XPLAIN_REPRESENTATION]
			-- Stack for semantic values of type XPLAIN_REPRESENTATION

	yyvsc17: INTEGER
			-- Capacity of semantic value stack `yyvs17'

	yyvsp17: INTEGER
			-- Top of semantic value stack `yyvs17'

	yyspecial_routines17: KL_SPECIAL_ROUTINES [XPLAIN_REPRESENTATION]
			-- Routines that ought to be in SPECIAL [XPLAIN_REPRESENTATION]

	yyvs18: SPECIAL [XPLAIN_PK_REPRESENTATION]
			-- Stack for semantic values of type XPLAIN_PK_REPRESENTATION

	yyvsc18: INTEGER
			-- Capacity of semantic value stack `yyvs18'

	yyvsp18: INTEGER
			-- Top of semantic value stack `yyvs18'

	yyspecial_routines18: KL_SPECIAL_ROUTINES [XPLAIN_PK_REPRESENTATION]
			-- Routines that ought to be in SPECIAL [XPLAIN_PK_REPRESENTATION]

	yyvs19: SPECIAL [detachable XPLAIN_ATTRIBUTE_NODE]
			-- Stack for semantic values of type detachable XPLAIN_ATTRIBUTE_NODE

	yyvsc19: INTEGER
			-- Capacity of semantic value stack `yyvs19'

	yyvsp19: INTEGER
			-- Top of semantic value stack `yyvs19'

	yyspecial_routines19: KL_SPECIAL_ROUTINES [detachable XPLAIN_ATTRIBUTE_NODE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_ATTRIBUTE_NODE]

	yyvs20: SPECIAL [XPLAIN_ATTRIBUTE]
			-- Stack for semantic values of type XPLAIN_ATTRIBUTE

	yyvsc20: INTEGER
			-- Capacity of semantic value stack `yyvs20'

	yyvsp20: INTEGER
			-- Top of semantic value stack `yyvs20'

	yyspecial_routines20: KL_SPECIAL_ROUTINES [XPLAIN_ATTRIBUTE]
			-- Routines that ought to be in SPECIAL [XPLAIN_ATTRIBUTE]

	yyvs21: SPECIAL [detachable XPLAIN_ASSERTION]
			-- Stack for semantic values of type detachable XPLAIN_ASSERTION

	yyvsc21: INTEGER
			-- Capacity of semantic value stack `yyvs21'

	yyvsp21: INTEGER
			-- Top of semantic value stack `yyvs21'

	yyspecial_routines21: KL_SPECIAL_ROUTINES [detachable XPLAIN_ASSERTION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_ASSERTION]

	yyvs22: SPECIAL [detachable XPLAIN_ATTRIBUTE_NAME_NODE]
			-- Stack for semantic values of type detachable XPLAIN_ATTRIBUTE_NAME_NODE

	yyvsc22: INTEGER
			-- Capacity of semantic value stack `yyvs22'

	yyvsp22: INTEGER
			-- Top of semantic value stack `yyvs22'

	yyspecial_routines22: KL_SPECIAL_ROUTINES [detachable XPLAIN_ATTRIBUTE_NAME_NODE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_ATTRIBUTE_NAME_NODE]

	yyvs23: SPECIAL [detachable XPLAIN_ASSIGNMENT_NODE]
			-- Stack for semantic values of type detachable XPLAIN_ASSIGNMENT_NODE

	yyvsc23: INTEGER
			-- Capacity of semantic value stack `yyvs23'

	yyvsp23: INTEGER
			-- Top of semantic value stack `yyvs23'

	yyspecial_routines23: KL_SPECIAL_ROUTINES [detachable XPLAIN_ASSIGNMENT_NODE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_ASSIGNMENT_NODE]

	yyvs24: SPECIAL [XPLAIN_ASSIGNMENT]
			-- Stack for semantic values of type XPLAIN_ASSIGNMENT

	yyvsc24: INTEGER
			-- Capacity of semantic value stack `yyvs24'

	yyvsp24: INTEGER
			-- Top of semantic value stack `yyvs24'

	yyspecial_routines24: KL_SPECIAL_ROUTINES [XPLAIN_ASSIGNMENT]
			-- Routines that ought to be in SPECIAL [XPLAIN_ASSIGNMENT]

	yyvs25: SPECIAL [detachable XPLAIN_SUBJECT]
			-- Stack for semantic values of type detachable XPLAIN_SUBJECT

	yyvsc25: INTEGER
			-- Capacity of semantic value stack `yyvs25'

	yyvsp25: INTEGER
			-- Top of semantic value stack `yyvs25'

	yyspecial_routines25: KL_SPECIAL_ROUTINES [detachable XPLAIN_SUBJECT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_SUBJECT]

	yyvs26: SPECIAL [detachable XPLAIN_NON_ATTRIBUTE_EXPRESSION]
			-- Stack for semantic values of type detachable XPLAIN_NON_ATTRIBUTE_EXPRESSION

	yyvsc26: INTEGER
			-- Capacity of semantic value stack `yyvs26'

	yyvsp26: INTEGER
			-- Top of semantic value stack `yyvs26'

	yyspecial_routines26: KL_SPECIAL_ROUTINES [detachable XPLAIN_NON_ATTRIBUTE_EXPRESSION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_NON_ATTRIBUTE_EXPRESSION]

	yyvs27: SPECIAL [detachable XPLAIN_SELECTION_FUNCTION]
			-- Stack for semantic values of type detachable XPLAIN_SELECTION_FUNCTION

	yyvsc27: INTEGER
			-- Capacity of semantic value stack `yyvs27'

	yyvsp27: INTEGER
			-- Top of semantic value stack `yyvs27'

	yyspecial_routines27: KL_SPECIAL_ROUTINES [detachable XPLAIN_SELECTION_FUNCTION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_SELECTION_FUNCTION]

	yyvs28: SPECIAL [detachable XPLAIN_EXTENSION]
			-- Stack for semantic values of type detachable XPLAIN_EXTENSION

	yyvsc28: INTEGER
			-- Capacity of semantic value stack `yyvs28'

	yyvsp28: INTEGER
			-- Top of semantic value stack `yyvs28'

	yyspecial_routines28: KL_SPECIAL_ROUTINES [detachable XPLAIN_EXTENSION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_EXTENSION]

	yyvs29: SPECIAL [XPLAIN_EXTEND_ATTRIBUTE]
			-- Stack for semantic values of type XPLAIN_EXTEND_ATTRIBUTE

	yyvsc29: INTEGER
			-- Capacity of semantic value stack `yyvs29'

	yyvsp29: INTEGER
			-- Top of semantic value stack `yyvs29'

	yyspecial_routines29: KL_SPECIAL_ROUTINES [XPLAIN_EXTEND_ATTRIBUTE]
			-- Routines that ought to be in SPECIAL [XPLAIN_EXTEND_ATTRIBUTE]

	yyvs30: SPECIAL [detachable XPLAIN_EXTENSION_EXPRESSION]
			-- Stack for semantic values of type detachable XPLAIN_EXTENSION_EXPRESSION

	yyvsc30: INTEGER
			-- Capacity of semantic value stack `yyvs30'

	yyvsp30: INTEGER
			-- Top of semantic value stack `yyvs30'

	yyspecial_routines30: KL_SPECIAL_ROUTINES [detachable XPLAIN_EXTENSION_EXPRESSION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_EXTENSION_EXPRESSION]

	yyvs31: SPECIAL [detachable XPLAIN_SELECTION]
			-- Stack for semantic values of type detachable XPLAIN_SELECTION

	yyvsc31: INTEGER
			-- Capacity of semantic value stack `yyvs31'

	yyvsp31: INTEGER
			-- Top of semantic value stack `yyvs31'

	yyspecial_routines31: KL_SPECIAL_ROUTINES [detachable XPLAIN_SELECTION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_SELECTION]

	yyvs32: SPECIAL [detachable XPLAIN_SELECTION_LIST]
			-- Stack for semantic values of type detachable XPLAIN_SELECTION_LIST

	yyvsc32: INTEGER
			-- Capacity of semantic value stack `yyvs32'

	yyvsp32: INTEGER
			-- Top of semantic value stack `yyvs32'

	yyspecial_routines32: KL_SPECIAL_ROUTINES [detachable XPLAIN_SELECTION_LIST]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_SELECTION_LIST]

	yyvs33: SPECIAL [detachable XPLAIN_SORT_NODE]
			-- Stack for semantic values of type detachable XPLAIN_SORT_NODE

	yyvsc33: INTEGER
			-- Capacity of semantic value stack `yyvs33'

	yyvsp33: INTEGER
			-- Top of semantic value stack `yyvs33'

	yyspecial_routines33: KL_SPECIAL_ROUTINES [detachable XPLAIN_SORT_NODE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_SORT_NODE]

	yyvs34: SPECIAL [XPLAIN_FUNCTION]
			-- Stack for semantic values of type XPLAIN_FUNCTION

	yyvsc34: INTEGER
			-- Capacity of semantic value stack `yyvs34'

	yyvsp34: INTEGER
			-- Top of semantic value stack `yyvs34'

	yyspecial_routines34: KL_SPECIAL_ROUTINES [XPLAIN_FUNCTION]
			-- Routines that ought to be in SPECIAL [XPLAIN_FUNCTION]

	yyvs35: SPECIAL [detachable XPLAIN_EXPRESSION_NODE]
			-- Stack for semantic values of type detachable XPLAIN_EXPRESSION_NODE

	yyvsc35: INTEGER
			-- Capacity of semantic value stack `yyvs35'

	yyvsp35: INTEGER
			-- Top of semantic value stack `yyvs35'

	yyspecial_routines35: KL_SPECIAL_ROUTINES [detachable XPLAIN_EXPRESSION_NODE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_EXPRESSION_NODE]

	yyvs36: SPECIAL [detachable STRING]
			-- Stack for semantic values of type detachable STRING

	yyvsc36: INTEGER
			-- Capacity of semantic value stack `yyvs36'

	yyvsp36: INTEGER
			-- Top of semantic value stack `yyvs36'

	yyspecial_routines36: KL_SPECIAL_ROUTINES [detachable STRING]
			-- Routines that ought to be in SPECIAL [detachable STRING]

	yyvs37: SPECIAL [detachable XPLAIN_PARAMETER_NODE]
			-- Stack for semantic values of type detachable XPLAIN_PARAMETER_NODE

	yyvsc37: INTEGER
			-- Capacity of semantic value stack `yyvs37'

	yyvsp37: INTEGER
			-- Top of semantic value stack `yyvs37'

	yyspecial_routines37: KL_SPECIAL_ROUTINES [detachable XPLAIN_PARAMETER_NODE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_PARAMETER_NODE]

	yyvs38: SPECIAL [XPLAIN_PARAMETER_NODE]
			-- Stack for semantic values of type XPLAIN_PARAMETER_NODE

	yyvsc38: INTEGER
			-- Capacity of semantic value stack `yyvs38'

	yyvsp38: INTEGER
			-- Top of semantic value stack `yyvs38'

	yyspecial_routines38: KL_SPECIAL_ROUTINES [XPLAIN_PARAMETER_NODE]
			-- Routines that ought to be in SPECIAL [XPLAIN_PARAMETER_NODE]

	yyvs39: SPECIAL [XPLAIN_PARAMETER]
			-- Stack for semantic values of type XPLAIN_PARAMETER

	yyvsc39: INTEGER
			-- Capacity of semantic value stack `yyvs39'

	yyvsp39: INTEGER
			-- Top of semantic value stack `yyvs39'

	yyspecial_routines39: KL_SPECIAL_ROUTINES [XPLAIN_PARAMETER]
			-- Routines that ought to be in SPECIAL [XPLAIN_PARAMETER]

	yyvs40: SPECIAL [detachable XPLAIN_STATEMENT_NODE]
			-- Stack for semantic values of type detachable XPLAIN_STATEMENT_NODE

	yyvsc40: INTEGER
			-- Capacity of semantic value stack `yyvs40'

	yyvsp40: INTEGER
			-- Top of semantic value stack `yyvs40'

	yyspecial_routines40: KL_SPECIAL_ROUTINES [detachable XPLAIN_STATEMENT_NODE]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_STATEMENT_NODE]

	yyvs41: SPECIAL [detachable XPLAIN_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_STATEMENT

	yyvsc41: INTEGER
			-- Capacity of semantic value stack `yyvs41'

	yyvsp41: INTEGER
			-- Top of semantic value stack `yyvs41'

	yyspecial_routines41: KL_SPECIAL_ROUTINES [detachable XPLAIN_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_STATEMENT]

	yyvs42: SPECIAL [detachable XPLAIN_IF_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_IF_STATEMENT

	yyvsc42: INTEGER
			-- Capacity of semantic value stack `yyvs42'

	yyvsp42: INTEGER
			-- Top of semantic value stack `yyvs42'

	yyspecial_routines42: KL_SPECIAL_ROUTINES [detachable XPLAIN_IF_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_IF_STATEMENT]

	yyvs43: SPECIAL [detachable XPLAIN_CONSTANT_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_CONSTANT_STATEMENT

	yyvsc43: INTEGER
			-- Capacity of semantic value stack `yyvs43'

	yyvsp43: INTEGER
			-- Top of semantic value stack `yyvs43'

	yyspecial_routines43: KL_SPECIAL_ROUTINES [detachable XPLAIN_CONSTANT_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_CONSTANT_STATEMENT]

	yyvs44: SPECIAL [detachable XPLAIN_CONSTANT_ASSIGNMENT_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_CONSTANT_ASSIGNMENT_STATEMENT

	yyvsc44: INTEGER
			-- Capacity of semantic value stack `yyvs44'

	yyvsp44: INTEGER
			-- Top of semantic value stack `yyvs44'

	yyspecial_routines44: KL_SPECIAL_ROUTINES [detachable XPLAIN_CONSTANT_ASSIGNMENT_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_CONSTANT_ASSIGNMENT_STATEMENT]

	yyvs45: SPECIAL [detachable XPLAIN_CASCADE_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_CASCADE_STATEMENT

	yyvsc45: INTEGER
			-- Capacity of semantic value stack `yyvs45'

	yyvsp45: INTEGER
			-- Top of semantic value stack `yyvs45'

	yyspecial_routines45: KL_SPECIAL_ROUTINES [detachable XPLAIN_CASCADE_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_CASCADE_STATEMENT]

	yyvs46: SPECIAL [detachable XPLAIN_CASCADE_FUNCTION_EXPRESSION]
			-- Stack for semantic values of type detachable XPLAIN_CASCADE_FUNCTION_EXPRESSION

	yyvsc46: INTEGER
			-- Capacity of semantic value stack `yyvs46'

	yyvsp46: INTEGER
			-- Top of semantic value stack `yyvs46'

	yyspecial_routines46: KL_SPECIAL_ROUTINES [detachable XPLAIN_CASCADE_FUNCTION_EXPRESSION]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_CASCADE_FUNCTION_EXPRESSION]

	yyvs47: SPECIAL [detachable XPLAIN_DELETE_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_DELETE_STATEMENT

	yyvsc47: INTEGER
			-- Capacity of semantic value stack `yyvs47'

	yyvsp47: INTEGER
			-- Top of semantic value stack `yyvs47'

	yyspecial_routines47: KL_SPECIAL_ROUTINES [detachable XPLAIN_DELETE_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_DELETE_STATEMENT]

	yyvs48: SPECIAL [detachable XPLAIN_EXTEND_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_EXTEND_STATEMENT

	yyvsc48: INTEGER
			-- Capacity of semantic value stack `yyvs48'

	yyvsp48: INTEGER
			-- Top of semantic value stack `yyvs48'

	yyspecial_routines48: KL_SPECIAL_ROUTINES [detachable XPLAIN_EXTEND_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_EXTEND_STATEMENT]

	yyvs49: SPECIAL [detachable XPLAIN_GET_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_GET_STATEMENT

	yyvsc49: INTEGER
			-- Capacity of semantic value stack `yyvs49'

	yyvsp49: INTEGER
			-- Top of semantic value stack `yyvs49'

	yyspecial_routines49: KL_SPECIAL_ROUTINES [detachable XPLAIN_GET_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_GET_STATEMENT]

	yyvs50: SPECIAL [detachable XPLAIN_PROCEDURE_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_PROCEDURE_STATEMENT

	yyvsc50: INTEGER
			-- Capacity of semantic value stack `yyvs50'

	yyvsp50: INTEGER
			-- Top of semantic value stack `yyvs50'

	yyspecial_routines50: KL_SPECIAL_ROUTINES [detachable XPLAIN_PROCEDURE_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_PROCEDURE_STATEMENT]

	yyvs51: SPECIAL [XPLAIN_SQL_STATEMENT]
			-- Stack for semantic values of type XPLAIN_SQL_STATEMENT

	yyvsc51: INTEGER
			-- Capacity of semantic value stack `yyvs51'

	yyvsp51: INTEGER
			-- Top of semantic value stack `yyvs51'

	yyspecial_routines51: KL_SPECIAL_ROUTINES [XPLAIN_SQL_STATEMENT]
			-- Routines that ought to be in SPECIAL [XPLAIN_SQL_STATEMENT]

	yyvs52: SPECIAL [detachable XPLAIN_UPDATE_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_UPDATE_STATEMENT

	yyvsc52: INTEGER
			-- Capacity of semantic value stack `yyvs52'

	yyvsp52: INTEGER
			-- Top of semantic value stack `yyvs52'

	yyspecial_routines52: KL_SPECIAL_ROUTINES [detachable XPLAIN_UPDATE_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_UPDATE_STATEMENT]

	yyvs53: SPECIAL [XPLAIN_VALUE_STATEMENT]
			-- Stack for semantic values of type XPLAIN_VALUE_STATEMENT

	yyvsc53: INTEGER
			-- Capacity of semantic value stack `yyvs53'

	yyvsp53: INTEGER
			-- Top of semantic value stack `yyvs53'

	yyspecial_routines53: KL_SPECIAL_ROUTINES [XPLAIN_VALUE_STATEMENT]
			-- Routines that ought to be in SPECIAL [XPLAIN_VALUE_STATEMENT]

	yyvs54: SPECIAL [detachable XPLAIN_VALUE_SELECTION_STATEMENT]
			-- Stack for semantic values of type detachable XPLAIN_VALUE_SELECTION_STATEMENT

	yyvsc54: INTEGER
			-- Capacity of semantic value stack `yyvs54'

	yyvsp54: INTEGER
			-- Top of semantic value stack `yyvs54'

	yyspecial_routines54: KL_SPECIAL_ROUTINES [detachable XPLAIN_VALUE_SELECTION_STATEMENT]
			-- Routines that ought to be in SPECIAL [detachable XPLAIN_VALUE_SELECTION_STATEMENT]

feature {NONE} -- Constants

	yyFinal: INTEGER = 668
			-- Termination state id

	yyFlag: INTEGER = -32768
			-- Most negative INTEGER

	yyNtbase: INTEGER = 132
			-- Number of tokens

	yyLast: INTEGER = 1984
			-- Upper bound of `yytable' and `yycheck'

	yyMax_token: INTEGER = 366
			-- Maximum token id
			-- (upper bound of `yytranslate'.)

	yyNsyms: INTEGER = 277
			-- Number of symbols
			-- (terminal and nonterminal)

feature -- User-defined features



feature -- Initialization

	make_with_file (a_file: KI_CHARACTER_INPUT_STREAM; a_sqlgenerator: SQL_GENERATOR)
		do
			make_scanner_with_file (a_file)
			make (a_sqlgenerator)
		end

	make_with_stdin (a_sqlgenerator: SQL_GENERATOR)
		do
			make_scanner_with_stdin
			make (a_sqlgenerator)
		end


feature {NONE} -- private creation

	make (a_sqlgenerator: SQL_GENERATOR)
		do
			make_parser_skeleton
			create statements.make
			set_sqlgenerator (a_sqlgenerator)
			-- Set some dummy values so we can avoid using detachable
			create {XPLAIN_REQUIRED} dummyrestriction.make (True)
		end


feature {NONE} -- dummy variables to store created objects in

	dummya: detachable XPLAIN_A_REFERENCES
	dummyi: detachable XPLAIN_I_REFERENCES
	dummye: detachable XPLAIN_EXPRESSION
	dummybool: detachable XPLAIN_LOGICAL_VALUE_EXPRESSION
	dummyrestriction: XPLAIN_DOMAIN_RESTRICTION

	last_width: INTEGER
			-- saves latest domain width, for example I2 will save 2 here

feature {NONE} -- local variables, do not survive outside a code block!

	mybase: detachable XPLAIN_BASE
	myvariable: detachable XPLAIN_VARIABLE
	myindex: detachable XPLAIN_INDEX
	current_type_name: detachable STRING
	auto_identifier: BOOLEAN
	my_selection_function: detachable XPLAIN_SELECTION_FUNCTION

	is_init_default: BOOLEAN
			-- Determine if init or init default statement has to be created.


feature {NONE} -- these vars survive a little bit longer

	subject_type: detachable XPLAIN_TYPE  -- used to check if valid attribute
	extend_type: detachable XPLAIN_TYPE   -- used in extend statement
	my_parameters: detachable XPLAIN_PARAMETER_NODE
			-- List of declared parameters for a procedure

	constant_mode: BOOLEAN
			-- Are we parsing a constant expression?


feature -- Xplain

	statements: XPLAIN_STATEMENTS
			-- All executable statements.


feature {NONE} -- Expression generation

	new_logical_expression (a_left: XPLAIN_EXPRESSION; an_operator: STRING; a_right: XPLAIN_EXPRESSION): XPLAIN_LOGICAL_EXPRESSION
		local
			e: XPLAIN_EXPRESSION
		do
			create {XPLAIN_LOGICAL_INFIX_EXPRESSION} e.make (a_left, an_operator, a_right)
			create Result.make (e)
		end

	new_logical_infix_expression (a_left: XPLAIN_EXPRESSION; an_operator: STRING; a_right: XPLAIN_EXPRESSION): XPLAIN_INFIX_EXPRESSION
			-- Create a new infix expression. It's main purpose is to
			-- determine when to use the like operator instead of the '='
			-- operator.
		require
			valid_left: a_left /= Void
			valid_right: a_right /= Void
			operator_not_empty: an_operator /= Void and then not an_operator.is_empty
		local
			equal_operator,
			not_equal_operator: BOOLEAN
			r: detachable XPLAIN_INFIX_EXPRESSION
		do
			if an_operator.same_string (once_equal) then
				equal_operator := True
			elseif an_operator.same_string (once_not_equal) then
				not_equal_operator := True
			end
			if equal_operator or else not_equal_operator then
				if a_left.has_wild_card_characters or a_right.has_wild_card_characters then
					if equal_operator then
						create {XPLAIN_LIKE_EXPRESSION} r.make (a_left, a_right)
					else
						create {XPLAIN_NOT_LIKE_EXPRESSION} r.make (a_left, a_right)
					end
				end
			end

			-- Fallback to standard infix expression.
			if not attached r then
				create {XPLAIN_LOGICAL_INFIX_EXPRESSION} r.make (a_left, an_operator, a_right)
			end
			Result := r
		ensure
			new_infix_expression_not_void: Result /= Void
		end


feature -- Code blocks

	new_base (a_name: STRING; a_definition: XPLAIN_REPRESENTATION; a_required: BOOLEAN): XPLAIN_BASE
		local
			r: XPLAIN_DOMAIN_RESTRICTION
		do
			if not attached a_definition.domain_restriction then
				if a_definition.domain.is_equal ("(B)") then
					create {XPLAIN_B_RESTRICTION} r.make (a_required)
				else
					create {XPLAIN_REQUIRED} r.make (a_required)
				end
				a_definition.set_domain_restriction (sqlgenerator, r)
			end
			create Result.make (a_name, a_definition)
		end

	newdate_default_days: XPLAIN_STRING_EXPRESSION
		once
			create {XPLAIN_STRING_EXPRESSION} Result.make ("days")
		end


feature -- Statement generation

	new_procedure_statement (a_name: STRING; a_parameters: like my_parameters; a_procedure_kind: INTEGER; a_statements: detachable XPLAIN_STATEMENT_NODE): XPLAIN_PROCEDURE_STATEMENT
		local
			myprocedure: XPLAIN_PROCEDURE
		do
			create myprocedure.make (a_name, a_parameters, a_procedure_kind, a_statements)
			create Result.make (myprocedure)
		end

	new_value_statement (an_sqlgenerator: SQL_GENERATOR; a_name: STRING; an_expression: XPLAIN_EXPRESSION): XPLAIN_VALUE_STATEMENT
		local
			myvalue: XPLAIN_VALUE
		do
			create myvalue.make (an_sqlgenerator, a_name, an_expression)
			create Result.make (myvalue)
		end


feature -- Silence compiler

	silence_compiler_logical_expression: XPLAIN_LOGICAL_VALUE_EXPRESSION
		once
			create {XPLAIN_LOGICAL_VALUE_EXPRESSION} Result.make (False)
		end

	silence_compiler_expression: XPLAIN_EXPRESSION
		once
			create {XPLAIN_STRING_EXPRESSION} Result.make ("")
		end


feature -- Middleware

	mwgenerator: detachable MIDDLEWARE_GENERATOR

	set_mwgenerator (mwg: MIDDLEWARE_GENERATOR)
		do
			mwgenerator := mwg
		end


feature {NONE} -- Error handling

	error_unknown_attribute (a_type: STRING; an_attribute: XPLAIN_ATTRIBUTE_NAME)
			-- abort with unknown attribute error
		local
			s: STRING
		do
			s := "Type `" + a_type + "' does not have the attribute `"
			if attached an_attribute.role as r then
				s := s + r + "_"
			end
			s := s + an_attribute.name + "'."
			report_error (s)
			abort
		end

feature {NONE} -- pending statements

	pending_type: detachable XPLAIN_TYPE
			-- set for type not yet written

	write_pending_init
		require
			pending_type_written: pending_init = Void or else pending_type = Void
		do
			if attached pending_init as pi then
				if not use_mode then
					sqlgenerator.write_init (pi)
				end
				pending_init := Void
			end
		ensure
			pending_init_void: pending_init = Void
		end

	write_pending_statement
			-- Call this before outputting anything!
		do
			write_pending_type
			write_pending_init
		ensure then
			pending_init_void: pending_init = Void
		end

	write_pending_type
		do
			if attached pending_type as t then
				if not use_mode then
					sqlgenerator.write_type (t)
					if attached mwgenerator as g then
						g.dump_type (t, sqlgenerator)
					end
				end
				pending_type := Void
			end
		ensure
			pending_type_void: pending_type = Void
		end


feature {NONE} -- Checks for validness of parsed code

	get_known_base_or_type (name: STRING): detachable XPLAIN_ABSTRACT_TYPE
			-- Test if known type, but be aware of self-reference.
		do
			Result := universe.find_base_or_type (name)
			if not attached Result and then
				not equal(current_type_name, name) then
				report_error ("Unknown base or type: " + name)
				abort
			end
		end

	get_known_object (name: STRING): detachable XPLAIN_ABSTRACT_OBJECT
			-- Return object, must exist.
		do
			Result := universe.find_object (name)
			if not attached Result then
				report_error ("Not a defined object: " + name)
				abort
			end
		end

	get_known_type (name: STRING): detachable XPLAIN_TYPE
			-- Return the type for `name' or die.
		local
			b: detachable XPLAIN_BASE
		do
			Result := universe.find_type (name)
			if not attached Result then
				b := universe.find_base (name)
				if not attached b then
					report_error ("Type unknown: " + name)
				else
					report_error (format ("`$s' is a base, but a type is expected here.", <<name>>))
				end
				abort
			end
		end

	get_known_value (name: STRING): detachable XPLAIN_VALUE
		do
			Result := universe.find_value (name)
			if not attached Result then
				report_error ("Value unknown: " + name)
				abort
			end
		end

	last_object_in_tree: detachable XPLAIN_ABSTRACT_OBJECT
			-- Set by `get_object_if_valid_tree' to last object in list.

	get_object_if_valid_tree (first: XPLAIN_ATTRIBUTE_NAME_NODE): detachable XPLAIN_ABSTRACT_OBJECT
			-- The object for the first name of this tree, if this
			-- is a valid tree;
			-- Also augment tree with type information.
		require
			first_not_void: first /= Void
			subject_type_set: attached subject_type
		local
			my_attribute: detachable XPLAIN_ATTRIBUTE
			node: detachable XPLAIN_ATTRIBUTE_NAME_NODE
			preceding_type: XPLAIN_TYPE
			atype: detachable XPLAIN_ABSTRACT_TYPE
			valid_attribute: BOOLEAN
			msg: STRING
		do
			last_object_in_tree := Void
			check attached subject_type as my_subject_type then
				if attached first.next then
					-- Something like a its b its c, should all be attributes.
					from
						node := first
						preceding_type := my_subject_type
						valid_attribute := True
					until
						node = Void or
						not valid_attribute
					loop
						my_attribute := preceding_type.find_attribute (node.item)
						if attached my_attribute then
							valid_attribute := True
						end
						if valid_attribute and attached my_attribute as a then
							node.item.set_attribute (a)
							atype := a.abstracttype
							--node.item.set_object (atype)
							if node.next /= Void then
								if attached {XPLAIN_TYPE} atype as t then
									preceding_type := t
								else
									-- we've a base here (but missed extension
									-- because it's a type, need to fix this)
									valid_attribute := False
									report_error ("A base cannot have attributes. Base name is: " + node.item.name)
									abort
								end
							end
						else -- type doesn't have this attribute
							valid_attribute := False
							report_error ("Type " + preceding_type.name + " doesn't have the attribute: " + node.item.name)
							abort
						end
						node := node.next
					end
					if valid_attribute then
						last_object_in_tree := atype
						check attached my_subject_type.find_attribute (first.item) as a then
							Result := a.abstracttype
						end
					end
				else
					-- Can be value/variable or attribute.
					-- Check attribute first.
					my_attribute := my_subject_type.find_attribute (first.item)
					if attached my_attribute then
						first.item.set_attribute (my_attribute)
						Result := my_attribute.abstracttype
					else
						Result := universe.find_object (first.item.name)
						if attached {XPLAIN_VALUE} Result as value then
							-- variable or constants are OK
							-- I probably don't detect cases
							first.item.set_object (value)
						elseif attached {XPLAIN_VARIABLE} Result as variable then
							first.item.set_object (variable)
						elseif attached Result then
							create msg.make (128)
							msg.append_string ("base/type '")
							if first.item.role /= Void then
								msg.append_string (first.item.role)
								msg.append_string ("_")
							end
							msg.append_string (first.item.name)
							msg.append_string ("' is not an attribute of '")
							msg.append_string (my_subject_type.name)
							msg.append_string ("'%N")
							report_error (msg)
							abort
							Result := Void
						else
							-- Doesn't exist in universe at all
							report_error ( format("`$s' is not an attribute of type `$s', nor a value or constant.", <<first.item.full_name, my_subject_type.name>>))
							abort
							Result := Void
						end
					end
					if attached Result then
						last_object_in_tree := Result
					end
				end
			end
		ensure
			if_not_valid_tree: True -- Warnings are given
			if_valid_tree: True
			-- Result /= Void and object is the object for the first name
			-- in the tree
			last_object_set: Result /= Void implies last_object_in_tree /= Void
		end

	is_parameter_declared (a_name: XPLAIN_ATTRIBUTE_NAME): BOOLEAN
			-- Has `a_name' been declared in the parameter list for the
			-- current procedure?
		require
			name_not_empty: a_name /= Void
		do
			Result := attached my_parameters as p and then p.has_parameter (a_name)
			if not Result then
				report_error ("Parameter `" + a_name.full_name + "' has not been declared.")
				abort
			end
		end

	last_representation: detachable XPLAIN_REPRESENTATION



feature {NONE} -- Checks

	warn_attributes_with_inits (an_assignment_list: XPLAIN_ASSIGNMENT_NODE)
			-- Check if user has specified an attribute for which an init
			-- expression exists. Assignment will be (should be...)
			-- ignored in that case.
		require
			an_assignment_list_not_void: an_assignment_list /= Void
		local
			node: detachable XPLAIN_ASSIGNMENT_NODE
		do
			from
				node := an_assignment_list
			until
				node = Void
			loop
				if
					attached node.item.attribute_name.type_attribute as type_attribute and then
					attached type_attribute.init and then
					not type_attribute.is_init_default
				then
					report_error (format ("Attribute $s has an init expression. Assignment specified in insert will be ignored.%N", <<node.item.attribute_name.full_name>>))
				end
				node := node.next
			end
		end


feature {NONE} -- Once strings

	once_equal: STRING = "="
	once_not_equal: STRING = "<>"


end
